<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\x64\x61\x69\x6c\171"; private const CONFIG_DIRECTORY = "\x2f\x72\x6f\x6f\164\x2f\56\143\157\156\x66\151\x67\57\162\143\x6c\157\x6e\x65\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\x68\157\x6d\x65\57\143\x6c\160\x2f\x2e\x63\x6f\x6e\x66\x69\147\57"; private const CLP_USER = "\x63\x6c\160"; public const CREDENTIALS_DIRECTORY = "\x2f\150\157\x6d\x65\57\x63\154\x70\57\x2e\143\157\x6e\146\151\147\x2f\x72\x63\154\x6f\156\145\x2f\x63\x72\x65\x64\145\x6e\x74\151\141\x6c\x73\57"; private const CONFIG_FILE = "\x2f\x72\x6f\157\x74\57\56\143\x6f\156\146\x69\x67\x2f\x72\x63\x6c\157\156\x65\x2f\x72\x63\x6c\157\156\145\x2e\143\x6f\156\x66"; private const CRON_JOB_FILE = "\x2f\x65\164\143\x2f\x63\x72\157\156\56\144\57\143\154\x70\55\x72\143\154\x6f\156\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto E5c02; e9c1d: $this->configFile = self::CONFIG_FILE; goto bf395; E5c02: if (!(true === is_null($this->configFile))) { goto Cb991; } goto e9c1d; bf395: Cb991: goto Eef15; Eef15: return $this->configFile; goto Acad6; Acad6: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\x6c\x61\x67" => $flag, "\x76\x61\154\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto B4230; B90f1: $configFile = $this->getConfigFile(); goto C9d99; D42e4: $rcloneCopyCommand->setDestination($destination); goto Cb33c; C9d99: $rcloneCopyCommand = new RcloneCopyCommand(); goto be8ca; Ba230: $rcloneCopyCommand->setSource($source); goto D42e4; Cb33c: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto D638e; be8ca: $rcloneCopyCommand->setConfigFile($configFile); goto Ba230; D638e: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto C1ee2; B4230: $flags = $this->getFlags(); goto B90f1; C1ee2: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto C04f5; Af39d: e3cf2: goto e87e4; a6aa3: if (!(true === $directoriesOnly)) { goto e3cf2; } goto e2ac1; f0297: $files = $rcloneLsJsonCommand->getFiles(); goto Bcc72; A90f0: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto f8a0a; e87e4: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto c086d; D792c: $configFile = $this->getConfigFile(); goto A90f0; e2ac1: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto Af39d; f8a0a: $rcloneLsJsonCommand->setConfigFile($configFile); goto cadd4; c086d: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto f0297; cadd4: $rcloneLsJsonCommand->setRemotePath($remotePath); goto a6aa3; Bcc72: return $files; goto e28e8; C04f5: $flags = $this->getFlags(); goto D792c; e28e8: } public function purge(string $remotePath) { goto E4a70; cc55d: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto cf2b9; E4a70: $flags = $this->getFlags(); goto b7008; Ffcf5: $rclonePurgeCommand->setRemotePath($remotePath); goto A2412; A2412: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto cc55d; b7008: $rclonePurgeCommand = new RclonePurgeCommand(); goto Ffcf5; cf2b9: } public function writeConfig(string $config) : void { goto E0dc1; Fab27: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto Ae0b5; d4675: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto Fab27; E0dc1: $configFile = $this->getConfigFile(); goto d4675; Ae0b5: $writeConfigFileCommand = new WriteFileCommand(); goto cefc4; e2425: $writeConfigFileCommand->setContent($config); goto ac81a; cefc4: $writeConfigFileCommand->setFile($configFile); goto e2425; fcc90: $this->commandExecutor->execute($writeConfigFileCommand); goto Bb497; ac81a: $this->commandExecutor->execute($createConfigDirectoryCommand); goto fcc90; Bb497: } public function writeCredentialsFile(string $file, string $content) : void { goto A4abc; E5645: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Ad742; c0e24: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto Ea78f; b481a: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto C915c; C915c: file_put_contents($file, $content); goto d8fa0; F21c5: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto b481a; A4abc: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto ebef7; ebef7: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto Df369; db197: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto ec205; Df369: $chownConfigDirectoryCommand = new ChownCommand(); goto E5645; Ea78f: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto C2cc0; C2cc0: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto db197; f9ecb: $this->commandExecutor->execute($credentialsDirectoryCommand); goto F21c5; ec205: $chmodConfigDirectoryCommand->setFileChmod(770); goto f9ecb; Ad742: $chownConfigDirectoryCommand->setRecursive(true); goto eeef4; eeef4: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto c0e24; d8fa0: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto a4450; e38df: $writeCronJobFileCommand->setContent($cronJobContent); goto dee86; d5427: $cronJobContent .= sprintf("\x30\x20\x25\163\40\x2a\40\52\x20\x2a\40\x63\154\x70\x20\x2f\165\163\162\x2f\142\x69\x6e\x2f\x62\x61\163\150\40\x2d\x63\x20\x22\x2f\x75\163\x72\57\142\x69\156\x2f\x63\x6c\160\143\164\154\40\162\x65\x6d\x6f\x74\145\55\x62\x61\143\x6b\x75\160\72\x63\x72\145\141\x74\x65\40\x2d\x2d\x64\x65\154\x61\x79\x3d\x74\x72\x75\145\42\40\46\x3e\x20\57\x64\145\166\x2f\156\x75\154\x6c", $executionTime); goto ad27e; a4450: $cronJobContent = sprintf("\x4d\101\x49\114\124\x4f\x3d\42\42\x25\x73", PHP_EOL); goto bb0cc; dee86: $this->commandExecutor->execute($writeCronJobFileCommand); goto c7dd8; c51fc: $writeCronJobFileCommand = new WriteFileCommand(); goto dea4d; fea90: E6e78: goto d5427; bb0cc: if (self::FREQUENCY_DAILY == $frequency) { goto E6e78; } goto f10a4; dea4d: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto e38df; ad27e: Ac16f: goto c51fc; f10a4: $cronJobContent .= sprintf("\60\40\x2a\x2f\x25\163\x20\52\x20\x2a\40\52\x20\x63\154\x70\40\57\165\x73\x72\x2f\142\x69\156\57\x62\141\163\150\x20\x2d\143\40\42\x2f\x75\x73\x72\x2f\x62\x69\156\57\143\154\x70\x63\164\x6c\x20\x72\x65\x6d\157\164\145\55\x62\141\x63\153\x75\160\72\143\x72\x65\x61\x74\145\x20\55\x2d\x64\145\154\141\x79\75\x74\x72\x75\145\42\40\x26\76\40\57\x64\x65\166\57\x6e\x75\154\154", $frequency); goto aa6fc; aa6fc: goto Ac16f; goto fea90; c7dd8: } private function addFlagsToCommand(array $flags, $command) : void { goto C0865; C961a: b4dac: goto Db5c4; C0865: if (!(false === empty($flags))) { goto b4dac; } goto e918d; e918d: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\x6c\x61\x67"], $flagData["\x76\x61\154\x75\x65"]); aa628: } goto c0337; c0337: D5f08: goto C961a; Db5c4: } public function deleteCronJob() : void { goto d3fea; d3fea: $deleteCronJobFileCommand = new DeleteFileCommand(); goto f977a; f977a: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto C50a1; C50a1: $this->commandExecutor->execute($deleteCronJobFileCommand); goto Adc17; Adc17: } public function deleteCredentials() : void { goto Cb80a; A19cb: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto a9946; bbc18: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto A19cb; Cb80a: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto bbc18; a9946: } }
