<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto f2650; F5854: $this->databaseServerEntityManager = $databaseServerEntityManager; goto adc0b; B8a44: $this->validator = $validator; goto e4c4d; f2650: $this->siteEntityManager = $siteEntityManager; goto B56c8; B56c8: $this->databaseEntityManager = $databaseEntityManager; goto F5854; e4c4d: parent::__construct(); goto d7b9a; adc0b: $this->commandExecutor = new CommandExecutor(); goto B8a44; d7b9a: } protected function configure() : void { goto Fbfbc; f9b38: $this->addOption("\x69\147\156\x6f\x72\145\104\141\164\141\x62\x61\x73\x65\x73", null, InputOption::VALUE_OPTIONAL); goto D9ead; D9ead: $this->addOption("\162\145\164\145\x6e\164\151\157\156\x50\145\x72\x69\157\144", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto b5e82; Cb487: $this->setDescription("\143\154\x70\x63\164\x6c\40\x64\142\x3a\x62\x61\143\153\x75\x70\40\55\55\x69\147\156\157\162\x65\x44\x61\164\141\x62\141\x73\145\163\x3d\47\144\142\61\x2c\x64\x62\x32\x27\x20\x2d\55\162\x65\164\x65\x6e\164\151\157\x6e\120\x65\x72\151\157\144\x3d\x37"); goto f9b38; Fbfbc: $this->setName("\x64\142\x3a\142\x61\143\153\x75\x70"); goto Cb487; b5e82: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto B9b9e; f3599: if (!count($siteEntities)) { goto a390b; } goto Ada71; d7118: return BaseCommand::SUCCESS; goto b1194; e96a0: $ignoredDatabases = explode("\54", $input->getOption("\151\x67\156\x6f\x72\x65\104\141\x74\141\142\x61\163\145\163")); goto B3deb; d0173: $siteEntities = $this->siteEntityManager->findAll(); goto f3599; Ada71: foreach ($siteEntities as $siteEntity) { goto dbd2c; dbd2c: $databaseEntities = $siteEntity->getDatabases(); goto Cddf2; E4305: foreach ($databaseEntities as $databaseEntity) { goto F4017; ace84: $this->createDatabaseDump($databaseEntity); goto b4019; Da3ad: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto Ce0dc; } goto ace84; Ad1aa: c8954: goto da880; b4019: Ce0dc: goto Ad1aa; F4017: $databaseName = $databaseEntity->getName(); goto Da3ad; da880: } goto ee478; ee478: cff62: goto C8f69; C8f69: bf47b: goto a78fd; Cddf2: if (!count($databaseEntities)) { goto bf47b; } goto E4305; a78fd: a6e06: goto D5841; D5841: } goto c726f; c726f: b5a45: goto Fe235; B9b9e: $this->validateInput($input); goto e96a0; Fe235: a390b: goto d7118; B3deb: $this->retentionPeriod = (int) $input->getOption("\x72\x65\x74\145\x6e\164\x69\157\x6e\120\x65\x72\x69\x6f\144"); goto d0173; b1194: } catch (\Exception $e) { goto C7c46; f7ece: return BaseCommand::FAILURE; goto B0c9b; ebc63: $output->writeln(sprintf("\74\145\x72\x72\x6f\x72\76\45\x73\74\57\x65\x72\x72\x6f\x72\x3e", $errorMessage)); goto f7ece; C7c46: $errorMessage = $e->getMessage(); goto ebc63; B0c9b: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto D1e23; F91cd: $outputFile = sprintf("\45\163\57\x25\x73", rtrim($outputDirectory, "\x2f"), sprintf("\45\x73\x5f\x25\163\56\163\x71\x6c\56\147\x7a", $databaseName, $dateTime->getTimestamp())); goto Ecfc1; Aefa3: $outputDirectory = sprintf("\45\x73\x2f\x25\x73\57\45\163\x2f", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\131\x2d\155\x2d\144")); goto F91cd; ca609: $databaseName = $databaseEntity->getName(); goto ce537; D1e23: $dateTime = new \DateTime("\156\157\x77", new \DateTimeZone("\125\x54\x43")); goto f4f2b; C8415: $databaseExporter->setFile($outputFile); goto D4233; a30e1: $this->cleanUpBackups($databaseEntity); goto F5163; F0b8f: $databaseExporter->export(); goto bfab1; D4233: $databaseExporter->createOutputDirectory(); goto F0b8f; Ecfc1: $databaseExporter = new DatabaseExporter($databaseEntity); goto C8415; f4f2b: $siteEntity = $databaseEntity->getSite(); goto fcf56; fcf56: $siteUser = $siteEntity->getUser(); goto ca609; ce537: $backupDirectory = sprintf("\x2f\x68\x6f\155\145\57\45\163\57\142\x61\x63\x6b\x75\x70\x73\57\x64\141\164\x61\142\x61\x73\145\x73\57", $siteUser); goto Aefa3; bfab1: $this->resetPermissions($databaseEntity); goto a30e1; F5163: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto bdbb7; Fae6d: $backupDirectoryChownCommand = new ChownCommand(); goto ec47b; e9cd3: $backupDirectoryChownCommand->setGroup($siteUser); goto d8035; bdbb7: $siteEntity = $databaseEntity->getSite(); goto e1fc8; ed55f: $backupDirectory = sprintf("\57\x68\157\x6d\145\57\x25\163\x2f\x62\x61\x63\153\165\160\x73\57\144\141\164\141\142\x61\163\x65\163\57", $siteUser); goto Fae6d; e22b1: $backupDirectoryChownCommand->setRecursive(true); goto cf7e8; d8d13: $backupDirectoryChmodCommand->setFile($backupDirectory); goto E8827; A30ad: $backupDirectoryChmodCommand->setFileChmod(760); goto F28b2; ad0c8: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto E3d31; d8035: $backupDirectoryChmodCommand = new FindChmodCommand(); goto d8d13; E8827: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto A30ad; cf7e8: $backupDirectoryChownCommand->setUser($siteUser); goto e9cd3; ec47b: $backupDirectoryChownCommand->setFile($backupDirectory); goto e22b1; e1fc8: $siteUser = $siteEntity->getUser(); goto ed55f; F28b2: $this->commandExecutor->execute($backupDirectoryChownCommand); goto ad0c8; E3d31: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto de23b; e9c88: $siteUser = $siteEntity->getUser(); goto B6150; a050a: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto Dffe9; Dffe9: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto eef85; eef85: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto E6371; B6150: $databaseBackupDirectory = sprintf("\57\150\x6f\155\145\x2f\x25\x73\x2f\x62\x61\143\153\165\x70\x73\x2f\144\x61\x74\x61\142\141\163\145\163\57", $siteUser); goto deb4c; deb4c: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto a050a; de23b: $siteEntity = $databaseEntity->getSite(); goto e9c88; E6371: } }
