<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\x6f\x6f\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto f6abe; D0a6f: $this->databaseEntityManager = $databaseEntityManager; goto B5baa; f6abe: $this->siteEntityManager = $siteEntityManager; goto D0a6f; c3df2: parent::__construct(); goto D6389; Ac521: $this->sshUserEntityManager = $sshUserEntityManager; goto Ef6d8; B5baa: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ac521; Ef6d8: $this->commandExecutor = new CommandExecutor(); goto c3df2; D6389: } protected function configure() : void { goto Eda92; Ef435: $this->setDescription("\143\x6c\x70\143\164\x6c\x20\144\x62\72\151\155\160\x6f\x72\x74\40\55\x2d\x64\141\164\141\x62\141\x73\145\116\141\x6d\x65\x3d\155\x79\x2d\x64\x61\x74\141\x62\x61\x73\145\40\x2d\x2d\x66\151\154\x65\x3d\x64\165\x6d\x70\56\x73\x71\x6c\56\x67\x7a"); goto d1e9f; ba674: $this->addOption("\x66\x69\x6c\x65", null, InputOption::VALUE_REQUIRED); goto E7356; Eda92: $this->setName("\144\142\72\151\x6d\x70\157\x72\x74"); goto Ef435; d1e9f: $this->addOption("\144\141\x74\x61\x62\141\x73\145\116\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto ba674; E7356: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Ab92a; c1449: $siteUser = $siteEntity->getUser(); goto E96bf; e1772: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto dc09d; B9766: D1748: goto E65e0; b8564: $importFile = sprintf("\45\163\x2f\x25\163", rtrim(getcwd(), "\x2f"), $importFile); goto ae7fc; a2981: d691a: goto Bdad0; fe315: $siteUser = self::SYSTEM_USER_ROOT; goto B9766; D2aa0: $systemUserName = $_SERVER["\x53\125\x44\x4f\137\x55\x53\x45\x52"] ?? ''; goto af67b; b54fd: Db272: goto F9867; e1fc7: goto Fc64f; goto C857e; a3fdf: if (!(false === str_contains($importFile, "\x2f"))) { goto f9962; } goto b8564; f118a: $importFile = $input->getOption("\x66\x69\154\145"); goto D2aa0; f2cea: $this->checkIfFileExists($importFile); goto C4260; A8a6d: goto A5f9b; goto b54fd; c840a: return BaseCommand::FAILURE; goto c779e; b0023: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto D1748; } goto D2507; A89af: if (!(false === is_null($sshUserEntity))) { goto Ced72; } goto b5e95; ae013: Fc64f: goto e1772; E65e0: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto C2463; C2419: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto A89af; b5e95: $siteEntity = $sshUserEntity->getSite(); goto c1449; C2463: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto d691a; } goto Ae392; f760c: $siteUser = $siteEntity->getUser(); goto ae013; C12f1: a0bc7: goto a3fdf; F4631: return BaseCommand::SUCCESS; goto a2981; ae7fc: f9962: goto f2cea; a7cae: $siteUser = null; goto F6534; f1652: $systemUserName = self::SYSTEM_USER_ROOT; goto C12f1; C857e: e61b1: goto f760c; Ab92a: $this->validateInput($input); goto A0b74; E96bf: Ced72: goto e1fc7; F9867: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto a7cae; dc09d: $isSuperUser = false; goto b0023; b6dab: throw new \Exception(sprintf("\104\141\164\x61\142\141\163\145\40\x22\45\163\x22\40\144\157\x65\x73\x20\x6e\157\x74\40\x65\x78\151\163\164\56", $databaseName)); goto A8a6d; A0b74: $databaseName = $input->getOption("\144\x61\164\141\x62\141\x73\145\x4e\141\x6d\145"); goto f118a; fe6b4: $output->writeln(sprintf("\x3c\151\x6e\146\x6f\x3e\x49\x6d\x70\x6f\162\164\40\151\156\x74\x6f\x20\144\141\x74\x61\142\x61\163\145\74\57\151\156\x66\157\x3e\x20\x3c\143\157\155\155\x65\x6e\164\76\45\x73\x3c\57\143\x6f\x6d\x6d\145\x6e\164\x3e\x20\74\x69\x6e\x66\157\76\x77\x61\163\x20\163\x75\x63\143\145\x73\x73\x66\x75\154\56\74\57\x69\x6e\x66\157\x3e", $databaseName)); goto F4631; F5482: $databaseImporter->import($importFile); goto fe6b4; C4260: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto ca6fd; Ae392: $databaseImporter = new DatabaseImporter($databaseEntity); goto F5482; Bdad0: A5f9b: goto c840a; ca6fd: if (false === is_null($databaseEntity)) { goto Db272; } goto b6dab; F6534: if (false === is_null($siteEntity)) { goto e61b1; } goto C2419; D2507: $isSuperUser = true; goto fe315; af67b: if (!("\x64\145\166" == $_ENV["\x41\120\x50\137\x45\x4e\x56"])) { goto a0bc7; } goto f1652; c779e: } catch (\Exception $e) { goto be29a; Ffc77: $output->writeln(sprintf("\x3c\145\x72\x72\157\162\76\45\x73\74\57\x65\x72\162\157\x72\76", $errorMessage)); goto D4dd8; be29a: $errorMessage = $this->maskString($e->getMessage()); goto Ffc77; D4dd8: return BaseCommand::FAILURE; goto C899b; C899b: } } private function checkIfFileExists(string $importFile) { try { goto E5916; B4616: $this->commandExecutor->execute($checkIfFileExistsCommand); goto d6490; E5916: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto Ca5f3; Ca5f3: $checkIfFileExistsCommand->setFile($importFile); goto B4616; d6490: } catch (\Exception $e) { throw new \Exception(sprintf("\x46\x69\154\145\x20\x22\x25\x73\x22\x20\144\157\145\163\x20\156\x6f\x74\40\x65\x78\x69\x73\x74\56", $importFile)); } } }
