<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto ccfb8; ccfb8: $this->siteEntityManager = $siteEntityManager; goto d4e2d; d4e2d: $this->commandExecutor = new CommandExecutor(); goto ffc7d; ffc7d: $this->logger = $logger; goto E4d71; f756a: parent::__construct(); goto F1259; E4d71: $this->validator = $validator; goto f756a; F1259: } protected function configure() : void { goto e0588; c3c68: $this->addOption("\x64\145\x6c\x61\171", null, InputOption::VALUE_OPTIONAL, false); goto D2bde; e0588: $this->setName("\162\145\x6d\x6f\164\x65\x2d\142\141\x63\153\165\160\x3a\x63\162\x65\141\x74\145"); goto d784c; d784c: $this->setDescription("\x63\x6c\x70\x63\164\154\x20\162\145\x6d\x6f\x74\x65\x2d\x62\x61\x63\153\x75\160\x3a\143\162\x65\141\164\x65"); goto c3c68; D2bde: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto f90fe; Cc5a3: $isEnabled = (bool) $this->getConfigValue("\162\145\x6d\157\164\145\x5f\x62\141\143\x6b\x75\160\137\x65\x6e\141\x62\x6c\145\x64"); goto Dcdf6; F9f9a: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto d46b3; } goto b21b2; B55e5: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); ed246: } goto adc46; a2e79: return BaseCommand::SUCCESS; goto Ce17e; d66f7: $this->refreshDropboxAccessToken($delay); goto bb5cc; Deda8: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto E1331; } goto F7cc5; c288b: $this->cleanBackups(); goto a130f; f90fe: $this->validateInput($input); goto Cc5a3; adc46: B0eb2: goto C3ff3; F7cc5: $siteEntities = $this->siteEntityManager->findAll(); goto Bf76c; C3ff3: e75e5: goto c288b; Bf76c: if (!count($siteEntities)) { goto e75e5; } goto B86c4; bb5cc: d46b3: goto B55e5; b21b2: $delay = (bool) $input->getOption("\144\145\x6c\141\x79"); goto d66f7; Dcdf6: $this->storageProvider = $this->getConfigValue("\x72\x65\x6d\157\x74\x65\137\142\141\x63\153\x75\x70\x5f\163\164\157\162\x61\147\145\x5f\160\x72\157\x76\151\x64\x65\x72"); goto Deda8; B86c4: $this->backupDatabases(clone $input, clone $output); goto F9f9a; a130f: E1331: goto a2e79; Ce17e: } catch (\Exception $e) { goto A14bb; c7601: $output->writeln(sprintf("\x3c\x65\162\162\157\x72\x3e\45\x73\x3c\57\145\x72\x72\157\162\x3e", $errorMessage)); goto B4843; B4843: return BaseCommand::FAILURE; goto cfb99; A14bb: $errorMessage = $e->getMessage(); goto c7601; cfb99: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto C5768; E1505: $command = $application->find("\x64\142\72\142\141\143\x6b\165\160"); goto Baad6; Baad6: $exitCode = $command->run($input, $output); goto dc670; C5768: $application = $this->getApplication(); goto E1505; dc670: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto B14ec; Ed7f3: try { try { goto Ce9ed; D19b7: $rclone = new Rclone(); goto a722a; Dff86: $siteVhostFile = sprintf("\x2f\150\x6f\x6d\x65\57\45\163\57\x73\151\164\145\55\x76\x68\x6f\163\x74", $siteUser); goto a388c; Ce9ed: $excludes = ["\x2e\x73\163\150", "\164\x6d\x70", "\154\157\x67\x73"]; goto c0755; Ea06c: $homeDirectory = sprintf("\x2f\x68\x6f\155\145\x2f\x25\x73\57", $siteUser); goto Bdceb; cfbef: $destinationFile = sprintf("\57\150\157\x6d\145\57\x25\163\57\164\155\160\x2f\x62\141\143\x6b\x75\160\56\164\x61\x72", $siteUser); goto a36eb; C511b: a7d19: goto Fdb34; e6782: $rclone->copy($destinationFile, $destination); goto C5025; Bdceb: $vhostFile = sprintf("\x2f\145\x74\x63\x2f\x6e\147\151\156\170\57\x73\151\164\145\x73\55\145\156\141\142\x6c\x65\144\57\x25\163\56\x63\x6f\x6e\146", $domainName); goto cfbef; efdf6: $siteUser = $siteEntity->getUser(); goto c6161; c0755: $siteExcludes = $this->getSiteExcludes($siteEntity); goto Cbbff; Cbbff: if (!(false === empty($siteExcludes))) { goto Fd2da; } goto Ebd86; dffb2: $tarCreator->create($sources, $destinationFile, $excludes); goto A15eb; a36eb: $siteSettingsFile = sprintf("\57\150\x6f\155\145\x2f\x25\x73\x2f\163\151\164\x65\55\163\145\x74\164\151\156\147\163\x2e\152\163\x6f\156", $siteUser); goto Dff86; a388c: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto Cb4ad; Ebd86: $excludes = array_merge($excludes, $siteExcludes); goto Bd611; Fdb34: c9034: goto e6782; Ef5ef: $sources = [$homeDirectory, $vhostFile]; goto edd3b; Bd611: Fd2da: goto efdf6; edd3b: $tarCreator = new TarCreator(); goto dffb2; A15eb: $destination = $this->getDestination($siteEntity); goto D19b7; Cb4ad: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto Ef5ef; c6161: $domainName = $siteEntity->getDomainName(); goto Ea06c; a722a: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto Ba62e; F55b7: goto c9034; goto d4e92; Ba62e: $email = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\137\x62\141\143\153\165\x70\137\x65\155\141\x69\154"); goto E63cb; E63cb: $rclone->addFlag("\55\55\144\x72\151\x76\145\55\x69\155\x70\x65\x72\x73\x6f\156\x61\164\x65", $email); goto F55b7; d4e92: } goto C511b; C5025: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto ecdfa; ecdfa: $deleteFileCommand = new DeleteFileCommand(); goto c697c; c697c: $deleteFileCommand->setFile($file); goto f5bf9; f5bf9: $this->commandExecutor->execute($deleteFileCommand, 60); goto fb599; fb599: a8658: goto A5aff; A5aff: } e417d: } } catch (\Exception $e) { goto F55e1; D19c7: $subject = sprintf("\122\x65\x6d\157\x74\145\40\102\x61\143\x6b\x75\160\40\x66\x61\151\154\145\144\x3a\40\x25\x73", $domainName); goto Cc6cd; F55e1: $errorMessage = $e->getMessage(); goto D19c7; Cc6cd: $this->addNotification($subject, $errorMessage); goto C84de; C84de: } goto c35bc; A4f1b: if (!(false === $isSiteExcluded)) { goto d41a8; } goto Ed7f3; B14ec: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto A4f1b; c35bc: d41a8: goto D70d8; D70d8: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto cc4c2; af605: $settings = ["\x74\x79\160\145" => $siteType, "\144\x6f\x6d\141\x69\156\116\141\155\x65" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\104\x69\x72\145\x63\x74\x6f\162\171" => $siteEntity->getRootDirectory(), "\163\151\x74\x65\x55\x73\x65\162" => $siteEntity->getUser(), "\x70\x61\x67\x65\x53\160\145\x65\x64" => $siteEntity->getPageSpeedSettings()]; goto F3fbf; c347c: aff46: goto B167b; cc4c2: $siteType = $siteEntity->getType(); goto af605; b0eb4: $writeFileCommand->setContent($fileContent); goto Ec921; F8265: $writeFileCommand = new WriteFileCommand(); goto ebb0d; F3fbf: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto C93b9; E3988: $nodejsSettings = ["\166\x65\x72\163\x69\157\x6e" => $nodejsSettingsEntity->getNodejsVersion(), "\160\157\162\x74" => $nodejsSettingsEntity->getPort()]; goto D7ada; C93b9: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto E3988; D7ada: $settings["\156\157\144\145\x6a\163\123\x65\x74\x74\x69\156\147\x73"] = $nodejsSettings; goto F8da8; F8da8: goto a69de; goto D410b; D410b: case SiteEntity::TYPE_PHP: goto D66fd; dfedb: $phpSettings = ["\x76\x65\x72\163\151\x6f\156" => $phpSettingsEntity->getPhpVersion(), "\x6d\x65\155\x6f\x72\171\114\151\155\x69\164" => $phpSettingsEntity->getMemoryLimit(), "\x6d\141\170\x45\x78\x65\x63\165\164\x69\x6f\x6e\x54\x69\x6d\145" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\141\170\x49\156\160\165\x74\124\x69\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\x49\156\x70\x75\164\126\141\x72\x73" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\163\x74\115\141\170\x53\x69\x7a\x65" => $phpSettingsEntity->getPostMaxSize(), "\165\160\154\157\x61\x64\x4d\x61\170\x46\151\154\x65\x53\151\x7a\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\x64\151\x74\x69\157\x6e\x61\x6c\x43\157\156\146\x69\x67\165\162\x61\x74\x69\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto db800; db800: $settings["\160\150\x70\x53\145\x74\164\x69\x6e\x67\x73"] = $phpSettings; goto cf1e8; cf1e8: goto a69de; goto fe7fc; D66fd: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto dfedb; fe7fc: case SiteEntity::TYPE_PYTHON: goto Bfd83; Bc1b0: $pythonSettings = ["\x76\145\x72\x73\151\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\162\164" => $pythonSettingsEntity->getPort()]; goto Dff58; Dff58: $settings["\x70\171\x74\x68\x6f\x6e\123\x65\x74\x74\x69\156\147\x73"] = $pythonSettings; goto ded6d; ded6d: goto a69de; goto E09f3; Bfd83: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto Bc1b0; E09f3: case SiteEntity::TYPE_REVERSE_PROXY: goto Fd707; Fd707: $reverseProxySettings = ["\165\x72\x6c" => $siteEntity->getReverseProxyUrl()]; goto C3623; c639c: goto a69de; goto bd67b; C3623: $settings["\x72\145\166\x65\x72\x73\145\120\x72\157\x78\x79\x53\x65\164\164\x69\x6e\x67\163"] = $reverseProxySettings; goto c639c; bd67b: } goto c347c; B167b: a69de: goto dbe00; ebb0d: $writeFileCommand->setFile($siteSettingsFile); goto b0eb4; dbe00: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto F8265; Ec921: $this->commandExecutor->execute($writeFileCommand, 15); goto C35cf; C35cf: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto d7680; F2901: $this->commandExecutor->execute($writeFileCommand, 15); goto D48e3; d7680: $vhost = $siteEntity->getVhostTemplate(); goto Bc239; Bc239: $writeFileCommand = new WriteFileCommand(); goto ddb0d; ddb0d: $writeFileCommand->setFile($siteVhostFile); goto e0a0e; e0a0e: $writeFileCommand->setContent($vhost); goto F2901; D48e3: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto d5df2; cbe19: a5283: goto F4f14; B3055: foreach ($excludes as $exclude) { goto df901; c1c04: B0e90: goto Fb75a; df901: $exclude = rtrim($exclude, "\57"); goto B5928; B5928: if (!($homeDirectory == $exclude)) { goto B0e90; } goto ab4b5; ab4b5: $isSiteExcluded = true; goto Da735; Fb75a: fc37a: goto D0e73; Da735: goto B5baf; goto c1c04; D0e73: } goto f85c8; f85c8: B5baf: goto cbe19; F4f14: return $isSiteExcluded; goto F36bc; D64ea: $homeDirectory = sprintf("\57\150\157\155\x65\57\x25\x73", $siteUser); goto B3055; B9230: $siteUser = $siteEntity->getUser(); goto D64ea; C57ea: if (!(false === empty($excludes))) { goto a5283; } goto B9230; d5df2: $isSiteExcluded = false; goto f433e; f433e: $excludes = $this->getExcludes(); goto C57ea; F36bc: } private function getExcludes() : array { goto B98c3; cf221: $this->excludes = json_decode($excludes); goto ee1cc; B98c3: if (!(true === empty($this->excludes))) { goto D1862; } goto f49d4; f49d4: $excludes = $this->getConfigValue("\162\x65\155\157\164\145\137\142\x61\143\x6b\x75\x70\x5f\x65\170\x63\x6c\x75\144\145\163"); goto f998a; d559d: D1862: goto Afa8b; Afa8b: return $this->excludes; goto D8771; f998a: if (!(false === empty($excludes))) { goto c9765; } goto cf221; ee1cc: c9765: goto d559d; D8771: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto a2282; e597b: B6c2b: goto fec29; A826c: $excludes = $this->getExcludes(); goto C1cd7; Cfc1a: $homeDirectory = sprintf("\x2f\150\157\155\145\57\x25\163\57", $siteUser); goto d1f1e; b2116: $siteUser = $siteEntity->getUser(); goto Cfc1a; fb10c: return $siteExcludes; goto Dafea; d1f1e: foreach ($excludes as $exclude) { goto Cfc3f; Cfc3f: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto C2f75; } goto A35ef; A35ef: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto D076f; e9ef3: Bad9b: goto Ef0cb; Ef0cb: C2f75: goto f8ffa; D7b4e: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto e9ef3; D076f: if (!(false === empty($exclude))) { goto Bad9b; } goto D7b4e; f8ffa: E5aa9: goto f144e; f144e: } goto e597b; fec29: Ab32e: goto fb10c; C1cd7: if (!(false === empty($excludes))) { goto Ab32e; } goto b2116; a2282: $siteExcludes = []; goto A826c; Dafea: } private function getServerDateTime() : \DateTime { goto b07c8; B08b2: $timezone = $this->getConfigValue("\164\x69\x6d\x65\172\157\x6e\x65"); goto bede6; A2960: Cf090: goto C89e4; C89e4: return $this->serverDateTime; goto ef8a5; Cad67: E12f0: goto A2960; a204b: $this->serverDateTime->setTimezone(new \DateTimeZone("\x55\x54\x43")); goto Eb7b5; bede6: $this->serverDateTime = new \DateTime("\156\157\x77"); goto a204b; Eb7b5: if (!(false === empty($timezone))) { goto E12f0; } goto Dffed; b07c8: if (!(true === is_null($this->serverDateTime))) { goto Cf090; } goto B08b2; Dffed: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto Cad67; ef8a5: } private function getDestination(SiteEntity $siteEntity) : string { goto A3089; f149f: $destination = ltrim($destination, "\57"); goto ee3c0; B5ccd: $storageDirectory = $this->getConfigValue("\162\145\x6d\157\x74\x65\x5f\x62\x61\x63\x6b\165\x70\x5f\163\164\157\162\141\147\x65\x5f\144\x69\x72\145\143\x74\x6f\162\x79"); goto cc307; dc738: b5ff3: goto De9f1; F5ff9: return $destination; goto f427e; b4f93: $siteUser = $siteEntity->getUser(); goto B5ccd; f9929: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\137\142\x61\x63\153\165\160\x5f\x62\x75\x63\x6b\145\164"); goto a3675; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\145\155\x6f\164\x65\137\142\x61\143\x6b\x75\160\x5f\163\160\141\143\145"); goto a3675; } goto dc738; A3089: $destination = ''; goto f9929; a97f5: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C74c3; } goto f149f; a376e: $destination = sprintf("\45\163\x2f\x25\163\x2f\45\x73\x2f\x25\163\57\150\x6f\x6d\145\57\45\163\x2f", $destination, rtrim(ltrim($storageDirectory, "\57"), "\x2f"), $serverDateTime->format("\131\55\x6d\x2d\x64"), $serverDateTime->format("\x48\x2e\x69"), $siteUser); goto a97f5; De9f1: a3675: goto b4f93; ee3c0: C74c3: goto F5ff9; cc307: $serverDateTime = $this->getServerDateTime(); goto a376e; f427e: } private function cleanBackups() : void { goto ae0ec; fe7a7: $storageDirectory = $this->getConfigValue("\x72\x65\155\x6f\164\x65\x5f\x62\x61\x63\x6b\165\x70\x5f\163\x74\157\162\141\x67\x65\137\144\151\x72\x65\x63\164\157\x72\x79"); goto d85a1; d85a1: if (!($retentionPeriod && false === empty($storageDirectory))) { goto da652; } goto Dabd1; Eb841: da652: goto A2e0d; Dabd1: try { goto b1060; e3665: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Cf98f; } goto c35e7; Ac113: $directories = (array) $rclone->lsJson($remotePath, true); goto e8ff9; c35e7: $remotePath = ltrim($remotePath, "\57"); goto a13da; Dc3be: $rclone = new Rclone(); goto Dc0de; e8ff9: if (!(false === empty($directories))) { goto b2852; } goto a1290; Bcdda: $remotePath = ''; goto Dc3be; A9543: b2852: goto c5c0d; Bc70e: C7157: goto A7aab; Dc0de: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\137\x62\141\x63\153\x75\x70\137\x62\165\x63\153\x65\x74"); goto C7157; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\155\x6f\x74\x65\x5f\142\x61\x63\153\165\x70\x5f\x73\160\141\143\145"); goto C7157; case StorageProvider::GOOGLE_DRIVE: goto c279a; f6bae: goto C7157; goto a6843; Db44a: $rclone->addFlag("\x2d\x2d\x64\162\x69\166\x65\x2d\151\155\160\x65\x72\x73\157\156\x61\164\145", $email); goto f6bae; c279a: $email = $this->getConfigValue("\x72\145\155\x6f\164\145\x5f\x62\x61\x63\153\x75\160\137\x65\155\x61\151\154"); goto Db44a; a6843: } goto D3d11; Eb84c: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto D378a; D378a: $deleteDateTime->setTime(0, 0, 0, 0); goto Bcdda; a1cd2: bafd3: goto A9543; a1290: foreach ($directories as $directory) { goto f2113; dd668: $purgeRemotePath = sprintf("\x2f\x25\163", ltrim($purgeRemotePath, "\57")); goto fa494; e381f: fdeec: goto f7961; cd99b: bcbb9: goto ef5e7; fa494: e007b: goto c5d0b; d7708: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto e007b; } goto dd668; b39e6: if (!(true === $isValidDate)) { goto B43f7; } goto C4cf4; B8e51: $purgeRemotePath = sprintf("\x25\163\x2f\45\x73\57", rtrim(ltrim($remotePath, "\57"), "\57"), $directoryName); goto D4853; f2113: $directoryName = $directory["\116\x61\155\145"] ?? null; goto d4b04; c5d0b: $rclone->purge($purgeRemotePath); goto cd99b; D4853: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto c4644; } goto d5918; E3273: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto b39e6; fe593: c4644: goto d7708; d4b04: if (!(false === is_null($directoryName))) { goto fdeec; } goto E3273; d5918: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto fe593; C4cf4: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto bcbb9; } goto B8e51; ef5e7: B43f7: goto e381f; f7961: f5cfc: goto Ffde7; Ffde7: } goto a1cd2; Cdef4: $deleteDateTime = clone $dateTime; goto F00a5; a13da: Cf98f: goto Ac113; b1060: $dateTime = new \DateTime(); goto Cdef4; A7aab: $remotePath = sprintf("\45\163\57\x25\x73\57", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\x2f")); goto e3665; D3d11: a8460: goto Bc70e; F00a5: $deleteDateTime->modify(sprintf("\55\45\x73\x20\x64\x61\x79\163", $retentionPeriod)); goto Eb84c; c5c0d: } catch (\Exception $e) { goto dc2e4; d0781: $subject = sprintf("\122\145\155\x6f\x74\x65\x20\102\141\x63\x6b\x75\x70\x20\x63\x6c\145\141\x6e\x75\x70\40\x66\141\x69\x6c\145\x64\x2e"); goto a096a; a096a: $this->addNotification($subject, $errorMessage); goto C1d37; dc2e4: $errorMessage = $e->getMessage(); goto d0781; C1d37: } goto Eb841; ae0ec: $retentionPeriod = (int) $this->getConfigValue("\162\145\x6d\157\164\x65\x5f\142\x61\143\153\165\x70\x5f\x72\145\164\145\156\164\151\x6f\x6e\137\x70\x65\x72\x69\157\144"); goto fe7a7; A2e0d: } private function refreshDropboxAccessToken(bool $delay) { try { goto Febbf; Cc488: $refreshToken = $this->getConfigValue("\162\145\x6d\x6f\x74\x65\137\142\141\x63\x6b\x75\x70\137\162\145\146\162\x65\x73\x68\x5f\x74\157\153\x65\156"); goto Fc20f; b7ef3: $rclone = new Rclone(); goto E439d; E45a4: $rcloneConfigTemplate->setToken($token); goto F9d74; Bcbb5: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto E45a4; Cb2a0: throw new \Exception("\x41\x63\143\x65\x73\163\40\x54\157\x6b\x65\156\x20\x63\x61\156\x6e\x6f\x74\40\142\x65\x20\145\155\x70\x74\171\56"); goto fedb4; E2725: if (false === empty($token)) { goto de55a; } goto Cb2a0; dac4d: c7cfb: goto Cc488; fedb4: goto d0700; goto f598d; A8c16: sleep(rand(5, 60)); goto dac4d; F9d74: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto ae495; f598d: de55a: goto Bcbb5; ed669: $token = $dropboxClient->getAccessToken($refreshToken); goto E2725; ae495: $rcloneConfig = $rcloneConfigBuilder->build(); goto b7ef3; E439d: $rclone->writeConfig($rcloneConfig); goto da5bb; Febbf: if (!(true === $delay)) { goto c7cfb; } goto A8c16; da5bb: d0700: goto b3a70; Fc20f: $dropboxClient = new DropboxClient(); goto ed669; b3a70: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\122\x65\146\x72\x65\163\x68\151\x6e\x67\x20\104\x72\x6f\x70\142\x6f\x78\x20\101\x63\x63\x65\163\x73\40\124\x6f\x6b\145\x6e\x20\x46\x61\x69\154\145\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto Eeb79; c995b: $notification->setMessage($errorMessage); goto Ab022; Ab022: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto afa2f; a1b69: $notification->setSubject($subject); goto c995b; afa2f: NotificationQueue::addNotification($notification); goto B5635; Eeb79: $notification = new Notification(); goto a1b69; B5635: } }
