<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\x64\x65\x6a\163"; protected function configure() : void { goto Bfdfb; f5f48: $this->addOption("\x73\151\x74\x65\125\x73\145\162", null, InputOption::VALUE_REQUIRED); goto ee688; ee688: $this->addOption("\x73\151\164\145\x55\x73\x65\x72\120\141\x73\163\x77\x6f\162\x64", null, InputOption::VALUE_REQUIRED); goto Fce09; a4ea7: $this->addOption("\x6e\157\144\x65\152\x73\x56\x65\x72\163\x69\157\x6e", null, InputOption::VALUE_REQUIRED); goto B9387; Ca096: $this->setComment("\x41\144\144\x69\x6e\x67\40\x61\40\116\157\144\x65\56\x6a\163\x20\123\151\x74\x65"); goto Aec53; Aec53: $this->addOption("\144\157\x6d\x61\151\156\116\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto a4ea7; E6c3e: $this->setDescription("\143\154\x70\143\164\154\x20\x73\151\164\145\72\x61\x64\144\72\x6e\157\x64\145\x6a\163\40\55\x2d\x64\x6f\x6d\141\151\156\116\141\155\145\75\x77\167\167\56\x64\x6f\x6d\x61\151\156\x2e\143\x6f\x6d\x20\55\x2d\156\x6f\x64\145\152\163\x56\x65\x72\x73\151\x6f\x6e\x3d\62\x32\40\x2d\x2d\x61\x70\160\x50\x6f\162\164\x3d\63\x30\x30\x30\x20\55\55\x73\151\x74\x65\125\x73\145\162\75\152\x6f\150\156\x20\x2d\55\163\151\x74\145\x55\163\x65\162\x50\x61\x73\163\x77\157\162\144\75\47\41\163\x65\x63\162\145\164\x50\x61\x73\x73\x77\157\x72\144\x21\47"); goto Ca096; B9387: $this->addOption("\x61\160\x70\120\x6f\162\164", null, InputOption::VALUE_REQUIRED); goto f5f48; Bfdfb: $this->setName("\163\151\164\145\x3a\x61\144\144\x3a\156\x6f\x64\x65\152\x73"); goto E6c3e; Fce09: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Ca818; b73be: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto A0e11; F7657: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto af514; ab49b: $siteEntity->setDomainName($domainName); goto B353a; ea7ee: $subjectAlternativeNames = []; goto cf931; c5bb0: return SiteCommand::SUCCESS; goto ce914; B8243: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto C0b8f; } goto d76bf; B554d: $siteUser = trim($input->getOption("\x73\x69\164\145\x55\x73\x65\x72")); goto cd211; cded1: $nodejsSiteCreator->installNodejs(); goto E652f; Cf0a3: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto ea7ee; B9a62: $nodejsSiteCreator->createNvmDirectory(); goto cded1; E0c03: deb9a: goto Eeac8; ec4c4: $nodejsSite->setRegistrableDomain($registrableDomain); goto Cbcfc; ed959: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto e1e96; E0059: return $this->renderConstraints($constraints, $output); goto D490d; Bcc30: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ad43d; D490d: goto B64e7; goto E221c; E8189: $siteEntity->setUser($siteUser); goto A85fb; E7d5d: cad51: goto C5e4c; d42d5: $rootDirectory = $domainName; goto A536a; F90b3: $nodejsSiteCreator->createUser(); goto e422d; a60f8: $subdomain = false === empty($subdomain) ? $subdomain : null; goto C108b; ad40f: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto ccc0d; fe793: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto b73be; fe657: if (!(true === is_null($subdomain) || "\167\167\x77" == $subdomain)) { goto Fb567; } goto c95c5; a5bbb: $nodejsSiteCreator->createLogrotateFile(); goto B9a62; F990a: $nodejsSettingsEntity->setPort($appPort); goto D40b3; b9ec9: $siteEntity->setCertificate($certificateEntity); goto Aef7a; Bfdb9: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto ebdba; } goto F519d; Ebeca: $vhostTemplate = sprintf("\x25\x73\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto E0c03; D40b3: $nodejsSettingsEntity->setSite($siteEntity); goto F5590; Bf4ba: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a60f8; F8155: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto F7657; C7f0a: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A7c33; Cbcfc: $nodejsSite->setSubdomain($subdomain); goto F8155; B83b9: A224b: goto B8243; Dacbd: $nodejsSite->setDomainName($domainName); goto ec4c4; Cba8b: C0b8f: goto Df746; E418b: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto bdb5f; ccc0d: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto Da2aa; b8549: $nodejsSiteCreator->resetPermissions(); goto Ede01; A62aa: if (!(false === empty($redirectionVhostTemplate))) { goto deb9a; } goto Ebeca; A27c0: goto c1f11; goto E8064; F519d: $constraints = new ConstraintViolationList(); goto D2944; cd211: $siteUserPassword = trim($input->getOption("\163\x69\x74\145\x55\163\x65\x72\x50\141\x73\163\167\x6f\162\144")); goto Bcc30; e95e5: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto F90b3; Ca818: $this->validateInput($input); goto Bcc5b; E8fbf: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto Dacbd; cf931: if (!(true === is_null($subdomain))) { goto A224b; } goto c7f91; ea220: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto e422e; b6012: $vhostTemplate->build(); goto ed959; f9a5b: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto A62aa; Ad43d: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Bf4ba; Bcc5b: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\141\151\x6e\116\141\155\145"))); goto C492f; af514: $nodejsSite->setCertificate($certificateEntity); goto Cc191; ce914: B64e7: goto E7d5d; ca21c: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto Ec128; A5085: $nodejsSiteCreator->reloadNginxService(); goto b8549; A0e11: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto b6012; d7905: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto C3204; B353a: $siteEntity->setRootDirectory($rootDirectory); goto E8189; e422d: $nodejsSiteCreator->createRootDirectory(); goto a5bbb; d2ea4: $csr = $csrGenerator->generate(); goto E418b; b57a6: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto d1325; bbbf0: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto d2ea4; C3204: $siteEntity = $this->siteEntityManager->createEntity(); goto b8492; C108b: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto c5823; A85fb: $siteEntity->setUserPassword($siteUserPassword); goto fe657; F5590: $siteConstraints = $this->validator->validate($siteEntity); goto E3419; Fea68: $nodejsSiteCreator->createNginxVhost(); goto A5085; A7c33: $certificateEntity->setSite($siteEntity); goto c69d5; D5f95: $nodejsSite->setUser($siteEntity->getUser()); goto E8fbf; Eeac8: Fb567: goto bfc7a; E652f: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto Fea68; Cc191: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto e95e5; A536a: $nodejsVersion = (int) $input->getOption("\x6e\x6f\x64\145\152\x73\126\x65\x72\163\151\157\x6e"); goto A9641; d76bf: $subjectAlternativeNames[] = $registrableDomain; goto Cba8b; dc3f5: $this->siteEntityManager->updateEntity($siteEntity); goto C7711; bb007: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\56\x2e\57\162\x65\x73\x6f\x75\162\143\145\163\x2f\x6e\x67\x69\x6e\x78\57\166\x68\x6f\163\164\137\164\145\x6d\x70\x6c\141\x74\x65\x2f\x72\145\144\x69\162\x65\143\x74"); goto A27c0; e1e96: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto dc3f5; E3419: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Bfdb9; Df746: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto bbbf0; E8064: d0a79: goto D20e1; bfc7a: $siteEntity->setVhostTemplate($vhostTemplate); goto ad40f; c5823: if (false === is_null($vhostTemplateEntity)) { goto b0a9d; } goto E2fc0; c95c5: if (true === isset($_ENV["\x41\120\x50\137\110\x54\124\x50\63"]) && "\164\x72\165\145" === $_ENV["\101\x50\120\137\110\124\x54\x50\x33"]) { goto d0a79; } goto bb007; Ec128: $vhostTemplate->resetProcessors(); goto fe793; D2944: $constraints->addAll($siteConstraints); goto b50cc; A9641: $appPort = (int) $input->getOption("\x61\160\x70\120\157\x72\x74"); goto B554d; e422e: $certificateEntity->setCertificate($selfSignedCertificate); goto b9ec9; Da2aa: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto F990a; B7da0: c1f11: goto f9a5b; E221c: ebdba: goto C7f0a; b8492: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto ab49b; C7711: $output->writeln(sprintf("\74\151\156\146\x6f\x3e\x53\x69\x74\145\74\57\x69\156\x66\157\x3e\x20\x3c\x63\x6f\155\x6d\x65\156\x74\76\x25\163\74\57\x63\x6f\x6d\155\145\156\x74\x3e\40\74\151\156\x66\157\x3e\150\141\163\x20\142\x65\145\x6e\x20\x61\x64\144\x65\x64\x2e\x3c\57\x69\156\x66\x6f\76", $domainName)); goto c5bb0; A40c5: goto cad51; goto C6fe7; C6fe7: b0a9d: goto d7905; c69d5: $rsaKeyGenerator = new RsaKeyGenerator(); goto Cf0a3; bdb5f: $certificateEntity->setDefaultCertificate(true); goto b57a6; c7f91: $subjectAlternativeNames[] = sprintf("\167\x77\x77\x2e\45\x73", $domainName); goto B83b9; E2fc0: throw new \Exception(sprintf("\x56\x68\x6f\163\x74\40\x54\x65\x6d\160\154\141\164\145\40\x22\45\163\42\40\x64\157\145\x73\40\x6e\x6f\x74\x20\x65\x78\x69\163\x74\56", $vhostTemplate)); goto A40c5; Aef7a: $nodejsSite = new NodejsSite(); goto D5f95; d1325: $certificateEntity->setCsr($csr); goto ea220; Ede01: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto ca21c; b50cc: $constraints->addAll($nodejsSettingsConstraints); goto E0059; D20e1: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\x2f\56\x2e\x2f\x72\x65\x73\x6f\x75\x72\x63\x65\x73\57\156\147\151\156\170\57\x76\150\157\163\164\x5f\x74\x65\x6d\160\154\x61\x74\145\57\x72\145\x64\x69\162\145\143\x74\55\150\x74\x74\160\63"); goto B7da0; C492f: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto d42d5; C5e4c: } catch (\Exception $e) { goto Ce7fe; A78eb: $output->writeln(sprintf("\74\145\x72\162\157\162\76\x25\163\x3c\57\145\162\162\157\x72\x3e", $errorMessage)); goto F5736; Ce7fe: $errorMessage = $e->getMessage(); goto A78eb; F5736: return SiteCommand::FAILURE; goto E8fb1; E8fb1: } } }
