<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto A4297; B74a8: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto b564c; b564c: $this->validator = $validator; goto B2672; A4297: $this->domainNameParser = $domainNameParser; goto e31ee; B2672: parent::__construct(); goto D902d; B21c2: $this->certificateEntityManager = $certificateEntityManager; goto aa8a0; aa8a0: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B74a8; e31ee: $this->siteEntityManager = $siteEntityManager; goto B21c2; D902d: } protected function configure() : void { $this->setName("\x73\151\x74\145\x3a\164\x6d\160"); } protected function getSite(string $domainName) : ?Site { goto Ed185; f4b02: a4414: goto Bf9d5; ec577: if (false === is_null($siteEntity)) { goto B932c; } goto Ca847; D65dc: if (!(false === is_null($site))) { goto f7c76; } goto F4116; d9905: $site->setFtpUsers($siteEntity->getFtpUsers()); goto f63ac; E412d: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e4863; a329d: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto fe48e; fe48e: goto b62dd; goto E4348; e4863: $site = new NodejsSite(); goto a329d; E4348: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto b62dd; case SiteEntity::TYPE_PHP: goto D8dd4; df4cf: $site->setVarnishCache($siteEntity->getVarnishCache()); goto fb46e; D8dd4: $site = new PhpSite(); goto df000; fb46e: goto b62dd; goto F0c30; df000: $site->setPhpSettings($siteEntity->getPhpSettings()); goto df4cf; F0c30: case SiteEntity::TYPE_PYTHON: goto ac742; ac742: $site = new PythonSite(); goto A8a49; A8a49: $site->setPythonSettings($siteEntity->getPythonSettings()); goto F9acf; F9acf: goto b62dd; goto e0d4d; e0d4d: case SiteEntity::TYPE_REVERSE_PROXY: goto Bc1b9; Bc1b9: $site = new ReverseProxySite(); goto Cad2f; Cad2f: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto E59ae; E59ae: goto b62dd; goto A496e; A496e: } goto Ca2a0; A761b: $site->setUser($siteEntity->getUser()); goto abeb8; D5f7a: $site->setBlockedIps($siteEntity->getBlockedIps()); goto D7202; dc315: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Fa9c7; Dafd3: $site->setRootDirectory($siteEntity->getRootDirectory()); goto a8a84; e1a5d: $siteEntity = $this->getSiteEntity($domainName); goto ec577; Ca2a0: Bcc4d: goto a0525; Ed57d: $site->setRegistrableDomain($registrableDomain); goto F8f2b; F8f2b: $site->setSubdomain($subdomain); goto Dafd3; ac90a: $site->setCertificates($siteEntity->getCertificates()); goto fde02; e51d7: $subdomain = $resolvedDomainName->subDomain()->toString(); goto dc315; a0525: b62dd: goto D65dc; Bf9d5: return $site; goto D8739; F6d31: $siteType = $siteEntity->getType(); goto E412d; Cfcdf: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto A3fa5; Ed185: $site = null; goto e1a5d; b6cc1: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto Cfcdf; F070c: f7c76: goto f4b02; F152b: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto e51d7; D7202: $site->setCertificate($siteEntity->getCertificate()); goto ac90a; f63ac: $site->setSshUsers($siteEntity->getSshUsers()); goto D9f70; D9f70: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto b6cc1; A3fa5: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto F070c; Fa9c7: $siteDatabases = $this->getSiteDatabases($siteEntity); goto A761b; ce4a5: goto a4414; goto bebd0; bebd0: B932c: goto F6d31; cafa1: $site->setBlockedBots($siteEntity->getBlockedBots()); goto D5f7a; F4116: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F152b; fde02: $site->setCronJobs($siteEntity->getCronJobs()); goto d9905; A6466: $site->setBasicAuth($siteEntity->getBasicAuth()); goto cafa1; Ca847: throw new \Exception(sprintf("\123\x69\164\145\40\x22\45\x73\42\40\x64\x6f\x65\x73\40\156\x6f\164\x20\x65\x78\151\163\x74\x2e", $domainName)); goto ce4a5; a8a84: $site->setDatabases($siteDatabases); goto A6466; abeb8: $site->setDomainName($siteEntity->getDomainName()); goto Ed57d; D8739: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto C495d; C495d: $siteDatabases = new ArrayCollection(); goto A61bf; E926f: return $siteDatabases; goto B25b9; d30ca: $databaseEntities = $siteEntity->getDatabases(); goto adca1; c867b: ca054: goto E926f; A61bf: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d30ca; adca1: foreach ($databaseEntities as $databaseEntity) { goto Ce741; Ce741: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto D39d5; b5e98: badcb: goto Ead16; Ead16: A14d8: goto b49bf; da0c2: $siteDatabases->add($databaseEntity); goto b5e98; D39d5: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto badcb; } goto da0c2; b49bf: } goto c867b; B25b9: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto c86a8; c86a8: $siteDeleter = null; goto c26e3; F9b1e: Ae166: goto C379c; c26e3: $siteType = $site->getType(); goto bc38a; ebf30: return $siteDeleter; goto df980; bc38a: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto B5061; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto B5061; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto B5061; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto B5061; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto B5061; } goto F9b1e; C379c: B5061: goto ebf30; df980: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto c6f19; C90a7: b070b: goto e7697; c6f19: $siteUpdater = null; goto A7e28; E7a84: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto b3ba3; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto b3ba3; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto b3ba3; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto b3ba3; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto b3ba3; } goto C90a7; ca32d: return $siteUpdater; goto b3565; A7e28: $siteType = $site->getType(); goto E7a84; e7697: b3ba3: goto ca32d; b3565: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\x65\162", "\x73\x69\164\145\x55\x73\x65\162", $constraints); $this->changePropertyPath("\165\163\x65\x72\x50\x61\x73\163\167\x6f\162\x64", "\163\151\x74\x65\x55\163\145\x72\120\141\x73\163\x77\157\162\x64", $constraints); } }
