<?php
 namespace App\Controller\Admin; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\Form\Form; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Connection as DatabaseConnection; use App\Entity\Manager\ConfigManager; use App\Entity\Certificate as CertificateEntity; use App\Entity\DatabaseServer as DatabaseServerEntity; use App\Security\Admin\CustomDomain as AdminCustomDomain; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\Certificate; use App\Site\Ssl\LetsEncryptClient; use App\Site\Ssl\Util\Openssl; class SettingsController extends Controller { private ConfigManager $configManager; private DatabaseServerEntityManager $databaseServerEntityManager; public function __construct(ConfigManager $configManager, DatabaseServerEntityManager $databaseServerEntityManager, TranslatorInterface $translator, Logger $logger) { goto bf76b; e2956: $this->databaseServerEntityManager = $databaseServerEntityManager; goto a2a54; a2a54: parent::__construct($translator, $logger); goto Ead79; bf76b: $this->configManager = $configManager; goto e2956; Ead79: } public function settings(Request $request) : Response { goto c05b8; E00b8: $customDomainForm = $this->createCustomDomainForm($customDomainData); goto D41ee; C7a9d: if (!(false === is_null($response))) { goto dc6aa; } goto Bba86; D41ee: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto A9a4f; } goto Fa308; dfc48: $customDomainData = ["\x64\157\x6d\x61\151\x6e\116\141\155\145" => false === is_null($customDomainName) ? $customDomainName : '']; goto E00b8; B27e3: $response = $this->handleCustomDomainForm($request, $customDomainForm); goto C7a9d; f86a0: dc6aa: goto Ca044; Af522: if (!(true === $customDomainForm->isSubmitted())) { goto fd74d; } goto B27e3; fa644: return $response; goto c177c; f911e: A9a4f: goto F2ebf; F2ebf: $response = $this->render("\101\144\x6d\x69\156\57\x53\145\x74\164\151\x6e\x67\x73\x2f\x69\x6e\x64\145\x78\56\x68\x74\155\x6c\x2e\164\167\151\x67", ["\x63\165\x73\164\157\155\104\x6f\x6d\141\x69\156\x46\157\162\x6d" => $customDomainForm->createView(), "\146\x6f\x72\155\105\x72\162\157\162\x73" => $this->formErrors]); goto fa644; Bba86: return $response; goto f86a0; c05b8: $customDomainName = $this->configManager->get("\143\x75\x73\x74\157\x6d\x5f\x64\157\x6d\141\151\x6e"); goto dfc48; Fa308: $customDomainForm->handleRequest($request); goto Af522; Ca044: fd74d: goto f911e; c177c: } private function createCustomDomainForm(array $data) : Form { goto E4693; F9596: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\141\163\x73" => "\142\x74\156\x20\x62\x74\156\55\142\x6c\165\145\x20\142\x74\156\x2d\x6c\147"], "\154\141\x62\145\154" => "\x53\x61\166\x65"]); goto ab08a; ab08a: return $form; goto b8e26; E4693: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\x6d\134\x41\x64\155\x69\156\103\165\163\x74\157\x6d\104\x6f\x6d\141\151\156\x53\145\x74\164\151\156\x67\x73\x54\171\160\145", $data, ["\141\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\141\x64\155\x69\156\137\163\x65\164\x74\151\156\147\163"), "\x6d\145\x74\150\x6f\144" => "\x50\117\123\x54", "\141\x74\164\x72" => []]); goto F9596; b8e26: } private function handleCustomDomainForm(Request $request, Form $form) { goto B34c5; E31a2: bf255: goto C1e9a; B34c5: if (true === $form->isValid()) { goto b92d5; } goto A100d; A100d: $this->formErrors = $this->getErrorMessages($form); goto D8217; D8217: goto bf255; goto A5fd3; A5fd3: b92d5: goto F7df2; F7df2: try { goto c880a; Aa774: $certificate = new Certificate(); goto d909d; Fd27f: $commonName = array_shift($distinguishedNameDomains); goto C2e98; C3f52: $adminCustomDomain->delete(); goto ecddb; c2544: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto de3af; d909d: $certificate->setPrivateKey($privateKey->getPEM()); goto Ed32e; c7ca6: $adminCustomDomain->deleteLetsEncryptChallengeFiles(); goto dc3b7; ecddb: $this->configManager->delete("\x63\165\163\x74\157\155\137\x64\157\x6d\x61\151\156"); goto c5fe0; B2635: $adminCustomDomain->delete(); goto Debdf; a89f2: $eventData = ["\x64\x6f\155\141\x69\156\116\x61\155\145" => $domainName]; goto F7674; eed59: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto E0986; de3af: if (true === empty($validationErrors)) { goto D7d70; } goto a0a8e; fd79f: $csr = $csrGenerator->generate(); goto Afd83; c880a: $user = $this->getUser(); goto E69e2; A8e25: $this->formErrors = $this->getErrorMessages($form); goto Ab69a; Ab69a: goto cb40d; goto ba7d1; e30fa: $adminCustomDomain = new AdminCustomDomain(); goto facaa; B5cf1: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto f138c; Afd83: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Aa774; a11db: De95e: goto Ea0a5; ae27f: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x61\144\x6d\x69\156\137\163\x65\164\164\x69\156\x67\x73")); goto cbd18; Ed25e: $letsEncryptClient->registerAccount(); goto A246d; a021e: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Cc7d8; a576a: $this->configManager->set("\x63\165\x73\164\x6f\x6d\137\x64\x6f\155\x61\x69\x6e", $domainName); goto a89f2; A246d: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto D1f13; A5b6c: $adminCustomDomain->writeMotdFile($domainName); goto b52a9; E69e2: $session = $request->getSession(); goto ab085; c84be: return $response; goto babd6; Ee099: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\x5f\x70\162\151\x76\141\x74\145\137\x6b\145\171"); goto Dbe1e; Ed32e: $certificate->setCertificate($selfSignedCertificate); goto c7ca6; Cc7d8: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto fd79f; ebff7: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Ed25e; D1f13: $vhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\57\56\56\57\56\x2e\57\x72\145\x73\157\x75\x72\x63\x65\x73\57\156\147\151\x6e\x78\x2f\x76\150\157\163\x74\x5f\164\x65\155\x70\x6c\x61\164\145\x2f\143\x75\x73\164\x6f\x6d\55\x64\x6f\155\x61\x69\156"); goto Bae2a; B780a: $distinguishedNameDomains = $domains; goto Fd27f; D13f6: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\103\x6c\157\x75\144\120\141\x6e\x65\x6c\x20\x43\165\x73\x74\x6f\x6d\40\104\x6f\x6d\141\x69\x6e\x20\150\141\x73\x20\x62\145\x65\x6e\40\x73\x61\x76\145\x64\56")); goto e31f8; c5fe0: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_DISABLE, $user, [], $request); goto D13f6; e645f: $adminCustomDomain = new AdminCustomDomain(); goto C3f52; aa3c1: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto eed59; B073e: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\103\x6c\x6f\x75\144\x50\141\156\x65\x6c\40\x43\165\163\164\157\x6d\40\x44\157\155\141\151\156\40\150\141\x73\x20\142\145\x65\156\40\x73\x61\166\x65\144\56")); goto ae27f; a0a8e: $adminCustomDomain = new AdminCustomDomain(); goto B2635; f138c: $adminCustomDomain->reloadNginx(); goto c2544; dc3b7: $adminCustomDomain->createLetsEncryptChallengeFiles($certificateOrder); goto B6ba0; Ca64a: cb40d: goto C06af; Dbe1e: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto ebff7; e31f8: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\141\x64\155\151\156\x5f\163\x65\164\x74\x69\156\147\x73")); goto c84be; cbd18: return $response; goto Ca64a; B6ba0: $adminCustomDomain->writePrivateKeyAndCertificate($certificate); goto B5cf1; E0986: $adminCustomDomain->writeVhostFile($domainName, $vhostTemplate); goto A5b6c; C2e98: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto C24f4; ba7d1: D7d70: goto aa3c1; b983d: ba8a1: goto A8e25; facaa: if (false === empty($domainName)) { goto De95e; } goto e645f; ab085: $domainName = $form->get("\144\157\x6d\141\x69\x6e\x4e\141\155\x65")->getData(); goto e30fa; F7674: EventQueue::addEvent(EventQueue::EVENT_ADMIN_CUSTOM_DOMAIN_ENABLE, $user, $eventData, $request); goto B073e; C06af: aad8c: goto E2a96; Bae2a: $vhostTemplate = file_get_contents($vhostTemplateFile); goto B780a; b52a9: $adminCustomDomain->reloadNginx(); goto a576a; Debdf: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\x3a\40\x25\163", $domain, $validationErrorMessage))); b3632: } goto b983d; Ea0a5: $domains = [$domainName]; goto Ee099; babd6: goto aad8c; goto a11db; C24f4: $rsaKeyGenerator = new RsaKeyGenerator(); goto a021e; E2a96: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\162\40\150\x61\x73\x20\157\143\143\165\x72\162\145\x64\54\40\x65\162\x72\157\162\40\155\x65\163\x73\x61\147\x65\72\x20\45\x65\x72\x72\x6f\x72\x4d\x65\163\x73\x61\147\x65\45", ["\x25\145\162\162\x6f\162\115\145\163\163\141\147\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($adminCustomDomain))) { goto E7eed; } $adminCustomDomain->deleteLetsEncryptChallengeFiles(); E7eed: } goto E31a2; C1e9a: } public function databaseServers(Request $request) : Response { goto acd3f; f9cf8: $response = $this->render("\x41\144\155\151\x6e\x2f\x53\145\x74\x74\151\156\147\163\x2f\x44\141\x74\141\x62\x61\163\x65\55\x53\145\162\166\145\x72\x73\57\151\156\144\x65\170\x2e\150\x74\155\154\x2e\x74\x77\x69\x67", ["\x64\x61\x74\141\142\141\163\145\x53\145\x72\166\x65\162\x73" => $databaseServers]); goto Bde79; Bde79: return $response; goto cefe5; acd3f: $databaseServers = $this->databaseServerEntityManager->findAll([], ["\x68\x6f\x73\x74" => "\x41\123\x43"]); goto f9cf8; cefe5: } public function addDatabaseServer(Request $request) : Response { goto e55a0; b9e5e: $response = $this->handleDatabaseServerForm($request, $form); goto D3608; e55a0: $databaseServerEntity = $this->databaseServerEntityManager->createEntity(); goto f816d; A19c2: return $response; goto C338a; Be396: $form->handleRequest($request); goto A25de; aeb1e: b3f48: goto F9956; Be459: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto B2488; } goto Be396; f816d: $form = $this->createDatabaseServerForm($databaseServerEntity); goto Be459; c6fd1: $response = $this->render("\101\x64\155\151\156\x2f\123\x65\164\x74\x69\156\147\163\57\x44\141\x74\x61\142\x61\163\x65\x2d\123\145\x72\166\x65\162\163\57\141\x64\x64\56\x68\x74\x6d\154\56\164\167\x69\147", ["\146\157\x72\155" => $form->createView(), "\x66\157\x72\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto A19c2; D3608: if (!(false === is_null($response))) { goto D8f7c; } goto F6544; F9956: B2488: goto c6fd1; db6fa: D8f7c: goto aeb1e; F6544: return $response; goto db6fa; A25de: if (!(true === $form->isSubmitted())) { goto b3f48; } goto b9e5e; C338a: } private function createDatabaseServerForm(DatabaseServerEntity $databaseServerEntity) : Form { goto B0d9d; Ee209: $form->add("\x73\x75\x62\x6d\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\141\163\x73" => "\142\x74\156\x20\142\x74\156\55\x62\154\165\145\x20\142\x74\x6e\55\x6c\147"], "\x6c\141\x62\145\x6c" => "\x41\x64\x64\40\104\141\164\141\142\x61\163\145\40\123\x65\162\x76\145\x72"]); goto abcd7; B0d9d: $form = $this->createForm("\101\160\160\134\x46\x6f\x72\155\x5c\101\144\x6d\x69\x6e\x44\141\x74\141\142\x61\x73\145\x53\x65\x72\x76\145\x72\124\x79\x70\x65", $databaseServerEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\137\x61\x64\x6d\x69\156\x5f\144\141\x74\x61\142\141\163\x65\x5f\163\145\162\166\x65\x72\137\x61\144\144"), "\155\x65\164\150\157\144" => "\120\x4f\123\x54", "\141\164\x74\162" => []]); goto Ee209; abcd7: return $form; goto D2666; D2666: } private function handleDatabaseServerForm(Request $request, Form $form) { goto e6c8c; a5a53: $this->formErrors = $this->getErrorMessages($form); goto A05a7; C578d: try { goto ed0f8; fc0c8: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto Fd4f1; df23e: $engine = $databaseConnection->getEngine(); goto Afb07; bc2c0: $databaseServerEntity->setVersion($version); goto ccec2; Fd4f1: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\104\x61\164\x61\x62\x61\163\145\40\x53\x65\x72\166\x65\162\40\x68\x61\163\x20\142\145\x65\156\40\x61\144\x64\145\x64\56")); goto Fe8d1; ed0f8: $user = $this->getUser(); goto A8af5; C58e1: $databaseServerEntity->setPassword($encryptedPassword); goto baf55; F19fd: $eventData = ["\150\x6f\x73\164" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\x61\155\145" => $databaseServerEntity->getUserName(), "\x70\x6f\x72\x74" => $databaseServerEntity->getPort(), "\x65\156\147\x69\x6e\145" => $engine, "\x76\x65\162\x73\x69\x6f\156" => $version]; goto a0786; A8af5: $session = $request->getSession(); goto A0f92; A0f92: $databaseServerEntity = $form->getData(); goto B377d; Fe8d1: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x61\x64\155\x69\156\x5f\144\141\164\x61\142\141\x73\145\x5f\163\x65\x72\x76\x65\x72\x73")); goto d427a; c1fd4: $databaseServerEntity->setEngine($engine); goto bc2c0; a0786: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_ADD, $user, $eventData, $request); goto fc0c8; d427a: return $response; goto Aef40; Afb07: $version = $databaseConnection->getVersion(); goto c1fd4; B377d: $password = $databaseServerEntity->getPassword(); goto ebae1; ccec2: $databaseServerEntity->setIsDefault(false); goto F19fd; ebae1: $encryptedPassword = Crypto::encrypt($password); goto C58e1; baf55: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto df23e; Aef40: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\157\162\x20\x68\141\x73\x20\x6f\143\143\165\x72\162\145\144\54\x20\145\x72\x72\157\162\40\155\x65\x73\163\x61\x67\x65\x3a\40\x25\145\x72\x72\157\162\x4d\145\x73\163\x61\x67\x65\45", ["\x25\145\x72\162\157\x72\x4d\145\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto Fff80; A05a7: goto F57ee; goto dfdf1; dfdf1: Ad482: goto C578d; Fff80: F57ee: goto E6b34; e6c8c: if (true === $form->isValid()) { goto Ad482; } goto a5a53; E6b34: } public function editDatabaseServer(Request $request) : Response { goto Af332; b9037: goto B6daf; goto E0c7d; c9162: E6da0: goto cd9b2; Fe0ca: return $response; goto fb5b1; d5400: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto e376b; E40dd: $form = $this->createDatabaseServerEditForm($databaseServerEntity); goto fd7ac; fd7ac: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto f5fc2; } goto c09a2; aaf62: $databaseServerEntity->setPassword(''); goto E40dd; a5d05: if (!(false === is_null($response))) { goto E7fa3; } goto ba5db; e95e3: return $response; goto b9037; cd9b2: f5fc2: goto E585e; E0c7d: d8f80: goto E4540; D3ce5: E7fa3: goto c9162; ba5db: return $response; goto D3ce5; A8448: $response = $this->handleDatabaseServerEditForm($request, $form); goto a5d05; fb5b1: B6daf: goto D487a; E585e: $response = $this->render("\101\x64\155\x69\156\57\x53\x65\164\164\151\x6e\147\163\x2f\104\x61\164\141\142\141\163\145\55\x53\x65\162\166\x65\x72\x73\x2f\x65\x64\151\x74\56\150\164\155\x6c\56\164\x77\x69\147", ["\144\x61\x74\141\x62\x61\x73\x65\123\x65\x72\166\x65\x72" => $databaseServerEntity, "\146\x6f\x72\x6d" => $form->createView(), "\x66\157\162\x6d\105\x72\x72\157\162\163" => $this->formErrors]); goto e95e3; e376b: if (true === is_null($databaseServerEntity)) { goto d8f80; } goto aaf62; Af332: $id = (int) $request->get("\x69\x64"); goto d5400; B8201: if (!(true === $form->isSubmitted())) { goto E6da0; } goto A8448; c09a2: $form->handleRequest($request); goto B8201; E4540: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\144\155\x69\x6e\137\144\141\x74\x61\142\x61\163\x65\x5f\163\x65\162\166\x65\x72\163")); goto Fe0ca; D487a: } private function createDatabaseServerEditForm(DatabaseServerEntity $databaseServerEntity) : Form { goto dc17e; eb3a8: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\x6c\141\163\163" => "\x62\164\x6e\x20\x62\164\156\x2d\142\x6c\x75\x65\40\x62\x74\x6e\x2d\154\x67"], "\x6c\x61\x62\145\154" => "\x53\141\x76\145"]); goto eb85f; dc17e: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\x6d\134\x41\144\x6d\151\x6e\104\x61\164\x61\x62\141\x73\x65\x53\145\x72\x76\x65\162\105\x64\151\164\124\171\160\145", $databaseServerEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\x63\154\160\137\x61\144\155\151\x6e\137\x64\141\164\x61\x62\x61\x73\145\x5f\x73\145\162\166\x65\x72\137\145\x64\151\164", ["\151\x64" => $databaseServerEntity->getId()]), "\155\145\164\150\157\x64" => "\x50\117\x53\x54", "\141\164\164\162" => []]); goto eb3a8; eb85f: return $form; goto Ea3e4; Ea3e4: } private function handleDatabaseServerEditForm(Request $request, Form $form) { goto fbab1; b0979: $this->formErrors = $this->getErrorMessages($form); goto f2079; cfff6: E8c31: goto E76c2; f82fe: D037b: goto eef8e; E76c2: try { goto a360a; f4a16: $encryptedPassword = Crypto::encrypt($password); goto c5ecf; b2256: $databaseServerEntity->setIsDefault(false); goto F9ffa; B103a: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x44\x61\164\x61\142\x61\163\145\x20\123\x65\162\x76\145\162\x20\x68\141\163\40\x62\x65\x65\156\x20\165\160\x64\x61\x74\x65\x64\x2e")); goto D63a1; Ba557: $databaseConnection = new DatabaseConnection($databaseServerEntity); goto e945e; cfe40: $session = $request->getSession(); goto ed6b4; e945e: $engine = $databaseConnection->getEngine(); goto Adb38; D240d: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_EDIT, $user, $eventData, $request); goto Cce9c; ed6b4: $databaseServerEntity = $form->getData(); goto d4968; Cce9c: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto B103a; a360a: $user = $this->getUser(); goto cfe40; b58fa: $databaseServerEntity->setEngine($engine); goto f8e2b; f8e2b: $databaseServerEntity->setVersion($version); goto b2256; D63a1: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x61\144\155\x69\x6e\x5f\x64\141\164\x61\142\x61\163\145\137\163\145\162\166\145\162\163")); goto B7cac; Adb38: $version = $databaseConnection->getVersion(); goto b58fa; B7cac: return $response; goto Cdaab; F9ffa: $eventData = ["\150\x6f\x73\x74" => $databaseServerEntity->getHost(), "\x75\x73\145\x72\116\x61\x6d\x65" => $databaseServerEntity->getUserName(), "\x70\157\x72\164" => $databaseServerEntity->getPort(), "\145\156\x67\x69\156\145" => $engine, "\x76\145\x72\x73\151\x6f\x6e" => $version]; goto D240d; d4968: $password = $databaseServerEntity->getPassword(); goto f4a16; c5ecf: $databaseServerEntity->setPassword($encryptedPassword); goto Ba557; Cdaab: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\x6f\x72\x20\x68\141\x73\x20\x6f\x63\x63\x75\x72\x72\x65\144\54\x20\x65\x72\162\157\162\40\155\x65\163\x73\x61\147\x65\72\40\45\145\162\162\x6f\162\115\x65\x73\x73\x61\x67\145\x25", ["\x25\x65\162\162\157\x72\x4d\x65\163\163\141\147\145\45" => $e->getMessage()])); } goto f82fe; f2079: goto D037b; goto cfff6; fbab1: if (true === $form->isValid()) { goto E8c31; } goto b0979; eef8e: } public function setDatabaseServerActive(Request $request) : Response { goto adc5b; aa8d9: Bb71a: goto e9122; d4702: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\144\155\x69\x6e\137\x64\141\x74\x61\x62\141\x73\x65\x5f\x73\x65\x72\166\x65\x72\x73")); goto D1797; a4d78: if (!(false === is_null($databaseServerEntity))) { goto B45fe; } goto Cd32a; a5dde: if (!($databaseServerEntity->getId() != $activeDatabaseServerEntity->getId())) { goto Bb71a; } goto c38a6; e9122: B45fe: goto d4702; D1797: return $response; goto d4ba9; A13b4: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto a4d78; Cd32a: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a5dde; adc5b: $id = (int) $request->get("\151\144"); goto A13b4; c38a6: try { goto A1400; cc906: $activeDatabaseServerEntity->setIsActive(false); goto C6ce5; C6ce5: $this->databaseServerEntityManager->updateEntity($databaseServerEntity); goto C3e40; d35d3: $session = $request->getSession(); goto d6e64; C3e40: $this->databaseServerEntityManager->updateEntity($activeDatabaseServerEntity); goto c0a9c; c0a9c: $eventData = ["\157\x6c\x64\110\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\157\x6c\x64\125\163\x65\162\x4e\x61\x6d\145" => $activeDatabaseServerEntity->getUserName(), "\156\x65\x77\x48\157\x73\x74" => $databaseServerEntity->getHost(), "\156\x65\x77\x55\163\x65\162\x4e\x61\155\145" => $databaseServerEntity->getUserName()]; goto F08a4; A1400: $user = $this->getUser(); goto d35d3; Ac1e8: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\163", $this->translator->trans("\x44\x61\x74\141\x62\x61\x73\145\40\123\145\162\x76\145\162\x20\x68\x61\163\x20\x62\145\x65\x6e\40\143\x68\141\156\x67\x65\144\x2e")); goto a78d8; F08a4: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_CHANGE, $user, $eventData, $request); goto Ac1e8; d6e64: $databaseServerEntity->setIsActive(true); goto cc906; a78d8: } catch (\Exception $e) { $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x44\x61\x74\x61\142\x61\x73\x65\40\x53\145\x72\166\145\x72\40\x63\x72\x65\x64\145\x6e\164\151\141\154\x73\40\x61\x72\145\40\x6e\x6f\x74\x20\x76\x61\154\151\144\56")); } goto aa8d9; d4ba9: } public function deleteDatabaseServer(Request $request) : Response { goto f14bf; D7cdb: try { goto df90e; df90e: $user = $this->getUser(); goto b528c; b528c: $session = $request->getSession(); goto E5cdb; c05c0: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\x73", $this->translator->trans("\104\141\164\141\142\x61\x73\145\x20\123\x65\x72\x76\x65\162\x20\150\x61\x73\40\x62\x65\x65\x6e\40\144\145\x6c\x65\x74\145\x64\56")); goto fcac7; E5cdb: $this->databaseServerEntityManager->deleteEntity($databaseServerEntity); goto cbc1a; cbc1a: $eventData = ["\x68\x6f\x73\x74" => $databaseServerEntity->getHost(), "\x75\163\x65\x72\116\141\x6d\145" => $databaseServerEntity->getUserName()]; goto dc45c; dc45c: EventQueue::addEvent(EventQueue::EVENT_DATABASE_SERVER_DELETE, $user, $eventData, $request); goto c05c0; fcac7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\156\40\145\162\x72\x6f\162\40\x68\x61\163\40\157\x63\143\165\x72\162\x65\144\54\x20\x65\162\x72\157\162\x20\x6d\x65\163\x73\x61\147\x65\72\40\x25\145\x72\162\x6f\162\x4d\x65\x73\x73\141\147\x65\x25", ["\45\x65\x72\x72\157\162\115\145\163\163\141\147\145\45" => $e->getMessage()])); } goto d226a; d226a: d8907: goto E889d; f14bf: $id = (int) $request->get("\x69\x64"); goto be4b2; be4b2: $databaseServerEntity = $this->databaseServerEntityManager->findOneById($id); goto f02c1; f02c1: if (!(false === is_null($databaseServerEntity) && false === $databaseServerEntity->isDefault() && false === $databaseServerEntity->isActive())) { goto d8907; } goto D7cdb; cf923: return $response; goto d42fb; E889d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\141\144\155\x69\156\137\144\x61\164\x61\142\x61\163\x65\137\163\145\162\x76\x65\162\x73")); goto cf923; d42fb: } }
