<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto da4ce; E248e: parent::__construct($translator, $logger); goto b574a; da4ce: $this->userEntityManager = $userEntityManager; goto b8101; e0802: $this->timezoneEntityManager = $timezoneEntityManager; goto E248e; b8101: $this->siteEntityManager = $siteEntityManager; goto e0802; b574a: } public function index(Request $request) : Response { goto c5a6f; c5a6f: $currentUser = $this->getUser(); goto Ab56f; B7845: $response = $this->render("\101\144\155\151\156\57\125\163\x65\x72\57\x69\156\144\145\x78\56\x68\x74\x6d\154\56\x74\x77\151\147", ["\x75\x73\x65\162\163" => $users]); goto Ecc3e; Ecc3e: return $response; goto ab7ac; B6025: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto B7845; Ab56f: $users = $this->userEntityManager->findAll([], ["\x75\163\x65\162\116\x61\x6d\x65" => "\x61\163\x63"]); goto B6025; ab7ac: } public function new(Request $request) : Response { goto Ac42b; Ddba8: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto Ea624; Ea624: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\x69\x6e\116\x61\x6d\145" => "\x41\x53\103"]); goto A307d; bd33e: B47a5: goto C352e; b2157: b2995: goto c9c28; fdda1: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto B47a5; } goto b9436; A307d: $userEntity->setTimezone($defaultTimezone); goto f1067; C352e: $response = $this->render("\x41\144\155\151\x6e\x2f\x55\163\145\x72\57\156\x65\167\56\150\x74\x6d\154\56\x74\x77\151\147", ["\x75\x73\145\162" => $userEntity, "\x73\x69\x74\145\x73" => $sites, "\x66\x6f\x72\x6d" => $form->createView(), "\146\x6f\x72\155\105\x72\162\x6f\x72\163" => $this->formErrors]); goto F8444; de7f2: if (!(false === is_null($response))) { goto b2995; } goto cbec7; c7f6d: $response = $this->handleUserForm($request, $form); goto de7f2; F8444: return $response; goto ecabf; f1067: $form = $this->createUserForm($userEntity); goto fdda1; b9436: $form->handleRequest($request); goto ab181; cbec7: return $response; goto b2157; ab181: if (!(true === $form->isSubmitted())) { goto f1695; } goto c7f6d; Ac42b: $userEntity = $this->userEntityManager->createEntity(); goto Ddba8; c9c28: f1695: goto bd33e; ecabf: } private function createUserForm(UserEntity $userEntity) : Form { goto bab09; b6c35: $form->add("\x73\165\x62\x6d\151\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\x61\x73\x73" => "\142\164\156\40\142\x74\x6e\55\142\154\x75\x65\x20\142\x74\156\x2d\154\x67"], "\x6c\x61\x62\145\x6c" => "\x41\x64\x64\40\125\x73\145\x72"]); goto B8870; B8870: return $form; goto Bf301; bab09: $form = $this->createForm("\101\x70\160\134\x46\157\x72\x6d\134\x41\144\155\151\x6e\125\x73\x65\162\124\x79\160\x65", $userEntity, ["\x61\143\164\x69\157\156" => $this->generateUrl("\143\154\160\x5f\141\x64\155\x69\156\x5f\x75\x73\x65\x72\137\156\x65\x77"), "\x6d\x65\x74\150\x6f\x64" => "\x50\117\123\x54", "\x61\164\x74\x72" => []]); goto b6c35; Bf301: } private function handleUserForm(Request $request, Form $form) { goto Fa14f; Fa14f: if (true === $form->isValid()) { goto Cd916; } goto b00d8; ea106: try { goto aba61; E7925: sort($domainNames); goto f1d1b; E67ae: $domainNames = []; goto Dc67d; Ff540: $session = $request->getSession(); goto Dc0fe; B1e7b: F8faf: goto A0434; C36f2: $eventData = ["\165\163\145\x72\x4e\141\155\x65" => $userEntity->getUserName(), "\146\x69\162\x73\x74\116\141\155\145" => $userEntity->getFirstName(), "\x6c\141\x73\x74\116\x61\x6d\x65" => $userEntity->getLastName(), "\x65\x6d\x61\151\x6c" => $userEntity->getEMail(), "\x72\x6f\154\x65" => $userEntity->getRole(), "\x73\x69\164\145\x73" => implode("\54\x20", $domainNames)]; goto bf8a3; bf8a3: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto Bc3ef; A0434: D6be3: goto E7925; Bc3ef: $session->getFlashBag()->set("\163\165\143\x63\145\x73\163", $this->translator->trans("\125\163\145\x72\x20\x68\141\x73\x20\142\x65\145\x6e\40\x61\x64\x64\145\144\56")); goto Ebd5c; Dc0fe: $userEntity = $form->getData(); goto bd77e; Fc6c9: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); b0fec: } goto B1e7b; Dc9ee: return $response; goto B882d; Dc67d: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto D6be3; } goto Fc6c9; f1d1b: $this->userEntityManager->updateUser($userEntity); goto C36f2; Ebd5c: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x61\144\155\151\156\x5f\x75\x73\145\162\163")); goto Dc9ee; aba61: $currentUser = $this->getUser(); goto Ff540; bd77e: $sites = $userEntity->getSites(); goto E67ae; B882d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\x72\x20\x68\141\163\x20\x6f\143\x63\x75\x72\x72\x65\x64\x2c\40\x65\x72\162\157\x72\x20\155\x65\163\163\x61\147\x65\x3a\x20\45\x65\x72\x72\x6f\162\115\x65\163\163\141\x67\x65\45", ["\45\145\162\x72\x6f\162\x4d\x65\x73\x73\x61\147\x65\45" => $e->getMessage()])); } goto bec7a; bec7a: F856e: goto e4885; b00d8: $this->formErrors = $this->getErrorMessages($form); goto C2d1f; C2d1f: goto F856e; goto dbafb; dbafb: Cd916: goto ea106; e4885: } public function edit(Request $request) : Response { goto ff36d; Abb29: Cf493: goto Fcce2; ab95f: $response = $this->handleUserEditForm($request, $form); goto Bf9cc; F337e: A5f60: goto Ada27; cb5fc: goto A5f60; goto Abb29; Ffaec: $response = $this->render("\101\144\155\151\x6e\x2f\x55\x73\145\162\57\145\x64\151\164\x2e\x68\x74\x6d\x6c\x2e\164\x77\151\147", ["\x75\x73\x65\x72" => $userEntity, "\163\151\x74\x65\163" => $sites, "\x66\x6f\x72\155" => $form->createView(), "\x66\157\x72\155\x45\x72\162\157\162\x73" => $this->formErrors]); goto F337e; F437d: ca324: goto Ffaec; Fcce2: $sites = $this->siteEntityManager->findAll([], ["\144\157\155\141\x69\156\116\141\155\x65" => "\101\123\x43"]); goto B5e5b; e7aba: $response = $this->redirect($this->generateUrl("\143\154\160\137\141\x64\x6d\x69\156\x5f\x75\163\x65\x72\x73")); goto cb5fc; Bf9cc: if (!(false === is_null($response))) { goto e1954; } goto d9b9e; Ada27: return $response; goto f57d4; b607a: if (false === is_null($userEntity)) { goto Cf493; } goto e7aba; f1e84: f17e4: goto F437d; d4a43: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto ca324; } goto B05be; C6d27: e1954: goto f1e84; B5e5b: $form = $this->createUserEditForm($userEntity); goto d4a43; d9b9e: return $response; goto C6d27; F175d: if (!(true === $form->isSubmitted())) { goto f17e4; } goto ab95f; B05be: $form->handleRequest($request); goto F175d; ff36d: $id = (int) $request->get("\151\x64"); goto f34b5; f34b5: $userEntity = $this->userEntityManager->findOneById($id); goto b607a; f57d4: } private function createUserEditForm(UserEntity $userEntity) : Form { goto Fb834; Fb834: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\x6d\x5c\101\x64\155\151\156\125\x73\145\162\x45\x64\151\164\x54\x79\160\145", $userEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x61\144\x6d\151\156\137\x75\163\x65\x72\137\x65\144\x69\x74", ["\x69\144" => $userEntity->getId()]), "\155\145\x74\150\x6f\144" => "\120\x4f\123\x54", "\x61\x74\164\162" => []]); goto f5e9f; A6fc6: return $form; goto e60fb; f5e9f: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\x61\x73\163" => "\x62\x74\x6e\40\142\164\156\x2d\142\x6c\x75\145\40\x62\x74\156\55\154\x67"], "\x6c\141\x62\145\154" => "\123\141\x76\145"]); goto A6fc6; e60fb: } private function handleUserEditForm(Request $request, Form $form) { goto d8bb3; bf0a9: F70f2: goto dc7c1; fab11: try { goto E77c2; d78c3: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto B36ab; } goto C3d5e; bdb80: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\141\x64\155\151\x6e\137\165\163\145\162\137\x65\144\151\164", ["\151\x64" => $userEntity->getId()])); goto Ab370; Eb100: Aec48: goto A0b09; b5d2b: sort($domainNames); goto b6b94; f748e: $this->userEntityManager->updateUser($userEntity, true, true); goto Eb100; A0b09: $eventData = ["\165\163\x65\162\x4e\141\x6d\145" => $userEntity->getUserName(), "\x66\x69\162\163\x74\x4e\141\x6d\x65" => $userEntity->getFirstName(), "\154\141\x73\x74\116\x61\x6d\x65" => $userEntity->getLastName(), "\x65\x6d\141\x69\154" => $userEntity->getEMail(), "\x72\157\154\x65" => $userEntity->getRole(), "\163\x74\x61\x74\165\163" => (int) $userEntity->getStatus(), "\x73\x69\x74\x65\163" => implode("\x2c\x20", $domainNames)]; goto E7ccf; Cb30d: B36ab: goto b5d2b; b6b94: if (false === empty($plainPassword)) { goto e28e1; } goto C73d2; A39ab: E3fd2: goto Cb30d; Fd124: $plainPassword = $userEntity->getPlainPassword(); goto a586d; a586d: $sites = $userEntity->getSites(); goto bf825; C3d5e: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); bf9b7: } goto A39ab; c9a40: e28e1: goto f748e; C73d2: $this->userEntityManager->updateUser($userEntity); goto d8be7; F3ea1: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\125\x73\145\x72\x20\150\x61\163\x20\142\145\145\x6e\x20\x75\160\x64\x61\x74\x65\144\x2e")); goto bdb80; E77c2: $currentUser = $this->getUser(); goto Be14e; E7ccf: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto F3ea1; Be14e: $session = $request->getSession(); goto D3d1f; bf825: $domainNames = []; goto d78c3; d8be7: goto Aec48; goto c9a40; D3d1f: $userEntity = $form->getData(); goto Fd124; Ab370: return $response; goto Db99f; Db99f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\162\40\x68\141\x73\40\x6f\x63\x63\165\162\162\145\144\54\x20\x65\x72\162\x6f\x72\40\155\145\x73\x73\141\x67\x65\x3a\40\45\x65\x72\x72\x6f\162\x4d\x65\x73\x73\141\x67\145\x25", ["\x25\145\162\x72\157\162\115\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto bf0a9; Ef09a: $this->formErrors = $this->getErrorMessages($form); goto af41e; fa819: D4222: goto fab11; af41e: goto F70f2; goto fa819; d8bb3: if (true === $form->isValid()) { goto D4222; } goto Ef09a; dc7c1: } public function delete(Request $request) : Response { goto Dd539; b5d2d: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto f2fce; b39ae: if (!(true === isset($id) && $id != $currentUser->getId())) { goto D4a59; } goto ab8e1; B0a04: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\x73", $this->translator->trans("\x55\x73\145\162\x20\x68\x61\x73\40\x62\145\145\x6e\40\x64\145\x6c\x65\164\145\x64\x2e")); goto cc4b2; ab8e1: $userEntity = $this->userEntityManager->findOneById($id); goto F99be; f2fce: $this->userEntityManager->deleteUser($userEntity); goto B0a04; C60b1: $this->checkCsrfToken($request, "\x64\145\x6c\x65\x74\145\x2d\x75\x73\145\x72"); goto b39ae; Dd539: $currentUser = $this->getUser(); goto d03ce; B8de8: return $response; goto D5908; A73a7: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x61\x64\x6d\x69\x6e\137\x75\x73\145\x72\x73")); goto B8de8; cc4b2: fdf52: goto d12d4; A7ab6: $session = $request->getSession(); goto be59e; d12d4: D4a59: goto A73a7; F99be: if (!(false === is_null($userEntity))) { goto fdf52; } goto A7ab6; be59e: $eventData = ["\x75\163\x65\162\116\x61\155\x65" => $userEntity->getUserName(), "\146\151\x72\x73\164\116\x61\x6d\145" => $userEntity->getFirstName(), "\154\141\163\x74\116\141\155\x65" => $userEntity->getLastName(), "\145\155\141\151\x6c" => $userEntity->getEMail(), "\x72\157\x6c\145" => $userEntity->getRole()]; goto b5d2d; d03ce: $id = (int) $request->get("\x69\144"); goto C60b1; D5908: } }
