<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto B6a5d; a26b1: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto Fac61; B4603: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto E1ed9; E1ed9: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto a26b1; B6a5d: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto B4603; Fac61: parent::__construct($translator, $logger); goto f5a23; f5a23: } public function index(Request $request) : Response { goto C093d; B4faf: if ($homeDiskSize != $rootDiskSize) { goto B3e3d; } goto f28b4; f389e: $timeRange = $request->get("\164\151\155\x65\122\141\x6e\147\145"); goto b8d73; A8948: $instance = $request->attributes->get("\151\156\163\x74\141\x6e\143\145"); goto dd0b9; eb1d7: $loadAverageChart->setData($loadAverageData); goto ff358; fe56f: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\x42", 0); goto Ca1ba; A57d2: a7773: goto d8e83; C093d: $user = $this->getUser(); goto A8948; ac38c: $memoryChart = new Chart("\115\x65\x6d\x6f\x72\x79\40\x55\x73\x61\147\145"); goto bafe5; Bef9c: try { goto c8632; E9f08: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\x42", 0); goto E54cb; f0f57: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto E1a53; a26a8: $memoryInformationCommand = new MemoryInformationCommand(); goto aad93; c8632: $commandExecutor = new CommandExecutor(); goto a26a8; e683d: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto E9f08; E54cb: $processorCoresCommand = new ProcessorCoresCommand(); goto A19b4; aad93: $commandExecutor->execute($memoryInformationCommand); goto e683d; A19b4: $commandExecutor->execute($processorCoresCommand); goto f0f57; E1a53: } catch (\Exception $e) { $this->logger->exception($e); } goto Bc275; b8d73: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto c4c3f; B1137: $cloud = $environment->getCloudProvider(); goto f389e; c891d: $diskData = [["\156\x61\155\x65" => sprintf("\x2f\40\x28\x25\163\x29", $rootDiskSize), "\143\x6f\154\157\162" => "\x23\67\63\x62\146\x34\x63", "\144\141\x74\141" => $diskData["\162\x6f\157\x74"] ?: []], ["\x6e\141\x6d\x65" => sprintf("\x2f\x68\x6f\x6d\145\x20\50\x25\163\x29", $homeDiskSize), "\143\x6f\x6c\x6f\162" => "\x23\146\63\142\146\60\x30", "\144\141\164\141" => $diskData["\150\x6f\155\x65"] ?: []]]; goto a7b3d; E18d6: $loadAverageChartInformation = sprintf("\45\163\x20\x25\x73", $numberOfProcessorCores, $this->translator->trans("\103\x50\x55")); goto fa0ea; A9adb: $memoryChart->setData($memoryData); goto bebdd; c8508: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto b945b; bafe5: $memoryChart->setInformation($totalMemory); goto A9adb; Ec1f7: $diskChart = new Chart("\104\151\x73\153\x20\x55\163\141\147\x65"); goto C240f; Bc275: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto fe56f; dd0b9: $environment = $instance->getEnvironment(); goto B1137; a57b1: $dateTime = new \DateTime(); goto F5758; ff358: $loadAverageChart->setCategories($categories); goto A7abe; a7b3d: d941a: goto c8508; B4e13: $cpuChart->setCategories($categories); goto ac38c; D97c6: $diskChart->setCategories($categories); goto E18d6; fa0ea: $loadAverageChart = new LoadAverageChart("\x4c\157\141\144\x20\x41\166\145\x72\141\x67\145"); goto d2f87; A6fe6: D3e40: goto A57d2; Dd2e9: $cpuChart->setInformation($cpuInformation); goto Efe81; F3d2c: $cpuInformation = sprintf("\x25\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\x50\125")); goto Bf641; d44f2: B3e3d: goto c891d; A1967: return $response; goto af4d7; Ca1ba: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto Eb283; A7abe: $response = $this->render("\106\162\157\x6e\164\145\x6e\144\x2f\x44\141\163\x68\x62\x6f\141\162\x64\57\151\x6e\x64\145\x78\56\150\x74\x6d\x6c\56\x74\x77\x69\147", ["\143\x6c\157\165\x64" => $cloud, "\x69\x6e\x73\164\x61\156\x63\145" => $instance, "\165\x73\145\162" => $user, "\x74\x69\x6d\145\122\141\x6e\147\145" => $timeRange, "\x63\x70\x75\103\x68\x61\x72\164" => $cpuChart, "\x6d\145\x6d\x6f\x72\171\103\150\141\162\164" => $memoryChart, "\144\x69\x73\x6b\x43\150\x61\x72\164" => $diskChart, "\154\157\x61\144\x41\x76\145\162\141\x67\x65\x43\150\141\162\x74" => $loadAverageChart]); goto A1967; c4c3f: $totalMemory = ''; goto A9e3a; d8e83: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto c2a41; Ea68c: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto B4faf; f7eb8: goto d941a; goto d44f2; F5758: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto Abc91; C240f: $diskChart->setData($diskData); goto D97c6; b945b: $loadAverageData = [["\156\x61\155\145" => $this->translator->trans("\x31\40\x4d\x69\156\165\164\145"), "\143\157\154\157\162" => "\x23\67\67\x34\x61\x61\x34", "\x64\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\141\x6d\x65" => $this->translator->trans("\x35\40\115\151\156\165\164\145\x73"), "\x63\x6f\x6c\157\x72" => "\x23\145\142\x35\x38\66\x63", "\x64\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\x61\155\145" => $this->translator->trans("\x31\65\40\115\x69\156\x75\164\x65\x73"), "\x63\x6f\154\157\x72" => "\43\60\60\67\70\x64\64", "\144\x61\x74\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto F3d2c; c2a41: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto B2f1d; d2f87: $loadAverageChart->setInformation($loadAverageChartInformation); goto eb1d7; Bf641: $cpuChart = new Chart("\x43\x50\x55\40\125\163\141\x67\x65"); goto Dd2e9; f28b4: $diskData = [["\156\x61\x6d\145" => sprintf("\x2f\40\50\45\x73\x29", $rootDiskSize), "\x63\157\x6c\157\162" => "\43\67\x33\x62\146\64\143", "\x64\x61\x74\x61" => $diskData["\x72\157\x6f\164"] ?: []]]; goto f7eb8; Efe81: $cpuChart->setData($cpuData); goto B4e13; B2f1d: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto Ea68c; Abc91: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto bc372; D5678: goto a7773; goto Bf0e3; db94c: $startTime = (clone $endTime)->modify("\x2d\63\x30\x20\155\151\x6e\165\x74\x65\163"); goto D5678; bc372: $minuteInterval = 5; goto db94c; Bf0e3: case self::TIME_RANGE_LAST_HOUR: goto D7d81; D7d81: $minuteInterval = 10; goto E7512; a3282: goto a7773; goto D30a6; E7512: $startTime = (clone $endTime)->modify("\55\x31\40\150\x6f\x75\162"); goto a3282; D30a6: case self::TIME_RANGE_LAST_THREE_HOURS: goto db264; b9eb3: goto a7773; goto c184e; Da743: $startTime = (clone $dateTime)->modify("\55\x33\40\150\x6f\x75\x72\163"); goto b9eb3; db264: $minuteInterval = 30; goto Da743; c184e: case self::TIME_RANGE_LAST_SIX_HOURS: goto ab7dc; ddffd: $startTime = (clone $dateTime)->modify("\55\x36\x20\x68\157\165\162\163"); goto fee23; ab7dc: $minuteInterval = 60; goto ddffd; fee23: goto a7773; goto F5a5d; F5a5d: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Caef0; Ba883: goto a7773; goto a1250; c6b8d: $startTime = (clone $dateTime)->modify("\55\x31\62\x20\x68\157\x75\162\x73"); goto Ba883; Caef0: $minuteInterval = 120; goto c6b8d; a1250: } goto A6fe6; Eb283: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto a57b1; A9e3a: $numberOfProcessorCores = 0; goto Bef9c; bebdd: $memoryChart->setCategories($categories); goto Ec1f7; af4d7: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto E43c8; E697c: Ff772: goto f25bd; Fe514: goto Ff772; goto c4d0d; ac0a0: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\x20\155\151\156\165\164\x65\x73", $minuteInterval)); goto B8d2f; bb424: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto dc789; D0848: $endDataDate->modify(sprintf("\53\x25\60\65\x64\40\155\151\156\165\x74\145\163", $minuteInterval)); goto Fe514; B8d2f: $endDataDate = clone $startTime; goto E697c; Ae375: $categoryDateTime = clone $endDataDate; goto bb424; f25bd: if (!($endDataDate <= $endTime)) { goto D59b5; } goto Ae375; E43c8: $categories = []; goto ac0a0; c4d0d: D59b5: goto F5375; dc789: $categories[] = $categoryDateTime->format("\110\72\x69"); goto Fc462; F5375: return $categories; goto aea89; Fc462: $startDataDate->modify(sprintf("\53\x25\60\65\144\x20\x6d\151\156\x75\x74\145\163", $minuteInterval)); goto D0848; aea89: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto F18fb; B3acd: $endDataDate->modify(sprintf("\53\x25\60\x35\144\40\155\x69\156\165\164\145\x73", $minuteInterval)); goto bb6ff; E38b5: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\x30\x35\x64\x20\155\x69\156\165\164\x65\163", $minuteInterval)); goto Ac8cc; Da220: B2852: goto D4aec; F18fb: $cpuData = []; goto E38b5; f3d4c: f7e98: goto C6b85; f89fb: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto a295a; D4aec: if (!($endDataDate <= $endTime)) { goto f7e98; } goto f89fb; a295a: $cpuData[] = $averageCpuValue; goto E408c; bb6ff: goto B2852; goto f3d4c; C6b85: return $cpuData; goto F53e1; Ac8cc: $endDataDate = clone $startTime; goto Da220; E408c: $startDataDate->modify(sprintf("\x2b\x25\60\x35\x64\40\155\x69\x6e\165\164\x65\x73", $minuteInterval)); goto B3acd; F53e1: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto B65e1; C9b63: $endDataDate = clone $startTime; goto f63fd; F1b66: return $memoryData; goto fbebb; d8ee6: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\x30\x35\144\x20\x6d\x69\156\165\x74\145\x73", $minuteInterval)); goto C9b63; f63fd: bacc2: goto e2bb9; e09a0: $startDataDate->modify(sprintf("\53\45\60\65\x64\40\155\151\x6e\x75\x74\x65\x73", $minuteInterval)); goto D008b; B9f32: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto b8f0a; B65e1: $memoryData = []; goto d8ee6; e2bb9: if (!($endDataDate <= $endTime)) { goto c0933; } goto B9f32; b8f0a: $memoryData[] = (int) $averageMemoryValue; goto e09a0; D008b: $endDataDate->modify(sprintf("\53\x25\60\x35\x64\40\155\151\156\165\x74\x65\x73", $minuteInterval)); goto d3253; d3253: goto bacc2; goto d2728; d2728: c0933: goto F1b66; fbebb: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto b3acf; e4ad0: return $diskData; goto A374b; C93a5: foreach (["\x2f", "\57\x68\x6f\x6d\145"] as $disk) { goto a90b9; a90b9: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto B804e; c98de: F6752: goto B088d; A53c6: $diskData["\x68\157\x6d\x65"][] = (int) $averageDiskSizeValue; goto Bcc37; B088d: $diskData["\162\x6f\x6f\164"][] = (int) $averageDiskSizeValue; goto D1e99; Bcc37: goto bfaf4; goto c98de; B804e: if ("\57" == $disk) { goto F6752; } goto A53c6; D1e99: bfaf4: goto C2674; C2674: Ab074: goto f5e68; f5e68: } goto e19a6; e19a6: ab5ba: goto d659c; Cd1ad: goto c90f4; goto d3a2d; Abd5f: $endDataDate->modify(sprintf("\53\x25\x30\x35\x64\x20\155\151\156\165\164\145\x73", $minuteInterval)); goto Cd1ad; Cc4bc: if (!($endDataDate <= $endTime)) { goto Ee00c; } goto C93a5; f29fa: c90f4: goto Cc4bc; a6ce0: $endDataDate = clone $startTime; goto f29fa; c971a: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\x35\144\40\155\151\x6e\165\x74\x65\x73", $minuteInterval)); goto a6ce0; d3a2d: Ee00c: goto e4ad0; d659c: $startDataDate->modify(sprintf("\53\45\x30\65\144\x20\x6d\151\x6e\x75\164\x65\x73", $minuteInterval)); goto Abd5f; b3acf: $diskData = []; goto c971a; A374b: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto c8d30; c40c9: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto D7563; b5dba: c87b5: goto b9703; D7563: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto b14ef; b14ef: $loadAverageData[$period][] = round($loadAverageValue, 2); goto b5dba; b9703: } goto a3e91; c7f6c: E2333: goto Acbba; Acbba: return $loadAverageData; goto fe039; c8d30: $loadAverageData = []; goto Cce0b; c9301: goto f24bc; goto c7f6c; Fc1fd: $startDataDate->modify(sprintf("\53\x25\60\x35\144\x20\x6d\x69\156\165\x74\145\163", $minuteInterval)); goto Dcbbf; Dcbbf: $endDataDate->modify(sprintf("\x2b\x25\x30\65\144\x20\x6d\151\x6e\x75\164\145\x73", $minuteInterval)); goto c9301; B0aeb: if (!($endDataDate <= $endTime)) { goto E2333; } goto c40c9; Cce0b: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\65\144\x20\155\151\156\x75\164\145\163", $minuteInterval)); goto C76dc; C76dc: $endDataDate = clone $startTime; goto C7ba2; a3e91: e5117: goto Fc1fd; C7ba2: f24bc: goto B0aeb; fe039: } }
