<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto fc5b8; f9cdf: $this->siteEntityManager = $siteEntityManager; goto c0b4d; Ed03a: $this->ftpUserEntityManager = $ftpUserEntityManager; goto Fd2a1; Af1db: $this->blockedIpEntityManager = $blockedIpEntityManager; goto d04ef; c0b4d: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Af1db; fc5b8: $this->configManager = $configManager; goto f9cdf; Ad95a: $this->certificateEntityManager = $certificateEntityManager; goto Fea6e; d04ef: $this->blockedBotEntityManager = $blockedBotEntityManager; goto Ad95a; Fd2a1: $this->sshUserEntityManager = $sshUserEntityManager; goto F660c; ef51d: $this->databaseEntityManager = $databaseEntityManager; goto f5ff6; A6c2b: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto Ed03a; Fea6e: $this->cronJobEntityManager = $cronJobEntityManager; goto ef51d; ad9b4: parent::__construct($translator, $logger); goto c5b2b; C7e3b: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A6c2b; F660c: $this->domainNameParser = $domainNameParser; goto ad9b4; f5ff6: $this->databaseUserEntityManager = $databaseUserEntityManager; goto C7e3b; c5b2b: } public function index(Request $request) : Response { goto F946f; F946f: $user = $this->getUser(); goto eb9e4; e4a09: return $response; goto f0f31; eb9e4: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\x6d\141\151\x6e\116\x61\155\145" => "\x61\x73\143"]); goto e5713; e5713: $response = $this->render("\x46\x72\x6f\x6e\164\145\156\144\57\123\x69\x74\145\57\151\x6e\144\145\x78\x2e\150\x74\155\154\56\164\x77\x69\147", ["\x75\163\145\162" => $user, "\163\151\x74\145\163" => $sites]); goto e4a09; f0f31: } public function fileManager(Request $request) : Response { goto bbbfe; F157e: $cookieExpirationDate = new \DateTime("\x6e\157\167"); goto cbe15; c9db9: if (false === is_null($site)) { goto E8d5d; } goto e4d99; a3884: return $response; goto eafde; bbbfe: $site = $this->getSite($request); goto c9db9; e4d99: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x73")); goto edeff; Db88c: $response = $this->render("\106\162\x6f\156\x74\x65\x6e\144\57\123\151\164\145\57\146\151\154\145\x2d\x6d\141\156\141\x67\x65\x72\56\150\x74\155\x6c\56\164\x77\x69\147", ["\x73\x69\x74\145" => $site, "\146\x69\x6c\145\115\141\156\141\147\145\162\125\x72\x6c" => $fileManagerUrl, "\146\157\x72\155\105\162\162\157\162\163" => $this->formErrors]); goto E4372; A2e74: E8d5d: goto cd308; C38b7: $data = ["\165\163\x65\162" => $siteUser, "\x6c\157\x63\141\154\145" => $locale]; goto D3915; edeff: goto b4015; goto A2e74; D3915: $session->set("\x63\154\160\x2d\146\x69\154\145\x2d\x6d\x61\156\141\x67\x65\x72", $data); goto A84ed; A84ed: $fileManagerUrl = sprintf("\x25\163\57\146\151\x6c\145\55\x6d\x61\x6e\141\147\145\162\x2f", rtrim($request->getSchemeAndHttpHost(), "\57")); goto Db88c; C850b: $session = $request->getSession(); goto F58ca; F58ca: $locale = $request->getLocale(); goto F157e; cbe15: $cookieExpirationDate->modify(sprintf("\53\x25\x73\40\150\157\x75\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto C38b7; cd308: $siteUser = $site->getUser(); goto C850b; E4372: b4015: goto a3884; eafde: } public function view(Request $request) : Response { goto b5490; d1ab9: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\137\163\145\164\164\151\156\147\163", ["\x64\x6f\155\141\x69\156\x4e\x61\x6d\145" => $domainName])); goto b1dd9; b1dd9: return $response; goto A37df; b5490: $domainName = $request->get("\144\157\x6d\x61\151\156\x4e\x61\155\145"); goto d1ab9; A37df: } public function logs(Request $request) : Response { goto B1ffc; ec13a: $form = $this->createLogsForm($siteEntity); goto Aec6b; ece9e: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\x73")); goto a9433; a9433: goto D3cfd; goto a0e5a; a0e5a: E3100: goto A37c1; ad335: if (false === is_null($site)) { goto E3100; } goto ece9e; B1ffc: $site = $this->getSite($request); goto ad335; Aec6b: $response = $this->render("\x46\162\157\x6e\164\x65\156\x64\x2f\x53\x69\x74\x65\57\154\x6f\x67\163\x2e\x68\x74\155\154\x2e\x74\x77\151\x67", ["\x73\x69\164\145" => $site, "\146\157\162\155\105\162\x72\157\x72\163" => $this->formErrors, "\146\x6f\x72\155" => $form->createView()]); goto Ec255; A37c1: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto ec13a; b9742: return $response; goto e66d4; Ec255: D3cfd: goto b9742; e66d4: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto eee3f; aae52: $form->add("\165\x70\x64\141\x74\145", ButtonType::class, ["\x61\x74\x74\162" => ["\143\154\141\x73\x73" => "\x62\164\156\40\x62\x74\156\55\154\x67\x20\142\164\x6e\55\x62\154\x75\145\40\x62\164\156\55\x75\x70\x64\x61\164\145"], "\x6c\141\x62\145\x6c" => "\125\160\x64\141\164\145"]); goto f16d4; eee3f: $form = $this->createForm("\x41\160\160\x5c\106\x6f\162\x6d\134\123\x69\164\x65\x4c\x6f\147\163\x54\171\160\145", [], ["\141\143\x74\151\157\x6e" => $this->generateUrl("\143\154\160\x5f\x73\x69\x74\145\x5f\154\x6f\x67\x73", ["\144\157\155\141\151\156\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\157\144" => "\120\117\x53\124", "\141\164\x74\x72" => []]); goto aae52; f16d4: return $form; goto Aca50; Aca50: } public function logFileContent(Request $request, Twig $twig) : Response { goto eb844; d6b7c: C10c2: goto E74c9; E74c9: E5dd0: goto e7f1e; f8579: if (!(false === empty($service) && false === empty($logfileName))) { goto C10c2; } goto d8233; d8233: try { goto F9837; e9426: $logMessages = $phpFpmErrorLogParser->parse(); goto Dd6ca; d6243: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto d299a; A01b3: $data["\154\x6f\x67\x4d\x65\163\163\x61\x67\145\163\110\x74\155\x6c"] = $logMessagesHtml; goto Aa66c; abf31: if (!("\160\x68\160" == $service)) { goto E88a1; } goto d00dc; ab335: $userTimezone = $user->getTimezone(); goto a2f76; D1d90: d16ec: goto abf31; Ae856: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto B9e91; B9e91: $logMessages = $nginxErrorLogParser->parse(); goto ef587; c9b9a: dd93d: goto d6243; Af2bc: $logfileReader = new LogfileReader($logfile); goto E6ee9; fe9c7: $logMessagesHtml = $twig->render("\106\162\x6f\156\164\x65\x6e\x64\57\x53\x69\164\x65\57\x4c\157\x67\163\57\x6e\x67\151\156\170\55\x61\x63\143\x65\163\163\x2d\x6c\x6f\147\x2d\155\145\163\163\141\x67\x65\x73\x2e\x68\164\155\x6c\x2e\164\167\151\x67", ["\154\157\x67\115\x65\163\163\141\x67\145\x73" => $logMessages]); goto E955a; F9837: $service = basename($service); goto d55e0; d00dc: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto e9426; Dd6ca: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\x74\x65\156\x64\57\123\151\x74\145\57\x4c\x6f\147\x73\57\x70\150\x70\x2d\146\x70\x6d\55\x65\x72\162\x6f\x72\55\154\x6f\x67\55\x6d\145\163\163\141\147\x65\x73\x2e\x68\164\x6d\154\x2e\x74\167\151\147", ["\x6c\x6f\x67\x4d\x65\163\163\141\147\145\163" => $logMessages]); goto Be43e; Be43e: E88a1: goto A01b3; e6d41: $user = $this->getUser(); goto fc389; E955a: B2525: goto D1d90; E6ee9: $logLines = $logfileReader->getLines($numberOfLines); goto C9245; fc389: if (!("\156\147\x69\x6e\x78" == $service)) { goto d16ec; } goto ab335; fcb2f: $logMessages = $nginxAccessLogParser->parse(); goto fe9c7; C9245: $logMessagesHtml = ''; goto e6d41; f0bcd: goto B2525; goto c9b9a; a2f76: if ("\141\x63\143\145\x73\x73\x2e\154\157\147" == substr($logfileName, 0, 10)) { goto dd93d; } goto Ae856; ef587: $logMessagesHtml = $twig->render("\106\162\x6f\156\164\145\x6e\x64\57\123\x69\164\145\57\114\157\x67\x73\57\156\147\151\156\170\55\x65\x72\x72\x6f\162\55\154\x6f\x67\55\155\145\x73\163\x61\x67\x65\x73\56\150\164\155\x6c\x2e\164\167\x69\147", ["\154\157\x67\115\x65\x73\x73\141\x67\145\x73" => $logMessages]); goto f0bcd; d55e0: $logfile = sprintf("\57\150\x6f\155\x65\x2f\x25\x73\x2f\x6c\x6f\x67\x73\57\x25\x73\x2f\x25\163", $site->getUser(), $service, $logfileName); goto Af2bc; d299a: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto fcb2f; Aa66c: } catch (\Exception $e) { $this->logger->exception($e); } goto d6b7c; e7f1e: $response = $this->json($data); goto b4ad6; ba207: $numberOfLines = (int) $request->get("\156\x75\x6d\142\x65\x72\117\146\x4c\x69\156\145\x73"); goto f8579; eb844: $data = []; goto ed208; b4ad6: return $response; goto e462f; F7195: $service = trim($request->get("\163\145\162\x76\x69\x63\145")); goto C1ed3; d744a: if (!(false === is_null($site))) { goto E5dd0; } goto F7195; ed208: $site = $this->getSite($request); goto d744a; C1ed3: $logfileName = trim($request->get("\154\x6f\147\106\151\x6c\145")); goto ba207; e462f: } public function loadLogfilesForService(Request $request) : Response { goto B944f; A1aae: $service = trim($request->get("\x73\x65\x72\x76\x69\143\145")); goto E2307; B0de8: return $response; goto fc451; d2bbe: Ca75e: goto Dec38; E2307: if (!(false === empty($service))) { goto Ca75e; } goto ad1aa; eba57: if (!(false === is_null($site))) { goto cec1f; } goto A1aae; ad1aa: try { goto ef96a; Fa631: if (!(false === empty($logfiles))) { goto F4191; } goto c3f10; Bf65a: F4191: goto ea7b9; c3f10: $data["\154\x6f\147\x66\151\x6c\145\163"] = $logfiles; goto Bf65a; d6134: $logsFinder = new LogsFinder($logfilesDirectory); goto A8566; cda78: $logfilesDirectory = sprintf("\57\150\157\x6d\145\x2f\x25\x73\x2f\x6c\x6f\147\x73\x2f\45\x73\57", $site->getUser(), $service); goto d6134; A8566: $logfiles = $logsFinder->getLogfiles(); goto Fa631; ef96a: $service = basename($service); goto cda78; ea7b9: } catch (\Exception $e) { $this->logger->exception($e); } goto d2bbe; Dec38: cec1f: goto C49fd; Df9c7: $site = $this->getSite($request); goto eba57; C49fd: $response = $this->json($data); goto B0de8; B944f: $data = []; goto Df9c7; fc451: } public function cronJobs(Request $request) : Response { goto a03df; f7ee3: Cf085: goto d4165; Eda5d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\163")); goto bfe57; a03df: $site = $this->getSite($request); goto A7c06; bfe57: goto b035b; goto f7ee3; d4165: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\x64\57\x53\x69\x74\145\57\143\162\157\156\55\x6a\157\x62\163\x2e\150\x74\x6d\x6c\x2e\164\167\x69\147", ["\163\151\164\x65" => $site, "\x66\157\162\x6d\105\162\162\157\x72\163" => $this->formErrors]); goto A8711; A7c06: if (false === is_null($site)) { goto Cf085; } goto Eda5d; A8711: b035b: goto Cabd5; Cabd5: return $response; goto e8368; e8368: } public function newCronJob(Request $request) : Response { goto a6a76; Cd964: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D8613; E5933: if (!(true === $form->isSubmitted())) { goto B7d59; } goto e9d36; a6a76: $site = $this->getSite($request); goto ef5dc; B54fa: $response = $this->render("\106\x72\157\x6e\164\145\x6e\144\57\123\x69\x74\x65\x2f\156\x65\167\55\143\x72\x6f\x6e\55\152\157\142\x2e\x68\164\155\154\x2e\164\x77\x69\147", ["\x73\x69\x74\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\157\162\155\x45\x72\162\157\x72\163" => $this->formErrors]); goto Da92c; D2102: $form = $this->createCronJobForm($cronJobEntity); goto De298; C20d5: f2e6b: goto bbd74; c27ab: return $response; goto C20d5; De298: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto D05ad; } goto e7b6e; Da92c: e6944: goto D923e; D923e: return $response; goto f2860; c9122: goto e6944; goto a0306; e9d36: $response = $this->handleCronJobForm($request, $form, $site); goto Cc043; a0306: dbb61: goto Cd964; B6c09: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x73")); goto c9122; Cc043: if (!(false === is_null($response))) { goto f2e6b; } goto c27ab; Fd3e9: $cronJobEntity->setSite($siteEntity); goto D2102; D8613: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto Fd3e9; ba228: D05ad: goto B54fa; e7b6e: $form->handleRequest($request); goto E5933; ef5dc: if (false === is_null($site)) { goto dbb61; } goto B6c09; bbd74: B7d59: goto ba228; f2860: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto a7b88; eab54: $form = $this->createForm("\x41\x70\160\134\x46\157\162\x6d\134\x53\151\164\x65\x43\x72\157\x6e\112\157\142\124\171\x70\x65", $cronJobEntity, ["\x61\x63\164\151\157\156" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\137\143\x72\x6f\x6e\137\x6a\x6f\142\137\x6e\145\x77", ["\x64\x6f\155\x61\x69\156\116\141\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\120\117\123\x54", "\x61\x74\164\x72" => []]); goto C9549; F09d9: return $form; goto F1804; a7b88: $siteEntity = $cronJobEntity->getSite(); goto eab54; C9549: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\154\x61\x73\x73" => "\142\x74\156\40\x62\x74\156\55\142\x6c\x75\145\40\x62\x74\156\x2d\154\147"], "\154\141\x62\x65\x6c" => "\x41\144\x64\40\x43\x72\157\x6e\40\112\157\142"]); goto F09d9; F1804: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto Ff62e; cb97e: e1102: goto e89cc; Ff62e: if (true === $form->isValid()) { goto e1102; } goto B72f7; e2ed5: goto E1daf; goto cb97e; B72f7: $this->formErrors = $this->getErrorMessages($form); goto e2ed5; Ad974: E1daf: goto ca4a5; e89cc: try { goto dafa2; a23d8: $siteEntity->addCronJob($cronJobEntity); goto fff46; Be61d: return $response; goto b0499; a75f2: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto bceda; e24c5: $domainName = $site->getDomainName(); goto C5f90; a1c91: $this->siteEntityManager->updateEntity($siteEntity); goto e1363; Dcf09: d1f70: goto Cb410; Bc488: e237f: goto Be61d; c4305: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x5f\143\x72\x6f\x6e\137\x6a\x6f\x62\x73", ["\x64\157\x6d\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Bc488; b785c: if (false === is_null($siteEntity)) { goto d1f70; } goto a25a2; a25a2: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\x65\163")); goto Dbe04; fff46: $site->setCronJobs($siteEntity->getCronJobs()); goto a1c91; e1363: $siteUpdater = $this->getSiteUpdater($site); goto E1a54; f0492: $eventData = ["\x73\151\x74\x65" => $domainName, "\143\162\x6f\156\x74\141\x62\x45\170\160\x72\145\163\163\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto a75f2; C5f90: $siteEntity = $this->getSiteEntity($domainName); goto b785c; dafa2: $session = $request->getSession(); goto e24c5; E1a54: $siteUpdater->updateUserCrontab(); goto f0492; Dbe04: goto e237f; goto Dcf09; Cb410: $user = $this->getUser(); goto ef1c5; ef1c5: $cronJobEntity = $form->getData(); goto a23d8; bceda: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\163", $this->translator->trans("\103\x72\157\156\40\112\x6f\x62\x20\x68\x61\163\x20\x62\145\x65\x6e\40\141\x64\x64\x65\x64\x2e")); goto c4305; b0499: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\x72\40\x68\x61\163\x20\157\143\143\165\x72\x72\145\144\54\x20\x65\x72\162\157\162\x20\x6d\x65\163\x73\x61\147\145\x3a\40\x25\145\162\162\157\x72\x4d\x65\163\x73\x61\x67\145\45", ["\x25\145\x72\162\x6f\x72\115\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto Ad974; ca4a5: } public function deleteCronJob(Request $request) : Response { goto C27cb; B30d9: if (!(false === is_null($site))) { goto Dc609; } goto d6b91; d6b91: try { goto fa31c; acace: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\x5f\143\162\157\156\x5f\x6a\157\142\x73", ["\144\x6f\x6d\141\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto b03f8; c1bdc: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto a42a7; b03f8: return $response; goto e6b26; fa31c: $session = $request->getSession(); goto C4372; C3880: $siteUpdater->updateUserCrontab(); goto Ed8b8; a42a7: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\x73", $this->translator->trans("\x43\162\157\x6e\x20\x4a\x6f\x62\40\x68\141\x73\40\142\x65\x65\156\x20\x64\x65\x6c\x65\x74\x65\x64\x2e")); goto acace; e3a2f: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto c2235; } goto B42fd; C4372: $id = (int) $request->get("\151\144"); goto E751a; e2aa6: $cronJobSiteEntity = $cronJobEntity->getSite(); goto e3a2f; cdb3a: $this->siteEntityManager->updateEntity($siteEntity); goto d05bc; A5506: $siteEntity = $this->getSiteEntity($domainName); goto ec1b5; D699b: c1b51: goto c6e71; ec1b5: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto af01f; f5024: $site->setCronJobs($siteEntity->getCronJobs()); goto cdb3a; af01f: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto c1b51; } goto e2aa6; B42fd: $user = $this->getUser(); goto F5aa0; F5aa0: $siteEntity->removeCronJob($cronJobEntity); goto f5024; e6b26: c2235: goto D699b; Ed8b8: $evenData = ["\x73\x69\164\x65" => $domainName, "\x63\157\x6d\155\141\156\144" => $cronJobEntity->getCommand()]; goto c1bdc; E751a: $domainName = $site->getDomainName(); goto A5506; d05bc: $siteUpdater = $this->getSiteUpdater($site); goto C3880; c6e71: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\x6f\x72\x20\150\x61\163\40\157\x63\x63\x75\x72\x72\145\144\54\x20\x65\162\162\x6f\x72\x20\155\145\163\163\141\147\x65\72\40\45\145\x72\x72\157\162\x4d\x65\163\x73\x61\x67\x65\45", ["\45\x65\x72\162\157\162\115\145\163\x73\141\147\x65\45" => $e->getMessage()])); } goto Ac4b1; e0768: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\145\x73")); goto Fc08a; C27cb: $site = $this->getSite($request); goto B9cc8; Fc08a: return $response; goto Ac821; B9cc8: $this->checkCsrfToken($request, "\143\x72\x6f\x6e\x6a\x6f\x62\55\x64\x65\x6c\x65\x74\145"); goto B30d9; Ac4b1: Dc609: goto e0768; Ac821: } public function editCronJob(Request $request) : Response { goto e9893; A3a58: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto eff02; } goto e2f7e; A4e63: if (!(false === is_null($response))) { goto A2aea; } goto B55dd; ac36b: if (!(true === $form->isSubmitted())) { goto Dadcd; } goto c4d65; Bd993: e92ad: goto a04f8; a04f8: return $response; goto f7f88; Be034: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Eefd3; } goto ae647; d5e80: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto Be034; Eafc3: $form = $this->createCronJobEditForm($cronJobEntity); goto A3a58; c7546: A2aea: goto E21fb; E21fb: Dadcd: goto Abb4e; Bf168: $response = $this->render("\106\x72\157\x6e\164\x65\x6e\144\57\x53\x69\x74\x65\57\145\x64\151\164\55\143\x72\x6f\156\55\x6a\157\x62\56\150\164\x6d\x6c\56\x74\x77\151\147", ["\x73\x69\164\x65" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\162\157\162\x73" => $this->formErrors]); goto Bd993; B55dd: return $response; goto c7546; ae647: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\x65\163")); goto F9e30; e2f7e: $form->handleRequest($request); goto ac36b; c4d65: $response = $this->handleCronJobEditForm($request, $form, $site); goto A4e63; e9893: $id = (int) $request->get("\151\x64"); goto bb6b2; bb6b2: $site = $this->getSite($request); goto d5e80; f6ab0: Eefd3: goto Eafc3; Abb4e: eff02: goto Bf168; F9e30: goto e92ad; goto f6ab0; f7f88: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto C357d; Bf313: return $form; goto Ddd38; D8387: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\155\x5c\x53\151\164\145\x43\162\157\x6e\112\x6f\142\105\144\x69\164\x54\x79\160\x65", $cronJobEntity, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x5f\x63\162\157\156\137\x6a\157\x62\137\145\x64\x69\x74", ["\x64\157\155\141\151\156\116\x61\x6d\x65" => $siteEntity->getDomainName(), "\x69\x64" => $cronJobEntity->getId()]), "\x6d\x65\x74\x68\157\144" => "\120\x4f\x53\124", "\x61\164\x74\x72" => []]); goto a5bf8; C357d: $siteEntity = $cronJobEntity->getSite(); goto D8387; a5bf8: $form->add("\x73\165\x62\x6d\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\143\154\141\163\163" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\154\165\x65\40\142\x74\156\x2d\x6c\147"], "\154\141\142\x65\154" => "\x53\141\x76\x65"]); goto Bf313; Ddd38: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto ec683; Eb7fa: $this->formErrors = $this->getErrorMessages($form); goto D928a; c5196: ad25f: goto c4d0e; A510a: try { goto b1b4e; A8b78: $site->setCronJobs($siteEntity->getCronJobs()); goto c146f; c146f: $this->siteEntityManager->updateEntity($siteEntity); goto c81e0; B395b: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto Ea72a; fe924: $domainName = $site->getDomainName(); goto d47ef; F7aac: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\137\x63\x72\x6f\156\x5f\x6a\x6f\142\163", ["\x64\157\x6d\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto E86af; c043e: goto a1d89; goto Ed00c; Ed00c: de9c5: goto Bbd2e; be7cd: $cronJobEntity = $form->getData(); goto cd981; b1b4e: $session = $request->getSession(); goto fe924; E86af: a1d89: goto b0c84; cd3da: $siteUpdater->updateUserCrontab(); goto C955a; cd981: $siteEntity->addCronJob($cronJobEntity); goto A8b78; Ea72a: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\103\162\157\156\x20\112\x6f\142\x20\150\x61\x73\40\142\145\x65\156\x20\x73\x61\166\145\x64\x2e")); goto F7aac; b0c84: return $response; goto f3b0c; c0535: if (false === is_null($siteEntity)) { goto de9c5; } goto d8806; c81e0: $siteUpdater = $this->getSiteUpdater($site); goto cd3da; d47ef: $siteEntity = $this->getSiteEntity($domainName); goto c0535; d8806: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\x73")); goto c043e; C955a: $eventData = ["\x73\x69\164\x65" => $domainName, "\x63\x72\x6f\x6e\x74\141\142\x45\170\x70\162\x65\163\163\x69\x6f\x6e" => $cronJobEntity->getCrontabExpression()]; goto B395b; Bbd2e: $user = $this->getUser(); goto be7cd; f3b0c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\157\x72\40\150\x61\163\40\x6f\143\143\x75\x72\x72\x65\144\x2c\x20\x65\162\x72\x6f\x72\40\155\145\x73\163\141\x67\x65\x3a\x20\45\145\x72\162\x6f\162\x4d\145\163\163\141\147\x65\45", ["\45\x65\x72\x72\157\x72\115\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto c5196; D424f: ba499: goto A510a; ec683: if (true === $form->isValid()) { goto ba499; } goto Eb7fa; D928a: goto ad25f; goto D424f; c4d0e: } public function users(Request $request) : Response { goto d7999; E4ac1: if (false === is_null($site)) { goto cda3d; } goto a6760; e20b9: goto A05ad; goto fffcd; a6760: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\145\x73")); goto e20b9; d7999: $site = $this->getSite($request); goto E4ac1; fffcd: cda3d: goto a9c02; a9c02: $response = $this->render("\x46\x72\157\156\x74\145\x6e\x64\57\x53\151\x74\145\57\x75\x73\x65\x72\163\56\x68\x74\x6d\x6c\x2e\x74\167\151\147", ["\x73\x69\164\x65" => $site, "\146\x6f\x72\155\105\162\162\157\x72\x73" => $this->formErrors]); goto Af5ce; De39e: return $response; goto caa7d; Af5ce: A05ad: goto De39e; caa7d: } public function newFtpUser(Request $request) : Response { goto e3327; d2c25: return $response; goto E57a3; ad5b8: if (false === is_null($site)) { goto dc2cd; } goto d5108; f6487: ba50d: goto a9a68; d71b9: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Eaf0c; f3512: goto ba50d; goto d6fb5; e82bd: De4d5: goto B5bdc; E57a3: Cc501: goto D78b0; D78b0: cfde8: goto e82bd; Cbf69: $form->handleRequest($request); goto acdff; A0937: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto De4d5; } goto Cbf69; e3327: $site = $this->getSite($request); goto ad5b8; ba13a: $response = $this->handleFtpUserForm($request, $form, $site); goto dcbb7; a9a68: return $response; goto a49b1; d6fb5: dc2cd: goto d71b9; Eaf0c: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto F4e8c; F4e8c: $ftpUserEntity->setSite($siteEntity); goto a11a4; dcbb7: if (!(false === is_null($response))) { goto Cc501; } goto d2c25; a11a4: $form = $this->createFtpUserForm($ftpUserEntity); goto A0937; acdff: if (!(true === $form->isSubmitted())) { goto cfde8; } goto ba13a; d5108: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\163")); goto f3512; B5bdc: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\144\x2f\123\x69\x74\145\57\156\x65\167\55\146\x74\x70\55\x75\163\x65\162\56\x68\164\155\x6c\56\x74\x77\151\x67", ["\x73\151\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\146\157\x72\155\x45\x72\162\157\162\163" => $this->formErrors]); goto f6487; a49b1: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto a1843; B1522: $form->add("\x73\x75\x62\155\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\141\x73\x73" => "\x62\x74\156\x20\x62\x74\156\x2d\142\154\x75\x65\x20\x62\164\156\55\154\147"], "\154\x61\142\145\154" => "\x41\144\x64\40\125\x73\145\162"]); goto F8475; c3099: $form = $this->createForm("\x41\x70\160\134\x46\157\162\x6d\x5c\123\x69\164\x65\x46\x74\x70\125\163\145\162\124\x79\160\145", $ftpUserEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\160\137\163\151\x74\145\137\146\164\x70\x5f\165\x73\x65\x72\x5f\x6e\x65\167", ["\144\x6f\155\141\x69\x6e\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\x68\157\144" => "\120\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto B1522; F8475: return $form; goto dcb79; a1843: $siteEntity = $ftpUserEntity->getSite(); goto c3099; dcb79: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto Cfcbd; eba69: try { goto Ca830; Da2d4: $session->getFlashBag()->set("\163\x75\143\143\145\x73\x73", $this->translator->trans("\125\x73\x65\x72\x20\x68\x61\163\x20\142\x65\x65\156\x20\x61\x64\x64\x65\x64\56")); goto b9c98; e50d3: Ed2a4: goto fd31b; D9499: $ftpUserPassword = $form->get("\160\141\163\163\x77\157\x72\x64")->getData(); goto E7a6d; b8e72: return $response; goto Cd281; aa6b4: $ftpUserEntity = $form->getData(); goto d8c13; B9eee: $domainName = $site->getDomainName(); goto D9db7; b6170: $this->siteEntityManager->updateEntity($siteEntity); goto d5ef7; b9c98: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\137\165\x73\145\162\163", ["\144\x6f\155\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto C915b; F5de3: $siteEntity->addFtpUser($ftpUserEntity); goto b6170; Bc383: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\x65\x73")); goto a5026; Ca830: $session = $request->getSession(); goto B9eee; d1fbd: $eventData = ["\x73\x69\164\x65" => $domainName, "\x75\x73\145\x72\x4e\141\x6d\x65" => $ftpUserName, "\150\157\155\145\104\151\162\x65\143\x74\157\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto fb84b; E7a6d: $ftpUserEntity->setPassword($ftpUserPassword); goto F5de3; D9db7: $siteEntity = $this->getSiteEntity($domainName); goto F1fb9; d8c13: $ftpUserName = $ftpUserEntity->getUserName(); goto D9499; fd31b: $user = $this->getUser(); goto aa6b4; a5026: goto a29a8; goto e50d3; F1fb9: if (false === is_null($siteEntity)) { goto Ed2a4; } goto Bc383; d5ef7: $siteUpdater = $this->getSiteUpdater($site); goto a8d29; fb84b: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto Da2d4; C915b: a29a8: goto b8e72; a8d29: $siteUpdater->createFtpUser($ftpUserEntity); goto d1fbd; Cd281: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\x72\40\x68\x61\x73\40\x6f\143\143\165\x72\162\x65\x64\x2c\x20\145\162\x72\x6f\x72\40\155\x65\163\x73\141\147\145\x3a\40\45\145\162\x72\157\162\115\x65\x73\x73\x61\x67\x65\x25", ["\45\x65\162\x72\157\x72\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto c09f8; a024f: goto e8770; goto cc67f; Cfcbd: if (true === $form->isValid()) { goto a6aa2; } goto f8677; cc67f: a6aa2: goto eba69; f8677: $this->formErrors = $this->getErrorMessages($form); goto a024f; c09f8: e8770: goto Fcfe9; Fcfe9: } public function editFtpUser(Request $request) : Response { goto c2bdc; d3fa3: $site = $this->getSite($request); goto F5731; ada9d: ac67d: goto F28f5; e625f: Ea23c: goto e07ce; F5731: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto da216; b9ff9: $response = $this->render("\106\x72\x6f\x6e\164\145\156\x64\x2f\123\151\x74\x65\57\145\144\151\x74\x2d\146\164\x70\55\165\163\x65\x72\x2e\x68\164\x6d\x6c\x2e\x74\167\151\x67", ["\x73\151\164\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\x66\x6f\x72\155\x45\x72\162\157\x72\x73" => $this->formErrors]); goto e625f; ef41e: Ff75d: goto cf2dd; f92b0: $response = $this->handleFtpUserEditForm($request, $form, $site); goto b4bf3; b4bf3: if (!(false === is_null($response))) { goto ac67d; } goto B8c4d; F28f5: Acd61: goto d01f7; e07ce: return $response; goto acdaf; d47e5: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\x74\145\163")); goto Fcc5e; c2bdc: $userName = $request->get("\x75\163\x65\x72\116\x61\155\x65"); goto d3fa3; da216: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Ff75d; } goto d47e5; d135c: if (!(true === $form->isSubmitted())) { goto Acd61; } goto f92b0; d01f7: F9fd2: goto b9ff9; cf2dd: $form = $this->createFtpUserEditForm($ftpUserEntity); goto be5bd; Fcc5e: goto Ea23c; goto ef41e; be5bd: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto F9fd2; } goto fd38a; fd38a: $form->handleRequest($request); goto d135c; B8c4d: return $response; goto ada9d; acdaf: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Aa148; a1553: $form = $this->createForm("\101\x70\160\134\106\157\x72\x6d\134\123\151\164\145\x46\164\160\125\x73\145\x72\105\144\151\164\124\171\x70\x65", $ftpUserEntity, ["\141\143\x74\151\157\x6e" => $this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\137\x66\x74\x70\137\x75\163\145\162\137\145\144\x69\164", ["\144\x6f\x6d\141\151\156\x4e\x61\155\x65" => $siteEntity->getDomainName(), "\165\163\x65\x72\116\x61\155\145" => $ftpUserEntity->getUserName()]), "\155\145\164\x68\157\144" => "\120\x4f\123\x54", "\x61\x74\164\162" => []]); goto e5a33; e5a33: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\141\163\163" => "\142\x74\x6e\40\x62\164\156\x2d\142\154\165\145\40\x62\164\156\x2d\x6c\x67"], "\x6c\x61\x62\x65\x6c" => "\123\141\166\145"]); goto ef6c8; ef6c8: return $form; goto F1884; Aa148: $siteEntity = $ftpUserEntity->getSite(); goto a1553; F1884: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto C02f4; C02f4: if (true === $form->isValid()) { goto b6b1a; } goto Fc7cb; b9004: try { goto Ce385; Ddba2: d8baa: goto F37a9; a09cf: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\x73", $this->translator->trans("\x55\x73\x65\x72\x20\x68\x61\163\40\x62\145\x65\156\40\x73\141\x76\145\144\56")); goto bee9e; Cb8b9: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto a09cf; cb0d0: $ftpUserEntity = $form->getData(); goto A257a; e6823: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto E5333; D52d3: goto ee8ed; goto Ddba2; B33f4: $this->siteEntityManager->updateEntity($siteEntity); goto F20cd; Ce73c: $ftpUserPassword = $form->get("\x70\141\x73\163\167\x6f\x72\144")->getData(); goto Bfb7a; B02b0: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto E422e; Add86: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x73")); goto D52d3; F37a9: $user = $this->getUser(); goto cb0d0; A9ef9: return $response; goto f5cd6; E5333: if (!(false === empty($ftpUserPassword))) { goto D7fe8; } goto B02b0; Bfb7a: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto B33f4; d3d2b: $siteEntity = $this->getSiteEntity($domainName); goto beacd; beacd: if (false === is_null($siteEntity)) { goto d8baa; } goto Add86; F20cd: $siteUpdater = $this->getSiteUpdater($site); goto e6823; D6aa3: ee8ed: goto A9ef9; bee9e: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\137\165\x73\x65\x72\x73", ["\x64\157\155\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto D6aa3; E422e: D7fe8: goto A09f4; Ce385: $session = $request->getSession(); goto A2a7d; A257a: $ftpUserName = $ftpUserEntity->getUserName(); goto Ce73c; A2a7d: $domainName = $site->getDomainName(); goto d3d2b; A09f4: $eventData = ["\x73\x69\x74\x65" => $domainName, "\165\x73\145\162\x4e\x61\x6d\x65" => $ftpUserName, "\x68\x6f\x6d\145\104\151\x72\145\143\164\x6f\x72\x79" => $ftpUserHomeDirectory]; goto Cb8b9; f5cd6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\157\162\x20\x68\x61\163\x20\157\143\143\x75\x72\162\145\x64\54\x20\x65\162\162\x6f\x72\40\x6d\145\163\163\141\x67\145\x3a\x20\x25\145\162\x72\x6f\162\115\145\x73\x73\141\x67\x65\45", ["\x25\x65\162\162\157\x72\x4d\145\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto A99b3; A99b3: Af6bd: goto fd432; Fc7cb: $this->formErrors = $this->getErrorMessages($form); goto F8146; F8146: goto Af6bd; goto C62a0; C62a0: b6b1a: goto b9004; fd432: } public function deleteFtpUser(Request $request) : Response { goto af632; F0552: d6d55: goto fba11; fba11: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\x74\145\163")); goto A6155; Fc1b1: try { goto ac6b4; ff45d: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto Ee2fd; B3c77: $siteEntity->removeFtpUser($ftpUserEntity); goto eb222; A5757: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto c2caa; Ead9b: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto B8ece; } goto ff45d; dbf5a: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Ead9b; e8290: return $response; goto Ffe8f; b931f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\137\165\x73\145\x72\163", ["\x64\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto e8290; c2caa: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\163", $this->translator->trans("\125\163\145\x72\x20\x68\x61\163\x20\x62\145\145\156\x20\144\x65\x6c\145\164\x65\144\x2e")); goto b931f; Ffe8f: A15dd: goto ef62b; b642b: $user = $this->getUser(); goto De5be; db47f: $evenData = ["\163\151\x74\145" => $domainName, "\x75\163\145\162\x4e\x61\x6d\x65" => $userName]; goto A5757; A789c: $siteEntity = $this->getSiteEntity($domainName); goto dbf5a; E800b: $domainName = $site->getDomainName(); goto A789c; De5be: $userName = $ftpUserEntity->getUserName(); goto B3c77; ef62b: B8ece: goto E6276; eb222: $this->siteEntityManager->updateEntity($siteEntity); goto ba51a; ba51a: $siteUpdater = $this->getSiteUpdater($site); goto a7356; Ee2fd: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto A15dd; } goto b642b; ccd06: $userName = $request->get("\165\163\145\x72\x4e\x61\155\145"); goto E800b; ac6b4: $session = $request->getSession(); goto ccd06; a7356: $siteUpdater->deleteUser($userName, false); goto db47f; E6276: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\40\150\x61\x73\40\157\143\143\165\x72\x72\x65\x64\54\40\145\x72\x72\x6f\x72\40\x6d\x65\163\x73\141\x67\x65\x3a\x20\x25\145\x72\162\x6f\x72\x4d\x65\163\x73\141\147\x65\45", ["\x25\x65\162\x72\157\x72\x4d\145\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto F0552; Fbb01: if (!(false === is_null($site))) { goto d6d55; } goto Fc1b1; A6155: return $response; goto F3692; bbaa5: $this->checkCsrfToken($request, "\165\163\x65\162\55\x64\145\154\x65\164\145"); goto Fbb01; af632: $site = $this->getSite($request); goto bbaa5; F3692: } public function newSshUser(Request $request) : Response { goto f7acf; cde39: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto B3b03; B3b03: $sshUserEntity->setSite($siteEntity); goto F8eda; C6c4b: C4dd6: goto D08b5; ffae9: C1bad: goto Beb29; f7acf: $site = $this->getSite($request); goto B4a46; c645e: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\x73")); goto F53d4; cf51a: $response = $this->handleSshUserForm($request, $form, $site); goto C1639; F8eda: $form = $this->createSshUserForm($sshUserEntity); goto c41df; Ed42e: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto cde39; C4a77: Cc51c: goto Ed42e; adc2b: return $response; goto ffae9; Beb29: bd86a: goto cdd5a; F53d4: goto C4dd6; goto C4a77; cdd5a: B50c8: goto F7532; bec8e: $form->handleRequest($request); goto Bdad2; c41df: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto B50c8; } goto bec8e; C1639: if (!(false === is_null($response))) { goto C1bad; } goto adc2b; B4a46: if (false === is_null($site)) { goto Cc51c; } goto c645e; D08b5: return $response; goto Cec15; Bdad2: if (!(true === $form->isSubmitted())) { goto bd86a; } goto cf51a; F7532: $response = $this->render("\106\162\x6f\156\x74\145\156\144\57\123\151\x74\145\x2f\x6e\145\167\x2d\163\163\150\55\x75\x73\145\x72\56\150\164\155\x6c\x2e\164\x77\x69\147", ["\163\151\x74\145" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\157\162\x6d\x45\x72\x72\x6f\x72\163" => $this->formErrors]); goto C6c4b; Cec15: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Cfc63; b1cd9: $form = $this->createForm("\101\x70\160\134\x46\157\162\x6d\x5c\x53\151\x74\145\x53\163\150\125\x73\145\x72\124\171\160\x65", $sshUserEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\151\x74\x65\x5f\x73\x73\x68\137\165\x73\x65\x72\137\x6e\145\167", ["\x64\157\x6d\x61\x69\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\120\117\x53\x54", "\141\164\x74\x72" => []]); goto A674e; A674e: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\154\141\163\x73" => "\142\164\x6e\x20\x62\164\156\x2d\x62\x6c\165\145\x20\x62\x74\x6e\55\x6c\x67"], "\154\x61\142\145\x6c" => "\x41\x64\144\x20\125\163\x65\x72"]); goto Cd1b9; Cd1b9: return $form; goto E0ffe; Cfc63: $siteEntity = $sshUserEntity->getSite(); goto b1cd9; E0ffe: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto F6008; Ba9a1: try { goto Cbd45; cdf9d: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\163")); goto E907c; a2a89: d6c7f: goto d8ba6; B35a0: $sshUserEntity->setPassword($sshUserPassword); goto D1385; a775c: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b7b39; b4ce0: $sshUserName = $sshUserEntity->getUserName(); goto e5e54; e5e54: $sshUserPassword = $form->get("\160\141\163\163\167\157\x72\144")->getData(); goto B35a0; A0184: $siteEntity->addSshUser($sshUserEntity); goto Be37d; b7b39: b17cc: goto Ceb73; B4fee: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto E5b9f; a78f3: $siteUpdater->createSshUser($sshUserEntity); goto Bf2d6; Be37d: $this->siteEntityManager->updateEntity($siteEntity); goto cfbc2; b1358: $domainName = $site->getDomainName(); goto Ccf6c; Af127: if (false === is_null($siteEntity)) { goto Bb276; } goto cdf9d; Ceb73: $eventData = ["\x73\151\x74\145" => $domainName, "\x75\163\x65\x72\x4e\141\155\x65" => $sshUserName, "\x73\x73\150\113\x65\171\x73" => $sshKeys]; goto B4fee; df9c7: Bb276: goto aac0d; B1022: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\137\165\x73\x65\162\x73", ["\144\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto a2a89; E907c: goto d6c7f; goto df9c7; D2dc2: $sshUserEntity = $form->getData(); goto b4ce0; Bf2d6: if (!(false === empty($sshKeys))) { goto b17cc; } goto a775c; D1385: $sshKeys = $sshUserEntity->getSshKeys(); goto A0184; cfbc2: $siteUpdater = $this->getSiteUpdater($site); goto a78f3; d8ba6: return $response; goto dcf9a; E5b9f: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\125\x73\145\162\40\150\141\163\40\x62\145\145\x6e\x20\141\144\144\x65\144\56")); goto B1022; aac0d: $user = $this->getUser(); goto D2dc2; Ccf6c: $siteEntity = $this->getSiteEntity($domainName); goto Af127; Cbd45: $session = $request->getSession(); goto b1358; dcf9a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\156\40\145\x72\162\x6f\x72\40\150\141\x73\40\157\143\143\x75\x72\x72\x65\144\54\x20\145\162\162\x6f\x72\x20\x6d\145\163\x73\141\147\145\x3a\40\x25\x65\x72\x72\x6f\162\x4d\145\x73\163\141\147\x65\x25", ["\45\145\x72\162\x6f\162\115\145\x73\163\141\147\x65\45" => $e->getMessage()])); } goto c9b53; c9b53: e3bc3: goto Eefcd; c5d97: goto e3bc3; goto e5b57; e5b57: B0a0b: goto Ba9a1; F6008: if (true === $form->isValid()) { goto B0a0b; } goto A4e69; A4e69: $this->formErrors = $this->getErrorMessages($form); goto c5d97; Eefcd: } public function editSshUser(Request $request) : Response { goto db795; C9e87: d2c75: goto Eb473; aecc0: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto facb5; C2a78: if (!(true === $form->isSubmitted())) { goto ddb45; } goto c1fef; facb5: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto Dedbf; } goto F9618; ee403: if (!(false === is_null($response))) { goto ff706; } goto cb2ff; F9618: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\x65\163")); goto F1495; db795: $userName = $request->get("\165\x73\145\162\x4e\141\155\145"); goto fa838; A1add: Dedbf: goto D4b58; c1fef: $response = $this->handleSshUserEditForm($request, $form, $site); goto ee403; cb2ff: return $response; goto ae603; D4b58: $form = $this->createSshUserEditForm($sshUserEntity); goto D711a; F7d7e: D12f1: goto D1a19; F1495: goto d2c75; goto A1add; ae603: ff706: goto c4601; fa838: $site = $this->getSite($request); goto aecc0; D1a19: $response = $this->render("\106\x72\157\156\164\x65\x6e\x64\x2f\123\x69\x74\x65\x2f\145\144\x69\164\55\163\x73\150\55\165\163\x65\162\56\x68\164\x6d\x6c\56\164\167\151\x67", ["\163\151\x74\145" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\157\x72\155\105\x72\162\157\x72\x73" => $this->formErrors]); goto C9e87; Eb473: return $response; goto Be77d; c4601: ddb45: goto F7d7e; D711a: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto D12f1; } goto d94c7; d94c7: $form->handleRequest($request); goto C2a78; Be77d: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto fa597; f95cf: return $form; goto B1916; fa597: $siteEntity = $sshUserEntity->getSite(); goto f3b0d; d1ba9: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\x6c\141\163\163" => "\x62\164\156\x20\x62\x74\x6e\x2d\x62\154\x75\145\x20\142\x74\156\x2d\154\147"], "\x6c\x61\142\145\154" => "\x53\x61\x76\x65"]); goto f95cf; f3b0d: $form = $this->createForm("\x41\160\160\134\106\x6f\x72\155\134\123\151\164\145\123\163\x68\x55\x73\x65\162\105\144\x69\164\124\x79\x70\x65", $sshUserEntity, ["\x61\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\137\163\163\150\137\165\163\x65\x72\x5f\x65\x64\x69\164", ["\144\x6f\x6d\141\x69\x6e\116\x61\x6d\x65" => $siteEntity->getDomainName(), "\x75\163\145\x72\x4e\x61\155\145" => $sshUserEntity->getUserName()]), "\x6d\x65\164\x68\x6f\144" => "\x50\117\123\x54", "\141\x74\164\x72" => []]); goto d1ba9; B1916: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto f8b9f; f8b9f: if (true === $form->isValid()) { goto ba4c4; } goto E1b30; Db624: try { goto Ad706; d8521: $siteUpdater = $this->getSiteUpdater($site); goto F3878; fd488: $user = $this->getUser(); goto Acefb; b6bab: $eventData = ["\x73\x69\x74\x65" => $domainName, "\165\163\145\x72\x4e\x61\x6d\145" => $sshUserName, "\x73\x73\150\113\145\171\163" => $sshKeys]; goto C518d; C99de: d13c5: goto b6758; c3016: $siteEntity = $this->getSiteEntity($domainName); goto f8a23; c017c: $this->siteEntityManager->updateEntity($siteEntity); goto d8521; C4839: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto c017c; A9542: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\x73")); goto ab0a1; cf89b: $sshUserName = $sshUserEntity->getUserName(); goto aa6ce; bf740: E0a53: goto Efd45; Efd45: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto b6bab; Acefb: $sshUserEntity = $form->getData(); goto cf89b; f8a23: if (false === is_null($siteEntity)) { goto Edf64; } goto A9542; f0115: $domainName = $site->getDomainName(); goto c3016; C518d: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto dc535; Ece7c: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto bf740; Ad706: $session = $request->getSession(); goto f0115; ab3c0: Edf64: goto fd488; b6758: return $response; goto c54b3; aa6ce: $sshUserPassword = $form->get("\x70\x61\x73\x73\x77\x6f\x72\x64")->getData(); goto C4839; F3878: if (!(false === empty($sshUserPassword))) { goto E0a53; } goto Ece7c; ab0a1: goto d13c5; goto ab3c0; dc535: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\x55\x73\145\x72\40\x68\x61\x73\40\x62\145\145\x6e\40\163\141\x76\145\144\x2e")); goto b8c0e; b8c0e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\x75\x73\145\162\x73", ["\x64\157\x6d\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto C99de; c54b3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\x6f\162\40\x68\141\x73\40\157\x63\143\x75\162\x72\145\144\54\x20\x65\162\x72\x6f\162\x20\155\x65\x73\x73\x61\147\145\72\x20\45\x65\x72\x72\157\x72\115\x65\163\x73\x61\147\x65\x25", ["\45\x65\x72\x72\157\x72\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto Ae71c; dac7f: goto A9e6f; goto d31a2; E1b30: $this->formErrors = $this->getErrorMessages($form); goto dac7f; d31a2: ba4c4: goto Db624; Ae71c: A9e6f: goto A0681; A0681: } public function deleteSshUser(Request $request) : Response { goto f3c45; E0aba: $this->checkCsrfToken($request, "\x75\163\x65\162\55\144\x65\x6c\x65\164\x65"); goto B86f0; fb6bd: ffb89: goto e15ad; e15ad: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x73")); goto ba75b; eed7e: try { goto Db76d; f090b: $domainName = $site->getDomainName(); goto Ef39d; C067f: $siteEntity->removeSshUser($sshUserEntity); goto d50ea; a7560: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\137\165\163\145\x72\163", ["\x64\157\155\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto D6b17; d50ea: $this->siteEntityManager->updateEntity($siteEntity); goto A507d; Ef39d: $siteEntity = $this->getSiteEntity($domainName); goto fe7ef; E14e8: $user = $this->getUser(); goto dfb0e; fe7ef: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto Abfcb; C98c6: $userName = $request->get("\x75\163\145\x72\x4e\141\x6d\x65"); goto f090b; Abfcb: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto f3808; } goto c7e52; e0e15: $siteUpdater->deleteUser($userName, true); goto da924; Af0a5: aa2fb: goto E7de9; dfb0e: $userName = $sshUserEntity->getUserName(); goto C067f; F3aff: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto b2edb; Db76d: $session = $request->getSession(); goto C98c6; E7de9: f3808: goto Cc787; da924: $evenData = ["\x73\151\164\145" => $domainName, "\x75\x73\x65\x72\116\141\155\x65" => $userName]; goto F3aff; c7e52: $sshUserSiteEntity = $sshUserEntity->getSite(); goto fecac; D6b17: return $response; goto Af0a5; fecac: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto aa2fb; } goto E14e8; A507d: $siteUpdater = $this->getSiteUpdater($site); goto e0e15; b2edb: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x55\x73\x65\x72\40\150\141\163\40\x62\145\x65\x6e\x20\144\145\x6c\145\164\x65\144\56")); goto a7560; Cc787: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\x72\40\x68\141\163\x20\x6f\143\143\165\x72\x72\x65\144\x2c\x20\x65\162\162\157\x72\40\155\145\163\163\141\x67\145\72\x20\x25\145\x72\x72\x6f\x72\115\x65\x73\163\141\147\x65\x25", ["\45\x65\x72\162\157\x72\115\x65\163\163\141\x67\145\x25" => $e->getMessage()])); } goto fb6bd; B86f0: if (!(false === is_null($site))) { goto ffb89; } goto eed7e; ba75b: return $response; goto c7876; f3c45: $site = $this->getSite($request); goto E0aba; c7876: } public function security(Request $request) : Response { goto f0e19; b49ac: $response = $this->render("\x46\x72\x6f\156\164\145\x6e\144\57\x53\151\x74\145\57\x73\x65\x63\x75\162\x69\164\171\56\150\x74\x6d\x6c\x2e\x74\167\x69\x67", ["\163\x69\164\x65" => $site, "\142\x6c\157\x63\153\x65\x64\111\160\163" => $blockedIps, "\x62\x6c\157\143\153\145\144\x42\157\x74\x73" => $blockedBots, "\142\x61\x73\x69\143\101\165\164\x68\x46\157\x72\155" => $basicAuthForm->createView(), "\143\154\157\165\x64\146\x6c\141\x72\x65\x46\157\162\155" => $cloudflareForm->createView(), "\146\x6f\162\155\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto e2564; A545e: F2475: goto Ccb04; Be8bc: c78f6: goto Bb10b; Bdaf2: B2b87: goto ec83d; adf53: return $response; goto ea5d1; a64ae: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto A17b9; ca025: if (!(false === is_null($response))) { goto f3140; } goto a8465; Fe06b: D6391: goto b49ac; ad5c1: if (!(true === is_null($basicAuthEntity))) { goto Afb34; } goto f7697; ec83d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e26b6; E335e: $blockedIps = $site->getBlockedIps(); goto b8441; E2e02: if (!(true === $basicAuthForm->isSubmitted())) { goto F2475; } goto E9c4e; b8441: $basicAuthEntity = $site->getBasicAuth(); goto ad5c1; De23d: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto D6391; } goto E7efb; e26b6: $cloudflareData = ["\x61\154\154\157\167\124\162\141\x66\x66\151\143\x46\x72\x6f\155\103\x6c\157\x75\x64\x66\x6c\x61\x72\145\117\156\154\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto F9162; Aaa69: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto c4aff; e2564: E2500: goto adf53; f7697: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto ac9b0; Ccef2: $basicAuthEntity->setSite($siteEntity); goto Aaa69; ac9b0: Afb34: goto Ccef2; B0f00: goto E2500; goto Bdaf2; f0e19: $site = $this->getSite($request); goto E9783; acd99: f3140: goto A545e; Bb10b: dfd71: goto Fe06b; E9c4e: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto ca025; De1c1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\163")); goto B0f00; Fbccc: $cloudflareForm->handleRequest($request); goto E2e02; A17b9: if (!(false === is_null($response))) { goto c78f6; } goto ac073; a8465: return $response; goto acd99; c4aff: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto De23d; F9162: $blockedBots = $site->getBlockedBots(); goto E335e; E9783: if (false === is_null($site)) { goto B2b87; } goto De1c1; ac073: return $response; goto Be8bc; Ccb04: if (!(true === $cloudflareForm->isSubmitted())) { goto dfd71; } goto a64ae; E7efb: $basicAuthForm->handleRequest($request); goto Fbccc; ea5d1: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto d5a8e; d5a8e: $form = $this->createForm("\101\160\x70\134\106\x6f\162\x6d\134\123\x69\x74\x65\103\154\157\165\144\x66\x6c\x61\x72\145\124\171\x70\x65", $data, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\x5f\163\145\x63\165\x72\x69\164\171", ["\144\x6f\155\x61\151\156\116\141\155\145" => $siteEntity->getDomainName()]), "\155\145\164\150\157\x64" => "\120\x4f\123\124", "\141\164\164\162" => []]); goto Cf887; Cf887: $form->add("\x73\165\x62\155\x69\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\x61\163\163" => "\142\x74\x6e\40\142\164\x6e\55\142\x6c\165\x65\x20\142\164\156\x2d\154\x67"], "\x6c\141\x62\x65\154" => "\x53\141\x76\x65"]); goto afa35; afa35: return $form; goto C47c6; C47c6: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto debb6; eabe3: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\x73\163" => "\142\164\x6e\x20\142\x74\156\55\x62\x6c\165\x65\x20\x62\164\156\x2d\x6c\x67"], "\x6c\141\x62\x65\x6c" => "\x53\141\x76\145"]); goto E1114; E1114: return $form; goto c9806; debb6: $siteEntity = $basicAuthEntity->getSite(); goto Bc1c7; Bc1c7: $form = $this->createForm("\101\x70\160\x5c\106\x6f\x72\x6d\x5c\x53\x69\x74\x65\102\x61\x73\151\x63\101\x75\x74\x68\x54\x79\160\145", $basicAuthEntity, ["\141\143\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\137\163\x69\164\145\x5f\x73\x65\143\x75\x72\x69\164\x79", ["\x64\157\155\141\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\117\x53\124", "\141\x74\164\162" => []]); goto eabe3; c9806: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto C1aea; B9714: goto E34aa; goto F8101; f7d86: try { goto D815f; Adf69: $this->siteEntityManager->updateEntity($siteEntity); goto b8fb6; F90a5: $siteUpdater->updateNginxVhost(); goto F400b; e654a: $session->getFlashBag()->set("\x73\x75\x63\143\x65\x73\163", $this->translator->trans("\102\141\163\151\x63\40\x41\165\x74\150\x65\156\164\x69\x63\x61\164\151\x6f\156\40\x73\x65\x74\x74\151\x6e\147\x73\40\150\x61\x76\x65\x20\142\145\145\x6e\x20\x73\141\166\145\144\56")); goto c686e; F89d5: e80ef: goto b2f03; a5425: $siteEntity = $this->getSiteEntity($domainName); goto B78b0; c686e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x5f\163\x65\143\165\x72\151\164\171", ["\144\157\x6d\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto F89d5; B78b0: if (false === is_null($siteEntity)) { goto Dd317; } goto d7d20; f66f7: goto e80ef; goto ce5ff; b2f03: return $response; goto c412e; b7296: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto e654a; Bf4c3: $site->setBasicAuth($basicAuthEntity); goto Adf69; d8969: $basicAuthEntity = $form->getData(); goto fb455; F400b: $siteUpdater->reloadNginxService(); goto f040a; ce5ff: Dd317: goto C2264; fb455: $siteEntity->setBasicAuth($basicAuthEntity); goto Bf4c3; b8fb6: $siteUpdater = $this->getSiteUpdater($site); goto c814e; f040a: $eventData = ["\163\x69\164\145" => $domainName, "\x61\143\164\151\x76\145" => true === $basicAuthEntity->getIsActive() ? "\61" : "\x30", "\165\163\145\162\x4e\141\155\145" => $basicAuthEntity->getUserName(), "\x77\x68\x69\x74\145\x6c\x69\x73\x74\x65\144\111\160\163" => $basicAuthEntity->getWhitelistedIps()]; goto b7296; D815f: $session = $request->getSession(); goto C05f9; d7d20: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\x73")); goto f66f7; C05f9: $domainName = $site->getDomainName(); goto a5425; c814e: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto F90a5; C2264: $user = $this->getUser(); goto d8969; c412e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\x41\x6e\x20\145\x72\162\x6f\162\40\150\141\163\40\x6f\143\x63\165\162\x72\x65\x64\54\40\145\162\162\157\x72\x20\155\x65\163\163\x61\x67\145\72\40\x25\145\162\162\157\162\115\x65\163\163\x61\147\145\x25", ["\45\x65\x72\x72\157\162\115\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto Dc4f6; e2aab: $this->formErrors = $this->getErrorMessages($form); goto B9714; Dc4f6: E34aa: goto A7d93; F8101: c3e1e: goto f7d86; C1aea: if (true === $form->isValid()) { goto c3e1e; } goto e2aab; A7d93: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto fd884; ded00: goto Ea2e5; goto Dd5d7; Ffda6: Ea2e5: goto fba0e; Dd5d7: Dd529: goto cc654; cc654: try { goto D36dd; f120e: $eventData = ["\163\151\164\145" => $domainName, "\x61\x6c\154\157\x77\124\x72\141\146\146\x69\143\106\x72\157\x6d\103\x6c\157\x75\x64\146\x6c\x61\x72\x65\x4f\x6e\x6c\x79" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\60"]; goto e65c2; fe079: $siteUpdater->reloadNginxService(); goto f120e; Cc621: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto C5660; Abd66: goto D1276; goto D941f; ee0f9: $user = $this->getUser(); goto ea715; D941f: B43f5: goto ee0f9; e65c2: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto f6c59; cfb14: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\x65\163")); goto Abd66; C5660: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto a5f09; ebb51: return $response; goto Fc85b; Ca160: D1276: goto ebb51; D36dd: $session = $request->getSession(); goto bd821; ea715: $allowTrafficFromCloudflareOnly = $form->get("\141\x6c\154\157\x77\x54\x72\x61\x66\146\151\143\106\162\157\x6d\x43\154\x6f\x75\x64\146\x6c\x61\162\x65\x4f\x6e\154\x79")->getData(); goto Cc621; f6c59: $session->getFlashBag()->set("\163\165\143\x63\145\163\x73", $this->translator->trans("\x43\154\x6f\x75\x64\x66\x6c\x61\x72\145\40\163\x65\164\x74\151\156\x67\x73\40\x68\141\x76\x65\40\142\145\145\156\x20\163\141\x76\145\144\56")); goto d7686; c92d7: $siteUpdater = $this->getSiteUpdater($site); goto B4ecd; bd821: $domainName = $site->getDomainName(); goto A4c8f; a5f09: $this->siteEntityManager->updateEntity($siteEntity); goto c92d7; d7686: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\x5f\163\x65\143\165\162\x69\164\x79", ["\x64\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Ca160; B4ecd: $siteUpdater->updateNginxVhost(); goto fe079; A4c8f: $siteEntity = $this->getSiteEntity($domainName); goto A9aab; A9aab: if (false === is_null($siteEntity)) { goto B43f5; } goto cfb14; Fc85b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\x41\156\40\x65\162\162\x6f\162\40\x68\141\x73\x20\x6f\143\143\165\x72\162\x65\144\54\x20\145\x72\x72\157\162\x20\x6d\x65\163\x73\141\x67\145\x3a\40\45\x65\x72\162\157\162\x4d\x65\x73\163\x61\147\145\45", ["\45\x65\x72\x72\157\162\115\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto Ffda6; A00fb: $this->formErrors = $this->getErrorMessages($form); goto ded00; fd884: if (true === $form->isValid()) { goto Dd529; } goto A00fb; fba0e: } public function newBlockedIp(Request $request) : Response { goto dad50; d86a8: return $response; goto F2f71; B2d0a: goto F058e; goto F6356; D6410: return $response; goto e2adc; e2adc: A6dfd: goto e6e2d; Bf64c: $blockedIpEntity->setSite($siteEntity); goto a7d46; a7d46: $form = $this->createBlockedIpForm($blockedIpEntity); goto A735c; Ac10d: if (!(false === is_null($response))) { goto A6dfd; } goto D6410; e6e2d: f5de4: goto b005b; Bff51: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto Bf64c; e493a: $response = $this->handleBlockedIpForm($request, $form, $site); goto Ac10d; Eb963: $form->handleRequest($request); goto e5d98; f7524: if (false === is_null($site)) { goto a5893; } goto A646f; e5d98: if (!(true === $form->isSubmitted())) { goto f5de4; } goto e493a; b005b: Bd727: goto Ede48; e6d36: F058e: goto d86a8; F6356: a5893: goto a8a5a; dad50: $site = $this->getSite($request); goto f7524; A646f: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\x73")); goto B2d0a; Ede48: $response = $this->render("\106\162\x6f\x6e\164\x65\x6e\144\57\x53\x69\164\x65\57\156\x65\167\55\142\x6c\x6f\143\x6b\145\144\x2d\x69\160\x2e\x68\164\x6d\154\56\164\x77\x69\147", ["\163\x69\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\157\162\155\x45\x72\162\x6f\162\163" => $this->formErrors]); goto e6d36; a8a5a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Bff51; A735c: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Bd727; } goto Eb963; F2f71: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto bfb99; bfb99: $siteEntity = $blockedIpEntity->getSite(); goto Dd4c3; eac2a: return $form; goto f1d8e; Dd4c3: $form = $this->createForm("\x41\160\x70\x5c\x46\157\x72\155\x5c\123\x69\164\x65\x42\x6c\x6f\143\x6b\145\x64\x49\x50\124\171\x70\145", $blockedIpEntity, ["\141\143\164\x69\157\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\137\x73\145\143\165\x72\151\x74\171\137\x62\x6c\x6f\x63\153\145\144\137\151\160\137\156\145\167", ["\144\x6f\155\x61\151\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\150\x6f\144" => "\x50\x4f\123\x54", "\141\164\x74\x72" => []]); goto E7a06; E7a06: $form->add("\163\165\x62\x6d\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\164\156\x20\142\x74\156\x2d\x62\x6c\x75\145\40\x62\164\156\55\154\147"], "\154\x61\x62\145\154" => "\x41\x64\x64\40\111\x50"]); goto eac2a; f1d8e: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto f78d0; ce98f: goto c9927; goto E0690; f943c: try { goto b8008; f90e4: $siteEntity = $this->getSiteEntity($domainName); goto fc1c7; e7360: E3ec1: goto B10eb; d915f: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\111\x50\x20\x68\141\x73\40\142\x65\145\x6e\40\141\144\144\145\x64\56")); goto Ab7fb; cb698: $siteUpdater = $this->getSiteUpdater($site); goto a1dbe; fc5f9: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto d915f; B10eb: return $response; goto dbfd9; C7b98: $siteUpdater->reloadNginxService(); goto F07c7; C6598: $siteEntity->addBlockedIp($blockedIp); goto ed390; de3cf: Cb054: goto cc7d3; B6d06: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\x65\163")); goto F0d55; ed390: $this->siteEntityManager->updateEntity($siteEntity); goto cb698; Ee941: $domainName = $site->getDomainName(); goto f90e4; a1dbe: $siteUpdater->updateNginxVhost(); goto C7b98; b8008: $session = $request->getSession(); goto Ee941; Ab7fb: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\137\x73\145\x63\x75\x72\151\x74\x79", ["\x64\x6f\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto e7360; F0d55: goto E3ec1; goto de3cf; fc1c7: if (false === is_null($siteEntity)) { goto Cb054; } goto B6d06; F07c7: $eventData = ["\x73\151\x74\145" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto fc5f9; E94e7: $blockedIp = $form->getData(); goto C6598; cc7d3: $user = $this->getUser(); goto E94e7; dbfd9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\101\156\40\145\162\162\x6f\x72\40\x68\141\x73\40\x6f\x63\143\165\162\x72\x65\x64\54\x20\x65\x72\162\x6f\162\40\x6d\x65\163\163\x61\147\x65\72\40\45\x65\162\x72\x6f\162\x4d\x65\x73\x73\x61\147\145\45", ["\x25\x65\x72\x72\x6f\x72\115\145\x73\x73\141\147\145\45" => $e->getMessage()])); } goto f900d; f6b55: $this->formErrors = $this->getErrorMessages($form); goto ce98f; f78d0: if (true === $form->isValid()) { goto Aad93; } goto f6b55; E0690: Aad93: goto f943c; f900d: c9927: goto e7424; e7424: } public function deleteBlockedIp(Request $request) : Response { goto ad323; De37b: if (!(false === is_null($site))) { goto C3915; } goto df0c1; b257b: C3915: goto D8c55; e1b0a: return $response; goto Bca86; df0c1: try { goto ce6fb; Cb6f5: $session->getFlashBag()->set("\163\165\x63\143\x65\163\x73", $this->translator->trans("\111\x50\x20\x68\x61\163\x20\142\145\145\x6e\x20\144\x65\x6c\145\164\145\x64\56")); goto f7011; E1d44: $id = (int) $request->get("\x69\x64"); goto Ceef0; b25c8: $siteUpdater->updateNginxVhost(); goto Ad51e; B8c0d: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x69\160" => $blockedIpEntity->getIp()]; goto C42d1; E8df9: $user = $this->getUser(); goto eaf9e; abdd1: $siteUpdater = $this->getSiteUpdater($site); goto b25c8; c38c7: b18fc: goto fc53a; Ad51e: $siteUpdater->reloadNginxService(); goto B8c0d; E466e: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto Bd279; D9ecb: $siteEntity = $this->getSiteEntity($domainName); goto E466e; Bd279: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto b18fc; } goto E8df9; Ceef0: $domainName = $site->getDomainName(); goto D9ecb; C42d1: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto Cb6f5; f7011: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\x5f\163\x65\x63\x75\162\151\164\171", ["\x64\157\155\141\x69\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto d6bdc; d6bdc: return $response; goto c38c7; ce6fb: $session = $request->getSession(); goto E1d44; eaf9e: $siteEntity->removeBlockedIp($blockedIpEntity); goto Ffa36; Ffa36: $this->siteEntityManager->updateEntity($siteEntity); goto abdd1; fc53a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\156\40\145\162\162\157\x72\x20\150\x61\163\x20\157\143\x63\x75\x72\x72\x65\x64\54\40\x65\162\x72\157\x72\40\x6d\145\x73\163\x61\x67\x65\x3a\x20\x25\x65\162\x72\x6f\x72\115\x65\x73\x73\141\147\x65\45", ["\x25\145\x72\x72\x6f\162\115\x65\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto b257b; fc7fa: $this->checkCsrfToken($request, "\151\x70\55\144\145\x6c\x65\x74\x65"); goto De37b; ad323: $site = $this->getSite($request); goto fc7fa; D8c55: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\163")); goto e1b0a; Bca86: } public function newBlockedBot(Request $request) : Response { goto c42d3; Db402: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto ef1c9; F9f71: if (!(false === is_null($response))) { goto a5fe7; } goto adf00; D00a4: $response = $this->handleBlockedBotForm($request, $form, $site); goto F9f71; ef1c9: $blockedBotEntity->setSite($siteEntity); goto D86d6; bbe2d: F271e: goto d1e8a; B22d9: if (false === is_null($site)) { goto Dbfaf; } goto c180f; fa281: f5379: goto D79e1; D79e1: return $response; goto cd079; Fa30e: $form->handleRequest($request); goto Ebbc9; B91b7: d5fe0: goto bbe2d; adf00: return $response; goto fd23a; C1075: Dbfaf: goto A5253; Ebbc9: if (!(true === $form->isSubmitted())) { goto d5fe0; } goto D00a4; A7533: goto f5379; goto C1075; fd23a: a5fe7: goto B91b7; c180f: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\163")); goto A7533; Da670: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto F271e; } goto Fa30e; c42d3: $site = $this->getSite($request); goto B22d9; d1e8a: $response = $this->render("\106\162\x6f\156\164\145\x6e\x64\x2f\123\151\x74\x65\x2f\x6e\145\x77\55\x62\x6c\x6f\143\153\x65\144\55\x62\157\164\x2e\150\x74\x6d\154\56\164\167\151\x67", ["\x73\151\x74\x65" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\x6f\162\x6d\105\162\x72\157\x72\163" => $this->formErrors]); goto fa281; D86d6: $form = $this->createBlockedBotForm($blockedBotEntity); goto Da670; A5253: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Db402; cd079: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto ec9e3; ec9e3: $siteEntity = $blockedBotEntity->getSite(); goto D82f5; f658e: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\x61\x73\163" => "\142\164\156\40\142\x74\x6e\x2d\x62\x6c\x75\145\40\142\x74\x6e\55\x6c\147"], "\154\x61\142\145\x6c" => "\101\x64\144\x20\x42\157\164"]); goto F03df; D82f5: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\x72\x6d\x5c\x53\151\x74\x65\x42\x6c\157\143\153\145\144\x42\x6f\164\x54\171\160\145", $blockedBotEntity, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\151\164\x65\x5f\x73\x65\x63\165\x72\x69\x74\171\137\x62\x6c\x6f\143\x6b\x65\144\137\x62\157\x74\137\156\145\x77", ["\144\157\x6d\141\151\x6e\116\x61\155\x65" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\117\123\x54", "\x61\164\x74\x72" => []]); goto f658e; F03df: return $form; goto f694d; f694d: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto C806e; Bb8de: Feeff: goto a2ecc; A09a4: $this->formErrors = $this->getErrorMessages($form); goto b8e4e; a2ecc: try { goto Be209; e7e46: $this->siteEntityManager->updateEntity($siteEntity); goto b8c62; E216a: $siteUpdater->reloadNginxService(); goto Dafff; e42fe: return $response; goto c73d5; d87b1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\163")); goto c8378; d8a47: e6e09: goto e42fe; Be209: $session = $request->getSession(); goto Caeca; b8c62: $siteUpdater = $this->getSiteUpdater($site); goto Af977; Af977: $siteUpdater->updateNginxVhost(); goto E216a; D83af: if (false === is_null($siteEntity)) { goto bfda7; } goto d87b1; F281c: $user = $this->getUser(); goto ddd52; ed9d1: bfda7: goto F281c; D87a1: $siteEntity->addBlockedBot($blockedBot); goto e7e46; Dafff: $eventData = ["\163\151\x74\x65" => $domainName, "\x6e\x61\155\x65" => $blockedBot->getName()]; goto e2351; Caeca: $domainName = $site->getDomainName(); goto Fe3d7; b00e3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\137\x73\145\x63\165\162\151\x74\x79", ["\144\x6f\155\141\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto d8a47; Cb06d: $session->getFlashBag()->set("\163\x75\143\x63\145\163\x73", $this->translator->trans("\102\157\164\x20\150\141\163\40\x62\x65\145\x6e\40\x61\x64\144\145\144\56")); goto b00e3; c8378: goto e6e09; goto ed9d1; Fe3d7: $siteEntity = $this->getSiteEntity($domainName); goto D83af; e2351: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto Cb06d; ddd52: $blockedBot = $form->getData(); goto D87a1; c73d5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\x41\156\x20\145\x72\x72\157\x72\x20\150\x61\163\x20\157\x63\143\x75\x72\x72\x65\144\x2c\x20\145\162\x72\x6f\x72\x20\x6d\x65\x73\163\141\147\145\72\x20\45\145\162\x72\157\x72\x4d\145\163\163\x61\147\x65\45", ["\45\145\162\162\x6f\162\x4d\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto d19c4; b8e4e: goto D249e; goto Bb8de; d19c4: D249e: goto f2f3a; C806e: if (true === $form->isValid()) { goto Feeff; } goto A09a4; f2f3a: } public function deleteBlockedBot(Request $request) : Response { goto c3ff2; ac6b9: return $response; goto D6a47; d1211: e5683: goto e8142; e7870: $this->checkCsrfToken($request, "\x62\157\164\55\x64\145\x6c\x65\164\x65"); goto C864c; Eb01e: try { goto B2d2b; b2b3f: $user = $this->getUser(); goto cb7a7; Df584: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Effd5; B7e40: D2641: goto f4250; Ef7c1: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\137\163\x65\143\x75\x72\x69\164\171", ["\x64\x6f\155\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto B457c; cb7a7: $siteEntity->removeBlockedBot($blockedBotEntity); goto Adfea; B2d2b: $session = $request->getSession(); goto fe426; ce699: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto D2641; } goto b2b3f; bea83: $eventData = ["\163\151\164\x65" => $domainName, "\156\141\x6d\145" => $blockedBotEntity->getName()]; goto Df584; Adfea: $this->siteEntityManager->updateEntity($siteEntity); goto df144; B457c: return $response; goto B7e40; Effd5: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\102\x6f\164\x20\150\x61\x73\x20\142\145\x65\x6e\40\144\145\x6c\145\164\x65\x64\x2e")); goto Ef7c1; fe426: $id = (int) $request->get("\x69\x64"); goto D10e2; C6512: $siteUpdater->updateNginxVhost(); goto Cd5a3; b6d81: $siteEntity = $this->getSiteEntity($domainName); goto d742b; Cd5a3: $siteUpdater->reloadNginxService(); goto bea83; d742b: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto ce699; D10e2: $domainName = $site->getDomainName(); goto b6d81; df144: $siteUpdater = $this->getSiteUpdater($site); goto C6512; f4250: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\x72\157\162\40\x68\141\163\x20\x6f\143\143\x75\x72\x72\145\x64\x2c\x20\145\162\162\x6f\162\40\155\145\x73\x73\x61\147\145\x3a\40\45\145\162\162\157\162\x4d\145\163\163\141\147\145\x25", ["\45\145\x72\x72\x6f\162\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto d1211; c3ff2: $site = $this->getSite($request); goto e7870; C864c: if (!(false === is_null($site))) { goto e5683; } goto Eb01e; e8142: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\x65\x73")); goto ac6b9; D6a47: } public function certificates(Request $request) : Response { goto Cde26; f4c15: $installedCertificate = $site->getCertificate(); goto Ab872; a873d: $response = $this->render("\106\x72\157\x6e\x74\x65\156\144\x2f\123\x69\x74\145\57\143\x65\x72\x74\x69\146\x69\x63\141\164\x65\163\x2e\x68\164\x6d\154\56\x74\x77\151\147", ["\x73\151\164\145" => $site, "\151\156\163\164\141\154\154\145\144\x43\x65\x72\164\151\146\151\x63\141\164\x65" => $installedCertificate, "\x63\x65\162\x74\x69\x66\x69\x63\x61\x74\x65\163" => $certificates]); goto D74e1; daaaa: goto def63; goto F053d; b70d5: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\163")); goto daaaa; Cde26: $site = $this->getSite($request); goto Dc222; D74e1: def63: goto f16e2; Ab872: $certificates = $site->getCertificates(); goto a873d; f16e2: return $response; goto F2f52; Dc222: if (false === is_null($site)) { goto C1b62; } goto b70d5; F053d: C1b62: goto f4c15; F2f52: } public function importCertificate(Request $request) : Response { goto Bfef9; Ed8bc: if (false === is_null($site)) { goto C3509; } goto C0609; C19ee: $form = $this->createImportCertificateForm($certificateEntity); goto A47f6; B9212: $form->handleRequest($request); goto F91eb; B7d10: goto Da6ee; goto af42e; A91db: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto c5077; af42e: C3509: goto ba1d7; b72b7: return $response; goto e703d; F91eb: if (!(true === $form->isSubmitted())) { goto e23e6; } goto f71b5; c11c4: $response = $this->render("\106\x72\x6f\x6e\x74\x65\x6e\144\x2f\x53\x69\x74\x65\57\x69\155\x70\x6f\x72\164\x2d\x63\145\x72\x74\x69\x66\151\x63\141\x74\145\56\x68\x74\155\154\x2e\x74\167\151\x67", ["\163\151\x74\145" => $site, "\146\157\162\155" => $form->createView(), "\x66\157\x72\155\x45\162\x72\x6f\162\x73" => $this->formErrors]); goto A1626; ed404: if (!(false === is_null($response))) { goto F6d4c; } goto b72b7; A1626: Da6ee: goto B4a1e; ba1d7: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto fcccc; D1d25: e23e6: goto A6bf7; c5077: $certificateEntity->setSite($siteEntity); goto C19ee; fcccc: $certificateEntity = $this->certificateEntityManager->createEntity(); goto A91db; e703d: F6d4c: goto D1d25; B4a1e: return $response; goto f5c22; A6bf7: Edc08: goto c11c4; Bfef9: $site = $this->getSite($request); goto Ed8bc; A47f6: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Edc08; } goto B9212; f71b5: $response = $this->handleImportCertificateForm($request, $form, $site); goto ed404; C0609: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\x73")); goto B7d10; f5c22: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto a02ed; a3774: return $form; goto Fef1b; a02ed: $siteEntity = $certificateEntity->getSite(); goto Ec823; df727: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\141\x73\163" => "\142\164\x6e\x20\x62\x74\156\x2d\142\154\165\145\40\142\x74\x6e\55\154\x67"], "\154\x61\x62\145\x6c" => "\111\x6d\x70\x6f\162\164\x20\141\x6e\144\x20\x49\156\x73\164\141\x6c\154"]); goto a3774; Ec823: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\x5c\123\151\164\x65\111\x6d\x70\x6f\162\164\103\x65\x72\x74\x69\146\151\x63\141\x74\145\124\171\160\145", $certificateEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\137\x63\145\x72\164\x69\x66\x69\x63\141\x74\x65\137\151\155\160\157\162\164", ["\x64\157\x6d\x61\x69\x6e\116\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\x74\x68\x6f\144" => "\120\117\x53\x54", "\x61\164\x74\x72" => []]); goto df727; Fef1b: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto Ab288; b251f: c1424: goto cd96d; f37bf: try { goto f8b51; a1bcb: $siteEntity->addCertificate($certificateEntity); goto ad56e; b4466: if (false === is_null($siteEntity)) { goto F36cc; } goto F99d7; c230d: $evenData = ["\x73\x69\x74\145" => $domainName]; goto Ced5b; F99d7: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\163")); goto A73a1; C6c79: $certificateEntity = $form->getData(); goto e0619; bf24a: $domainName = $site->getDomainName(); goto e539b; b59ba: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\x5f\x63\x65\162\164\x69\146\x69\x63\141\164\145\x73", ["\144\x6f\155\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto F3ee9; Ae714: return $response; goto Af93a; B28d2: $siteEntity->setCertificate($certificateEntity); goto a1bcb; f8b51: $session = $request->getSession(); goto bf24a; ad56e: $this->siteEntityManager->updateEntity($siteEntity); goto c230d; A73a1: goto C75c9; goto ae2a6; a243d: $siteUpdater->installCertificate($certificateEntity); goto B28d2; e020f: $user = $this->getUser(); goto C6c79; e539b: $siteEntity = $this->getSiteEntity($domainName); goto b4466; F3ee9: C75c9: goto Ae714; f57db: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\x43\145\162\164\x69\146\x69\143\x61\x74\145\40\150\141\x73\40\142\145\145\156\40\x69\156\x73\164\x61\x6c\154\x65\144\x2e")); goto b59ba; Ced5b: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto f57db; e0619: $siteUpdater = $this->getSiteUpdater($site); goto a243d; ae2a6: F36cc: goto e020f; Af93a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\162\x20\150\141\163\x20\x6f\x63\143\x75\162\x72\145\144\x2c\x20\145\162\x72\157\x72\40\x6d\x65\163\x73\141\147\145\72\x20\45\145\x72\x72\x6f\162\115\x65\163\x73\141\x67\x65\x25", ["\x25\x65\x72\x72\x6f\x72\x4d\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto b251f; C4f56: goto c1424; goto Be079; Be079: f907c: goto f37bf; Ab288: if (true === $form->isValid()) { goto f907c; } goto B7ea8; B7ea8: $this->formErrors = $this->getErrorMessages($form); goto C4f56; cd96d: } public function newLetsEncryptCertificate(Request $request) : Response { goto A598b; cab63: $domains = array_unique($domains); goto Bd844; cbb74: if (true === is_null($subdomain) || "\167\x77\x77" == $subdomain) { goto Af9a5; } goto A4080; fb80e: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto f332b; c5cfd: goto d0fe4; goto e8cf7; b8ae5: goto e879b; goto Afe04; ea95f: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\163")); goto c5cfd; E084d: f357a: goto A57ba; c4f1b: $domains = [$registrableDomain, sprintf("\x77\x77\x77\56\45\163", $registrableDomain)]; goto bcf59; A6bf0: return $response; goto A3e0e; A3e0e: e31d6: goto Ce4ee; b1533: $domains = array_map("\164\162\151\155", $domains); goto cab63; cee13: A20fc: goto a99b6; e3bec: if (false === is_null($site)) { goto a7414; } goto ea95f; Ce4ee: D109e: goto cee13; Afe04: Af9a5: goto c4f1b; f332b: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto fb581; Bbfca: return $response; goto a8142; afb7a: $domains = []; goto ca58c; C5a93: d0fe4: goto Bbfca; A57ba: $form->handleRequest($request); goto e3bf0; fb581: $subdomain = $resolvedDomainName->subDomain()->toString(); goto E9c61; C9444: $form = $this->createLetsEncryptCertificateForm($domainName); goto afb7a; df2e8: goto A20fc; goto E084d; bcf59: e879b: goto df2e8; A0413: if (!(false === is_null($response))) { goto e31d6; } goto A6bf0; De7dc: $domains = (array) $request->get("\x64\157\x6d\x61\x69\x6e\163"); goto ed566; e8cf7: a7414: goto cc05c; E9c61: $subdomain = false === empty($subdomain) ? $subdomain : null; goto cbb74; ca58c: if (true === $request->isMethod("\120\117\123\x54")) { goto f357a; } goto fb80e; A598b: $site = $this->getSite($request); goto e3bec; ed566: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto b1533; e3bf0: if (!(true === $form->isSubmitted())) { goto D109e; } goto De7dc; a99b6: $response = $this->render("\106\x72\157\x6e\164\145\x6e\x64\57\123\151\x74\145\57\156\x65\167\55\154\x65\x74\x73\55\145\x6e\143\162\171\x70\164\x2d\143\x65\162\164\x69\146\x69\x63\141\164\x65\x2e\150\x74\155\x6c\56\x74\167\151\x67", ["\163\151\x74\145" => $site, "\144\x6f\155\x61\151\x6e\163" => $domains, "\x66\157\x72\155" => $form->createView(), "\x66\x6f\162\155\105\162\x72\x6f\162\163" => $this->formErrors]); goto C5a93; cc05c: $domainName = $site->getDomainName(); goto C9444; A4080: $domains = [$domainName]; goto b8ae5; Bd844: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto A0413; a8142: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto Cede4; A1445: $form->add("\163\x75\142\x6d\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\x61\x73\x73" => "\x62\164\x6e\x20\142\164\x6e\55\x62\x6c\x75\145\x20\142\x74\x6e\55\x6c\x67"], "\154\141\x62\x65\154" => "\x43\162\x65\141\164\x65\40\x61\156\x64\40\111\156\163\164\141\154\154"]); goto A3e5b; Cede4: $form = $this->createForm("\x41\x70\x70\x5c\x46\157\x72\155\x5c\123\151\x74\x65\x4c\145\x74\x73\x45\156\x63\162\x79\x70\164\103\x65\162\164\x69\146\x69\x63\141\164\145\x54\x79\x70\x65", [], ["\141\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\137\x6c\145\x74\x73\x5f\x65\156\143\162\x79\160\x74\137\x63\145\x72\164\151\x66\151\x63\x61\x74\x65\137\156\145\x77", ["\x64\x6f\155\141\151\x6e\x4e\141\x6d\x65" => $domainName]), "\x6d\x65\164\150\x6f\x64" => "\x50\x4f\123\124", "\141\164\164\162" => ["\x69\144" => "\143\x72\145\141\x74\145\x2d\x6c\145\164\163\x2d\x65\x6e\x63\162\171\x70\164\55\143\145\x72\x74\x69\146\x69\143\141\164\145\55\x66\x6f\x72\x6d"]]); goto A1445; A3e5b: return $form; goto d98ca; d98ca: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto e7e62; e7e62: if (!(true === $form->isValid())) { goto Fc7ca; } goto d7d37; F4018: Fc7ca: goto Bee90; Bee90: $this->formErrors = $this->getErrorMessages($form); goto Bc5f8; d7d37: try { goto ffc80; E9f6b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\137\143\x65\162\x74\x69\x66\151\x63\x61\164\x65\163", ["\x64\157\x6d\141\151\156\116\x61\155\x65" => $site->getDomainName()])); goto Fce5a; fa24f: $siteUpdater->installCertificate($certificateEntity); goto Fb3d5; A553e: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\x43\x65\162\x74\x69\146\x69\x63\x61\164\145\40\150\x61\x73\40\142\145\x65\x6e\x20\x69\156\163\164\x61\154\x6c\145\x64\56")); goto E9f6b; C8634: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto E20b9; a0032: $siteUpdater = $this->getSiteUpdater($site); goto e67a9; eb097: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto D19fe; C48b2: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C66a7; F589a: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto A553e; bea25: C5eba: goto e21c1; e67a9: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto C98c8; fd307: b0703: goto c14e1; F1fe2: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto C4ad3; Fdaca: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Ff0c0; a460b: $siteEntity = $this->getSiteEntity($domainName); goto b7a47; e95aa: if (!(true === empty($validationErrors))) { goto C5eba; } goto Fdaca; Fb3d5: $siteEntity->setCertificate($certificateEntity); goto ad38e; D19fe: $siteUpdater = $this->getSiteUpdater($site); goto fa24f; a922d: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto Ac198; Cf640: $rsaKeyGenerator = new RsaKeyGenerator(); goto Ea8fd; e5dbf: return $response; goto B3d7f; Ff0c0: $letsEncryptClient->registerAccount(); goto C8634; b8143: B0768: goto E29e2; b7a47: if (false === is_null($siteEntity)) { goto b0703; } goto c110e; C04b4: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto bea25; c110e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\x73")); goto e5dbf; a0c68: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto e95aa; B3d7f: goto C4ce0; goto fd307; E2af9: $letsEncryptClient->setDryRun(true); goto D9fae; E29e2: goto Aeaba; goto B49dc; ffc80: $session = $request->getSession(); goto e1be4; C98c8: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto a0c68; Abc60: $certificateEntity->setCsr($certificate->getCsr()); goto F1fe2; C90a3: C4ce0: goto a3da7; C4ad3: $certificateEntity->setCertificate($certificate->getCertificate()); goto eb097; D928d: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto d4770; Cf95d: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Cf640; c8717: $distinguishedNameDomains = $domains; goto F0db7; d524e: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\x25\163\x3a\x20\45\163", $domain, $validationErrorMessage))); Ca61a: } goto b8143; e21c1: if (true === empty($validationErrors)) { goto e6fb7; } goto d524e; f7d5b: $letsEncryptClient = new LetsEncryptClient($privateKey); goto E2af9; Ac198: $certificateEntity->setSite($siteEntity); goto Abc60; C66a7: $csr = $csrGenerator->generate(); goto D928d; e1be4: $domainName = $site->getDomainName(); goto a460b; D9fae: $letsEncryptClient->registerAccount(); goto E6a6e; B49dc: e6fb7: goto c8717; c14e1: $user = $this->getUser(); goto e999e; F0db7: $commonName = array_shift($distinguishedNameDomains); goto Cf95d; e088c: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Af77a; e83b5: Aeaba: goto C90a3; Af77a: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto C04b4; Ea8fd: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto C48b2; C2bd4: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto f7d5b; Fce5a: return $response; goto e83b5; E6a6e: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto a0032; d4770: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a922d; E20b9: $siteUpdater = $this->getSiteUpdater($site); goto e088c; d9ab3: $evenData = ["\x73\151\x74\x65" => $domainName]; goto F589a; ad38e: $siteEntity->addCertificate($certificateEntity); goto Efe94; Efe94: $this->siteEntityManager->updateEntity($siteEntity); goto d9ab3; e999e: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\x70\162\x69\x76\x61\164\x65\x5f\x6b\x65\x79"); goto C2bd4; a3da7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\x72\x20\150\x61\163\40\x6f\x63\x63\165\162\x72\145\x64\54\40\145\x72\x72\157\x72\40\155\x65\163\x73\x61\147\x65\72\x20\x25\145\x72\162\157\162\115\145\163\x73\x61\147\145\x25", ["\x25\x65\x72\162\x6f\162\115\145\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto f322c; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); f322c: } goto F4018; Bc5f8: } public function installCertificate(Request $request) : Response { goto F01c8; A4294: return $response; goto Bb5b3; a87c0: try { goto b24bf; C1fc9: $siteUpdater = $this->getSiteUpdater($site); goto cd6fe; e4b9d: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto ab74e; E931c: $session->getFlashBag()->set("\x73\x75\143\x63\x65\x73\163", $this->translator->trans("\103\145\x72\x74\151\x66\x69\143\141\x74\x65\x20\150\x61\163\40\142\x65\145\156\40\x69\x6e\x73\164\141\x6c\154\145\x64\x2e")); goto Ec32b; b24bf: $session = $request->getSession(); goto e2a17; D87b6: $siteEntity = $this->getSiteEntity($domainName); goto e4b9d; fbd5e: $evenData = ["\x73\x69\x74\x65" => $domainName]; goto Cacb9; fafed: return $response; goto Ce75f; a4e84: ad881: goto Bb0d7; F9d90: $siteEntity->setCertificate($certificateEntity); goto B8e56; cd6fe: $siteUpdater->installCertificate($certificateEntity); goto F9d90; Ce75f: Ddbdb: goto a4e84; Cacb9: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto E931c; B8e56: $this->siteEntityManager->updateEntity($siteEntity); goto fbd5e; b5ccc: $domainName = $site->getDomainName(); goto D87b6; B7f76: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto Ddbdb; } goto bdba0; bdba0: $user = $this->getUser(); goto C1fc9; e2a17: $uid = $request->get("\165\151\x64"); goto b5ccc; ab74e: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto ad881; } goto f6a45; f6a45: $certificateSiteEntity = $certificateEntity->getSite(); goto B7f76; Ec32b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\137\x63\145\162\x74\151\x66\151\143\x61\164\x65\x73", ["\x64\x6f\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto fafed; Bb0d7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\162\40\150\141\163\x20\x6f\143\x63\x75\162\x72\145\144\54\x20\145\x72\162\x6f\x72\x20\x6d\145\x73\163\141\147\145\72\40\x25\x65\x72\162\x6f\x72\115\x65\x73\x73\x61\x67\145\x25", ["\x25\x65\162\162\157\x72\x4d\145\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto aa557; bf3c8: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\x65\x73")); goto A4294; b264e: if (!(false === is_null($site))) { goto d9675; } goto a87c0; aa557: d9675: goto bf3c8; F01c8: $site = $this->getSite($request); goto b264e; Bb5b3: } public function deleteCertificate(Request $request) : Response { goto B62c3; e2778: if (!(false === is_null($site))) { goto f24eb; } goto D573b; Bfe12: $this->checkCsrfToken($request, "\x63\x65\162\164\151\x66\x69\143\141\x74\x65\55\144\x65\154\x65\164\145"); goto e2778; D00ae: return $response; goto F17bf; E15af: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\x73")); goto D00ae; B62c3: $site = $this->getSite($request); goto Bfe12; D573b: try { goto d62fc; D5203: $uid = $request->get("\165\151\144"); goto Bb524; Aa26c: d8043: goto d7662; a7a7e: $user = $this->getUser(); goto Ed3cb; A5111: $siteEntity = $this->getSiteEntity($domainName); goto e2bcf; Bb524: $domainName = $site->getDomainName(); goto A5111; Ed3cb: $siteEntity->removeCertificate($certificateEntity); goto De51b; a84f7: $certificateSiteEntity = $certificateEntity->getSite(); goto A3098; fe280: $evenData = ["\163\x69\x74\x65" => $domainName]; goto Df4e3; c5157: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto ad1a9; } goto a84f7; d62fc: $session = $request->getSession(); goto D5203; d7662: ad1a9: goto d9ced; A3098: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto d8043; } goto a7a7e; Df4e3: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto C0b20; C0b20: $session->getFlashBag()->set("\163\165\x63\x63\145\163\x73", $this->translator->trans("\103\145\162\x74\x69\146\x69\143\x61\164\x65\x20\x68\141\163\x20\142\x65\145\x6e\40\144\x65\154\145\164\x65\144\x2e")); goto d874c; d874c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\164\145\137\x63\x65\x72\x74\x69\x66\x69\x63\x61\164\x65\x73", ["\x64\157\x6d\141\x69\156\116\x61\155\145" => $site->getDomainName()])); goto c8374; De51b: $this->siteEntityManager->updateEntity($siteEntity); goto fe280; c8374: return $response; goto Aa26c; e2bcf: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto c5157; d9ced: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\x20\x65\162\x72\157\x72\x20\150\141\163\x20\x6f\143\143\x75\x72\x72\145\144\54\x20\145\x72\162\x6f\162\x20\x6d\145\x73\163\141\147\x65\72\40\45\145\162\x72\x6f\162\x4d\145\163\x73\141\147\x65\x25", ["\x25\x65\162\162\x6f\x72\x4d\145\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto B57b9; B57b9: f24eb: goto E15af; F17bf: } public function databases(Request $request) : Response { goto C8a38; D99f6: if (false === is_null($site)) { goto Bb99c; } goto D70cb; F8f4f: E4fdf: goto C5ea5; D1e46: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e8d1d; C8a38: $site = $this->getSite($request); goto D99f6; d3362: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); b1b5f: } goto c39d1; D70cb: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\163")); goto bdbce; b3517: $response = $this->render("\x46\x72\x6f\x6e\x74\145\x6e\144\x2f\123\x69\164\x65\57\144\x61\164\x61\142\x61\163\145\x73\x2e\150\164\x6d\154\56\x74\x77\151\x67", ["\x73\x69\x74\145" => $site, "\x64\x61\164\141\142\141\163\x65\x73" => $databases, "\x6e\x75\x6d\142\x65\162\117\x66\104\x61\x74\x61\142\141\x73\x65\125\163\145\162\x73" => $numberOfDatabaseUsers, "\144\141\x74\141\x62\x61\163\145\123\x65\x72\166\x65\x72" => $databaseServerEntity]); goto F8f4f; C5ea5: return $response; goto C0f21; c39d1: B0c72: goto b3517; C69b0: $databases = $site->getDatabases(); goto D1e46; Aedcf: Bb99c: goto C69b0; bdbce: goto E4fdf; goto Aedcf; e8d1d: $numberOfDatabaseUsers = 0; goto d3362; C0f21: } public function newDatabase(Request $request) : Response { goto D62b8; Eca8d: $form = $this->createDatabaseForm($site, $databaseEntity); goto b8a68; a6b43: F12d5: goto a9344; fb44c: if (!(true === $form->isSubmitted())) { goto bfdac; } goto b3ebe; Da2f3: Ad2c0: goto f93cf; ced20: $form->handleRequest($request); goto fb44c; Bb201: $databaseEntity->setSite($siteEntity); goto Eca8d; D62b8: $site = $this->getSite($request); goto E742d; b3ebe: $response = $this->handleDatabaseForm($request, $form, $site); goto A14e7; f1941: e4ac7: goto eca6f; B327c: return $response; goto a6b43; b8a68: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto b4422; } goto ced20; abd9a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\163")); goto Fdd2a; eca6f: return $response; goto C98d5; E742d: if (false === is_null($site)) { goto Ad2c0; } goto abd9a; Fdd2a: goto e4ac7; goto Da2f3; c9a9b: $response = $this->render("\106\x72\x6f\156\164\x65\x6e\x64\x2f\123\x69\164\145\x2f\x6e\x65\x77\55\144\x61\x74\x61\x62\x61\x73\x65\x2e\x68\x74\x6d\154\x2e\x74\x77\151\x67", ["\163\x69\x74\145" => $site, "\x66\157\x72\155" => $form->createView(), "\146\157\162\155\x45\x72\x72\157\x72\163" => $this->formErrors]); goto f1941; A14e7: if (!(false === is_null($response))) { goto F12d5; } goto B327c; f93cf: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A00f2; a9344: bfdac: goto Fa5db; A00f2: $databaseEntity = $this->databaseEntityManager->createEntity(); goto Bb201; Fa5db: b4422: goto c9a9b; C98d5: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto e47d0; E21b0: return $form; goto F62c7; e47d0: $form = $this->createForm("\x41\160\x70\134\106\157\162\x6d\134\123\x69\164\145\104\x61\164\x61\142\141\x73\145\x54\x79\x70\x65", $databaseEntity, ["\x61\143\x74\151\157\156" => $this->generateUrl("\143\154\160\137\163\x69\164\145\x5f\x64\x61\x74\x61\x62\141\x73\145\x5f\x6e\x65\167", ["\x64\157\155\x61\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\x50\117\123\124", "\x61\164\x74\x72" => []]); goto ca819; ca819: $form->add("\163\x75\142\155\151\164", SubmitType::class, ["\141\164\x74\162" => ["\143\x6c\x61\x73\x73" => "\142\x74\x6e\x20\142\164\x6e\55\x62\154\165\145\x20\142\x74\156\55\x6c\147"], "\x6c\141\x62\145\x6c" => "\x41\144\x64\40\x44\141\x74\x61\142\x61\163\x65"]); goto E21b0; F62c7: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto E810f; a220c: A6089: goto b14ad; Eb3d8: goto A6089; goto b0eba; b3bc9: try { goto eaa43; Abdbd: $databaseUserPassword = $form->get("\165\x73\x65\x72\120\x61\x73\x73\x77\x6f\x72\x64")->getData(); goto B3a42; C8ff1: $this->siteEntityManager->updateEntity($siteEntity); goto D8415; d4575: if (false === is_null($siteEntity)) { goto fb77d; } goto F143c; bc17b: $databaseUserEntity->setDatabase($databaseEntity); goto d4da1; E073c: $databaseUserEntity->setUserName($databaseUserName); goto a99fa; eaa43: $user = $this->getUser(); goto d39e3; E8ca5: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto D187e; fceb2: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\x5f\x64\x61\x74\x61\142\141\x73\x65\163", ["\x64\x6f\x6d\141\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto c93b8; e5882: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto C2a74; d7ac2: $siteEntity = $this->getSiteEntity($domainName); goto d4575; Aaf6f: $databaseManager->createUser($databaseUserEntity); goto C8ff1; d1bde: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto bc17b; d4da1: $databaseEntity->addUser($databaseUserEntity); goto E5618; efd29: $databaseEntity->setSite($siteEntity); goto bce20; F143c: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x5f\x64\141\x74\141\x62\x61\163\x65\x5f\x6e\x65\167", ["\144\x6f\x6d\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto Ab6d5; d39e3: $session = $request->getSession(); goto e6461; a99fa: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto d1bde; Ab6d5: goto F5a76; goto A6a95; Fe6a7: $databaseEntity = $form->getData(); goto Ca4ef; E5618: $siteEntity->addDatabase($databaseEntity); goto c1b2d; Ca4ef: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E8ca5; D8415: $eventData = ["\x73\x69\164\145" => $domainName, "\144\x61\x74\141\142\141\163\145" => $databaseEntity->getName(), "\x64\x61\164\x61\142\x61\x73\x65\125\163\145\162\x4e\x61\x6d\x65" => $databaseUserEntity->getUserName()]; goto e5882; C2a74: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\104\141\x74\x61\142\141\163\x65\40\150\x61\163\40\142\145\x65\x6e\40\x61\144\144\x65\x64\x2e")); goto fceb2; Ed7cc: return $response; goto B2bd8; c93b8: F5a76: goto Ed7cc; D187e: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto efd29; e6461: $domainName = $site->getDomainName(); goto d7ac2; bce20: $databaseUserName = $form->get("\x75\163\x65\x72\x4e\141\155\x65")->getData(); goto Abdbd; A6a95: fb77d: goto Fe6a7; c1b2d: $databaseManager->createDatabase($databaseEntity); goto Aaf6f; B3a42: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto E073c; B2bd8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\157\162\40\150\x61\163\40\157\143\143\x75\x72\162\145\x64\54\40\145\162\162\x6f\x72\x20\x6d\x65\163\163\x61\x67\x65\72\x20\45\x65\162\x72\157\162\x4d\145\x73\x73\141\x67\145\x25", ["\45\x65\162\x72\157\x72\115\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto a220c; b0eba: Ed15d: goto b3bc9; B2acc: $this->formErrors = $this->getErrorMessages($form); goto Eb3d8; E810f: if (true === $form->isValid()) { goto Ed15d; } goto B2acc; b14ad: } public function deleteDatabase(Request $request) : Response { goto C363c; Db131: try { goto B4d1c; a5a37: $this->siteEntityManager->updateEntity($siteEntity); goto d1525; ce0a2: $databaseManager = new DatabaseManager($databaseServerEntity); goto D7eda; c240a: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\x44\141\x74\x61\x62\141\163\145\x20\150\141\x73\x20\142\145\x65\156\40\x64\145\154\x65\164\x65\144\56")); goto d0f58; Fa62a: $session = $request->getSession(); goto Ff513; d9d73: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto ce0a2; C7e8b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto c240a; B4d1c: $user = $this->getUser(); goto Fa62a; D7eda: $databaseManager->deleteDatabase($databaseEntity, true); goto Ccb02; d1525: $eventData = ["\x73\151\164\145" => $domainName, "\144\141\164\141\x62\141\x73\x65" => $databaseEntity->getName()]; goto C7e8b; Ff513: $domainName = $site->getDomainName(); goto d9d73; Ccb02: $siteEntity->removeDatabase($databaseEntity); goto a5a37; d0f58: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\x6e\x20\x65\x72\162\x6f\162\40\150\141\163\x20\157\143\143\x75\x72\x72\145\144\54\x20\x65\162\x72\x6f\162\x20\x6d\145\163\x73\x61\147\145\72\40\x25\x65\162\x72\x6f\162\x4d\x65\163\x73\x61\x67\145\45", ["\45\x65\x72\162\x6f\x72\115\x65\x73\163\141\147\145\x25" => $e->getMessage()])); } goto c196e; Afbda: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto Bb6c9; } goto Db131; C363c: $site = $this->getSite($request); goto d6ab0; Eadfe: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Afbda; F75eb: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Eadfe; Ed08a: if (!(false === is_null($site))) { goto D297f; } goto d382f; d382f: $databaseName = $request->get("\144\x61\x74\141\x62\141\x73\x65\116\141\x6d\145"); goto F75eb; Ba6d3: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\x65\163")); goto f31ad; c196e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\137\144\141\164\141\142\141\163\x65\163", ["\x64\x6f\155\141\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto Ee120; a4ef6: D297f: goto Ba6d3; Ee120: return $response; goto Eba1c; Eba1c: Bb6c9: goto a4ef6; d6ab0: $this->checkCsrfToken($request, "\144\x61\x74\141\142\x61\163\x65\x2d\144\x65\x6c\145\164\145"); goto Ed08a; f31ad: return $response; goto F1308; F1308: } public function phpMyAdmin(Request $request) : Response { goto Ecde2; A2ed8: $response->headers->clearCookie("\x70\x6d\141\101\165\164\150\55\61\137\x68\x74\x74\x70\163"); goto d7e5c; d6f0c: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto D088d; } goto ea570; E2440: if (!(false === is_null($activeDatabaseServerEntity))) { goto Cb2d4; } goto C3418; f9951: B4a50: goto fb3be; Dec43: return $response; goto Df3c1; Ba393: return $response; goto d63a5; D265f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\163")); goto Dec43; bbc09: $response = new RedirectResponse($phpMyAdminUrl); goto F96f0; b2fbb: $session->set("\x63\x6c\160\x2d\x70\155\x61", $data); goto bbc09; d63a5: Cb2d4: goto c97a1; Bdd04: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto E3734; E0211: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E2440; c97a1: goto d3151; goto E3b26; fb3be: d3151: goto D265f; d7e5c: $response->headers->clearCookie("\123\x69\x67\x6e\157\156\123\x65\163\x73\x69\x6f\156"); goto Ba393; ec414: $phpMyAdminUrl = sprintf("\x68\164\164\160\x73\72\57\57\x25\x73\x3a\x25\x73\57\x70\150\x70\x6d\x79\141\x64\155\x69\x6e\x2f\154\157\x67\151\x6e\56\160\150\160", $request->getHost(), $request->getPort()); goto E75d4; ea570: $databaseEntity = $databaseUserEntity->getDatabase(); goto B5ed3; A3f7e: $data = ["\x68\x6f\163\x74" => $activeDatabaseServerEntity->getHost(), "\x70\x6f\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto D7c6f; C3418: $phpMyAdminUrl = sprintf("\x68\x74\164\x70\163\x3a\x2f\x2f\45\163\72\45\163\57\160\x68\160\155\x79\141\144\x6d\151\x6e\57\154\157\x67\151\x6e\56\160\150\160", $request->getHost(), $request->getPort()); goto A3f7e; B5ed3: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto F7ca7; } goto ec414; Ecde2: $domainName = $request->get("\x64\157\155\x61\151\x6e\116\x61\x6d\145"); goto fd1eb; E3734: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d6f0c; C3292: D088d: goto f9951; F96f0: return $response; goto F5ebf; eaf24: $site = $this->getSite($request); goto D29de; F5ebf: F7ca7: goto C3292; cead6: $response->headers->clearCookie("\160\150\160\115\171\101\x64\155\x69\156\x5f\150\x74\164\x70\x73"); goto A2ed8; E75d4: $data = ["\x68\157\163\164" => $activeDatabaseServerEntity->getHost(), "\165\x73\x65\x72\116\141\155\145" => $databaseUserEntity->getUserName(), "\160\141\163\163\167\x6f\x72\144" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\162\x74" => $activeDatabaseServerEntity->getPort()]; goto b2fbb; E3b26: e1039: goto eaf24; e08d9: $response = new RedirectResponse($phpMyAdminUrl); goto e3aa0; D29de: if (!(false === is_null($site))) { goto B4a50; } goto C285c; fd1eb: $session = $request->getSession(); goto d57c0; D7c6f: $session->set("\x63\154\160\55\x70\x6d\x61", $data); goto e08d9; d57c0: if (false === is_null($domainName)) { goto e1039; } goto E0211; e3aa0: $response->headers->clearCookie("\143\x6c\160\x2d\x70\x6d\x61"); goto cead6; C285c: $databaseUserName = $request->get("\144\141\164\x61\x62\141\163\x65\125\x73\x65\x72\116\x61\155\x65"); goto Bdd04; Df3c1: } public function phpMyAdminLogout(Request $request) { goto f21be; e3307: $response->headers->clearCookie("\x70\x6d\x61\101\165\x74\x68\x2d\x31\137\x68\x74\164\x70\x73"); goto cd56b; f21be: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\163")); goto Fc808; B5bfc: $response->headers->clearCookie("\160\150\160\x4d\x79\x41\144\155\151\156\137\150\x74\x74\x70\x73"); goto e3307; e59bf: return $response; goto b7394; cd56b: $response->headers->clearCookie("\x53\x69\x67\156\157\x6e\x53\x65\163\x73\x69\x6f\156"); goto e59bf; Fc808: $response->headers->clearCookie("\x63\154\x70\x2d\160\155\x61"); goto B5bfc; b7394: } public function newDatabaseUser(Request $request) : Response { goto C4b3b; Cdaf4: return $response; goto C4f13; B8315: if (!(false === is_null($response))) { goto ed399; } goto Ba104; D9cd6: $response = $this->render("\x46\162\x6f\156\x74\x65\156\x64\57\123\x69\x74\145\x2f\156\x65\167\55\144\141\164\141\x62\141\163\x65\55\x75\x73\145\162\x2e\x68\164\x6d\154\x2e\164\x77\151\147", ["\163\x69\x74\x65" => $site, "\144\x61\164\x61\x62\x61\163\145\x55\x73\x65\x72" => $databaseUserEntity, "\x64\141\x74\x61\142\141\163\x65\x73" => $databases, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\155\105\x72\x72\157\162\x73" => $this->formErrors]); goto F3e56; b0743: if (!(true === $form->isSubmitted())) { goto Bad28; } goto Aab3c; Ae03b: Bad28: goto bdfc8; A2d36: $siteEntity = $this->getSiteEntity($domainName); goto b717f; f400f: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto C9c4f; d46f4: b164d: goto e18b6; e729d: ed399: goto Ae03b; fb736: A7eb9: goto Cdaf4; ad51d: $session = $request->getSession(); goto C9aa5; C9c4f: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto F89b2; } goto f5dfd; F3e56: C3c4c: goto fb736; e1539: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\145\137\144\141\164\141\x62\141\x73\x65\163", ["\x64\157\x6d\x61\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto C2ee9; f5dfd: $form->handleRequest($request); goto b0743; beb10: $databases = $site->getDatabases(); goto bc022; a9f9c: Ebfbb: goto beb10; b717f: if (count($databases) && false === is_null($siteEntity)) { goto b164d; } goto ad51d; E5f79: goto A7eb9; goto a9f9c; ae50b: $databaseUserEntity->setSite($siteEntity); goto f400f; C9aa5: $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\116\x6f\x20\x64\141\164\141\142\x61\163\145\40\146\157\x75\156\144\73\40\143\x72\x65\x61\164\x65\40\x61\40\144\141\x74\x61\142\141\x73\145\x20\146\x69\x72\x73\164\56")); goto e1539; Aab3c: $response = $this->handleDatabaseUserForm($request, $form, $site); goto B8315; C6da0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\164\145\x73")); goto E5f79; bdfc8: F89b2: goto D9cd6; Aca86: if (false === is_null($site)) { goto Ebfbb; } goto C6da0; Ba104: return $response; goto e729d; C4b3b: $site = $this->getSite($request); goto Aca86; C2ee9: goto C3c4c; goto d46f4; e18b6: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto ae50b; bc022: $domainName = $site->getDomainName(); goto A2d36; C4f13: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto c4edd; F8a8c: $form->add("\x73\165\x62\x6d\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\x61\x73\x73" => "\142\x74\156\x20\142\x74\156\x2d\x62\x6c\x75\x65\x20\x62\164\156\55\154\147"], "\154\x61\x62\x65\154" => "\x41\x64\144\40\x44\141\x74\x61\142\141\x73\145\40\x55\163\x65\162"]); goto da0b5; c4edd: $form = $this->createForm("\x41\160\x70\x5c\106\157\x72\x6d\x5c\123\x69\164\x65\104\141\164\141\x62\141\x73\145\x55\163\x65\162\124\x79\160\145", $databaseUserEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\137\163\x69\x74\x65\137\144\x61\164\141\x62\x61\163\145\137\x75\x73\x65\x72\x5f\156\145\x77", ["\x64\x6f\x6d\141\151\156\116\141\155\145" => $site->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\120\117\x53\x54", "\x61\x74\x74\x72" => []]); goto F8a8c; da0b5: return $form; goto dcf33; dcf33: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto Bcf37; Bb016: goto d1e17; goto Bb4ea; ef852: d1e17: goto a0150; Bcf37: if (true === $form->isValid()) { goto Ece15; } goto Ad3c0; Bb4ea: Ece15: goto E562e; E562e: try { goto A3b89; a9e93: $session = $request->getSession(); goto D33b2; fd333: F55dd: goto C5321; d394d: goto D63bc; goto fd333; ca31d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto D411b; Aa5d3: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto cbd58; ee3cc: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto ff89e; De6da: $databaseName = $databaseEntity->getName(); goto f851f; cb014: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto ca31d; F85b5: $siteEntity = $this->getSiteEntity($domainName); goto B31fe; Ecb0c: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\137\144\141\x74\141\142\x61\x73\145\137\x75\x73\x65\162\x5f\156\145\x77", ["\144\157\155\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto d394d; da4cf: return $response; goto A8bf3; d3e9a: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\104\141\x74\x61\142\x61\x73\x65\x20\125\163\x65\162\40\150\141\163\40\142\145\145\156\40\141\x64\144\x65\x64\56")); goto de88e; f851f: $eventData = ["\x73\x69\164\x65" => $domainName, "\x64\x61\164\141\x62\x61\x73\x65\x55\163\145\x72\x4e\x61\x6d\145" => $databaseUserEntity->getUserName(), "\160\x65\x72\x6d\x69\163\163\151\x6f\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\164\x61\x62\x61\x73\x65" => $databaseName]; goto C81b7; B31fe: if (false === is_null($siteEntity)) { goto F55dd; } goto Ecb0c; ff89e: $databaseUserEntity->setPassword($encryptedPassword); goto cb014; cbd58: $databaseEntity = $databaseUserEntity->getDatabase(); goto De6da; C5321: $databaseUserEntity = $form->getData(); goto ee3cc; de88e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x5f\144\x61\164\141\x62\x61\163\145\163", ["\144\157\x6d\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto E5c1b; A3b89: $user = $this->getUser(); goto a9e93; D411b: $databaseManager->createUser($databaseUserEntity); goto Aa5d3; E5c1b: D63bc: goto da4cf; C81b7: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto d3e9a; D33b2: $domainName = $site->getDomainName(); goto F85b5; A8bf3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\157\162\40\x68\141\x73\40\x6f\143\143\165\x72\162\x65\144\54\x20\145\x72\x72\x6f\x72\x20\155\x65\x73\x73\x61\x67\145\72\x20\x25\145\x72\162\x6f\162\x4d\x65\163\x73\x61\x67\x65\x25", ["\x25\x65\x72\162\157\x72\x4d\145\x73\x73\141\147\145\45" => $e->getMessage()])); } goto ef852; Ad3c0: $this->formErrors = $this->getErrorMessages($form); goto Bb016; a0150: } public function editDatabaseUser(Request $request) : Response { goto c46ad; D0901: ed8c3: goto f6ab8; Cdc7a: if (!(false === is_null($response))) { goto B7bd6; } goto eff7d; Eb5ef: $response = $this->render("\x46\162\x6f\x6e\164\145\x6e\144\x2f\123\x69\164\x65\x2f\145\x64\x69\164\55\x64\141\x74\x61\x62\x61\x73\145\x2d\x75\x73\x65\162\56\x68\164\155\154\x2e\164\167\151\x67", ["\163\x69\164\145" => $site, "\144\141\x74\141\x62\141\x73\x65\x55\x73\145\162" => $databaseUserEntity, "\x66\x6f\162\155" => $form->createView(), "\146\157\x72\155\x45\x72\162\157\162\163" => $this->formErrors]); goto cf96f; c044c: return $response; goto F0ff2; f6ab8: $databaseUserName = $request->get("\x64\x61\x74\141\142\141\x73\145\x55\x73\145\x72\116\141\155\x65"); goto D48ab; fbe91: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\x73")); goto E8697; A0336: if (!(false === is_null($databaseUserEntity))) { goto fcbb5; } goto E78c8; ab5ce: if (!(true === $request->isMethod("\120\117\123\124"))) { goto D3453; } goto c6c10; E28c9: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto ab5ce; c8a18: if (count($databases) && false === is_null($siteEntity)) { goto ed8c3; } goto dde37; e6c31: goto d0973; goto D0901; fc895: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto Cdc7a; Cadbe: d0973: goto dc82b; C40f0: $siteEntity = $this->getSiteEntity($domainName); goto c8a18; bfe2c: if (!(true === $form->isSubmitted())) { goto db706; } goto fc895; E8697: goto c6e5f; goto Ed427; C05b1: D3453: goto Eb5ef; Ad785: $databases = $site->getDatabases(); goto Ec3af; eaf25: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\137\144\x61\164\x61\142\141\x73\145\163", ["\x64\x6f\x6d\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto e6c31; d9aac: B7bd6: goto b9599; dc5f2: $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\116\157\40\144\141\164\x61\142\141\x73\x65\x20\x66\157\165\x6e\x64\x3b\x20\x63\x72\x65\141\164\145\40\141\x20\x64\141\164\141\x62\141\x73\145\40\x66\x69\x72\x73\x74\56")); goto eaf25; b9599: db706: goto C05b1; dc82b: c6e5f: goto c044c; cf1c9: if (false === is_null($site)) { goto C8f0e; } goto fbe91; E78c8: $databaseUserEntity->setPassword(''); goto E28c9; cf96f: fcbb5: goto Cadbe; dde37: $session = $request->getSession(); goto dc5f2; Ec3af: $domainName = $site->getDomainName(); goto C40f0; eff7d: return $response; goto d9aac; Ed427: C8f0e: goto Ad785; D48ab: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto A0336; c6c10: $form->handleRequest($request); goto bfe2c; c46ad: $site = $this->getSite($request); goto cf1c9; F0ff2: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto F3a52; c9c1b: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\x73" => "\x62\x74\x6e\x20\x62\164\x6e\x2d\142\154\x75\x65\x20\142\164\156\55\x6c\147"], "\x6c\x61\142\145\154" => "\123\141\x76\145"]); goto f8fce; f8fce: return $form; goto b9d94; F3a52: $form = $this->createForm("\101\x70\160\x5c\106\157\x72\x6d\x5c\123\x69\164\145\x44\x61\x74\x61\142\141\x73\145\125\x73\x65\162\x45\x64\x69\x74\124\x79\x70\x65", $databaseUserEntity, ["\x61\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\x73\151\164\145\x5f\x64\141\164\141\x62\x61\163\x65\137\x75\163\145\162\x5f\145\144\x69\x74", ["\144\x6f\x6d\x61\151\156\116\141\x6d\145" => $site->getDomainName(), "\144\141\x74\x61\142\x61\x73\145\125\x73\145\162\116\141\155\145" => $databaseUserEntity->getUserName()]), "\x6d\145\164\150\x6f\x64" => "\120\x4f\x53\124", "\x61\x74\x74\162" => []]); goto c9c1b; b9d94: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto Ae609; a1b8d: f5bde: goto a00e3; Ae609: if (true === $form->isValid()) { goto E4cf8; } goto f5090; f5090: $this->formErrors = $this->getErrorMessages($form); goto B2597; b8165: E4cf8: goto Cc7f1; Cc7f1: try { goto d8138; c2bd5: $eventData = ["\x73\151\164\x65" => $domainName, "\x64\x61\164\141\x62\x61\163\x65\125\163\x65\162\x4e\x61\x6d\145" => $databaseUserEntity->getUserName(), "\160\x65\x72\x6d\x69\x73\x73\x69\x6f\156\163" => $databaseUserEntity->getPermissions(), "\x64\x61\x74\141\142\x61\163\x65" => $databaseName]; goto a58f3; B715c: $databaseUserEntity->setPassword($encryptedPassword); goto E2dbc; ed1d9: Cfd0d: goto cfa06; D1a9c: $siteEntity = $this->getSiteEntity($domainName); goto a483e; C5f0e: return $response; goto F8b90; a483e: if (false === is_null($siteEntity)) { goto Cfd0d; } goto A5b8a; b02b3: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto B715c; ddd31: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto eb9a0; fe04f: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Fbd36; d8138: $user = $this->getUser(); goto C7217; Bb1fc: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\x5f\x64\141\x74\x61\142\141\163\x65\x73", ["\x64\157\155\x61\151\156\116\x61\155\x65" => $site->getDomainName()])); goto De418; E2dbc: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fe04f; De418: b4946: goto C5f0e; A5b8a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\x5f\x64\141\164\141\x62\x61\x73\145\x5f\x75\163\x65\162\x5f\156\x65\167", ["\144\x6f\155\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto fde52; Fe002: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\163", $this->translator->trans("\x44\x61\164\x61\142\x61\163\x65\x20\x55\x73\145\x72\40\150\x61\x73\40\x62\x65\145\156\40\165\160\x64\x61\164\145\144\x2e")); goto Bb1fc; C7217: $session = $request->getSession(); goto f6f80; a58f3: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto Fe002; fde52: goto b4946; goto ed1d9; cfa06: $databaseUserEntity = $form->getData(); goto b02b3; eb9a0: $databaseEntity = $databaseUserEntity->getDatabase(); goto e8137; Fbd36: $databaseManager->createUser($databaseUserEntity); goto ddd31; f6f80: $domainName = $site->getDomainName(); goto D1a9c; e8137: $databaseName = $databaseEntity->getName(); goto c2bd5; F8b90: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\162\x6f\162\x20\x68\141\163\40\x6f\x63\143\165\162\162\145\144\x2c\40\x65\x72\162\x6f\162\x20\x6d\145\163\x73\141\x67\145\x3a\x20\x25\145\162\x72\157\162\115\x65\163\163\141\147\145\x25", ["\x25\145\x72\x72\x6f\162\x4d\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } goto a1b8d; B2597: goto f5bde; goto b8165; a00e3: } public function deleteDatabaseUser(Request $request) : Response { goto ad74d; cee39: try { goto Df1dc; A1761: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto fb82f; d1539: $session = $request->getSession(); goto E8a8b; ce89e: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto A9c71; C318d: $domainName = $site->getDomainName(); goto d1539; e4e78: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto f0f9a; } goto D2873; b94c5: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto C5206; a2335: $eventData = ["\x73\x69\x74\145" => $domainName, "\144\x61\x74\141\142\141\163\x65\x55\x73\x65\x72\x4e\141\x6d\145" => $databaseUserName]; goto b94c5; D2873: $user = $this->getUser(); goto C318d; fb82f: $databaseManager->deleteUser($databaseUserEntity); goto ce89e; E8a8b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A1761; C5206: f0f9a: goto d1019; Df1dc: $databaseEntity = $databaseUserEntity->getDatabase(); goto e4e78; A9c71: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\104\x61\164\x61\142\141\x73\145\x20\125\163\x65\162\40\x68\x61\x73\x20\x62\x65\x65\156\x20\144\145\154\x65\x74\x65\x64\56")); goto a2335; d1019: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\162\x20\150\x61\163\40\157\x63\143\165\162\162\145\144\x2c\x20\145\x72\x72\157\x72\40\x6d\145\x73\x73\x61\147\x65\x3a\40\45\145\162\x72\x6f\162\115\x65\163\163\141\x67\145\x25", ["\x25\x65\x72\162\x6f\x72\115\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto ab505; A5d08: $this->checkCsrfToken($request, "\x64\141\164\141\142\x61\163\x65\x2d\165\x73\x65\x72\x2d\x64\x65\x6c\x65\x74\145"); goto e3c7b; f1800: if (!(false === is_null($databaseUserEntity))) { goto A6777; } goto cee39; ab505: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x5f\x64\141\x74\x61\142\141\x73\145\x73", ["\x64\157\x6d\x61\151\156\116\141\x6d\145" => $site->getDomainName()])); goto d17ea; d755e: $databaseUserName = $request->get("\x64\x61\164\x61\x62\x61\163\x65\x55\x73\145\x72\x4e\141\x6d\x65"); goto e9123; ad74d: $site = $this->getSite($request); goto A5d08; b61f5: return $response; goto Bc93f; e9123: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto f1800; d17ea: return $response; goto a99c1; a99c1: A6777: goto B6801; E6a8e: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\x73")); goto b61f5; B6801: b0800: goto E6a8e; e3c7b: if (!(false === is_null($site))) { goto b0800; } goto d755e; Bc93f: } public function varnishCache(Request $request) : Response { goto b7c1a; be221: cae7a: goto E9031; b95a6: E8071: goto f309e; E0864: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\163")); goto c9ff0; D1d5f: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto ce180; d0735: if (!(true === $settingsForm->isSubmitted())) { goto E8071; } goto D1d5f; A60a8: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto E19d9; ce180: if (!(false === is_null($response))) { goto C1254; } goto C889d; C1fbd: return $response; goto C9851; d086b: $varnishCacheSettingsData = ["\151\163\x45\x6e\141\x62\x6c\x65\144" => true === isset($varnishCacheSettings["\x65\x6e\141\x62\x6c\145\144"]) && true === $varnishCacheSettings["\x65\x6e\141\x62\154\x65\x64"] ? true : false, "\163\x65\x72\x76\x65\x72" => true === isset($varnishCacheSettings["\x73\x65\x72\x76\145\x72"]) ? $varnishCacheSettings["\163\x65\162\x76\x65\x72"] : "\61\x32\x37\56\x30\x2e\x30\56\x31\x3a\66\x30\70\x31", "\x63\141\x63\150\145\124\141\147\120\x72\x65\x66\151\x78" => true === isset($varnishCacheSettings["\x63\141\143\150\x65\x54\x61\x67\x50\x72\145\x66\x69\x78"]) ? $varnishCacheSettings["\143\x61\143\x68\145\124\141\147\120\162\x65\x66\151\x78"] : substr(md5(time()), 0, 4), "\143\x61\x63\150\145\x4c\x69\x66\x65\x74\x69\155\x65" => true === isset($varnishCacheSettings["\143\x61\143\x68\145\114\151\x66\x65\164\x69\x6d\145"]) ? $varnishCacheSettings["\143\141\x63\150\x65\114\x69\x66\145\164\x69\155\145"] : "\x36\x30\64\x38\x30\60", "\x65\x78\143\x6c\165\x64\x65\x64\x50\x61\x72\141\x6d\163" => true === isset($varnishCacheSettings["\145\170\x63\154\165\144\145\x64\120\x61\162\x61\x6d\x73"]) ? implode("\x2c", $varnishCacheSettings["\x65\170\x63\154\165\144\x65\x64\x50\x61\162\141\x6d\x73"]) : "\x5f\x5f\x53\111\104\x2c\156\x6f\103\141\143\150\145\x2c", "\145\x78\x63\154\x75\144\145\163" => true === isset($varnishCacheSettings["\145\170\x63\154\x75\144\x65\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\145\170\143\x6c\165\x64\145\163"]) : '']; goto A60a8; A8ce8: $purgeCacheForm->handleRequest($request); goto d0735; Cd105: if (false === is_null($site) && true === $site->getVarnishCache()) { goto D4532; } goto E0864; c6fea: $settingsForm->handleRequest($request); goto A8ce8; d46fe: d9d95: goto C0802; C9851: Ddb75: goto be221; acfb1: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto eb5bb; } goto c6fea; c9ff0: goto d9d95; goto Fe227; f309e: if (!(true === $purgeCacheForm->isSubmitted())) { goto cae7a; } goto Eb8e6; E9031: eb5bb: goto d30e3; C4a5a: C1254: goto b95a6; a1031: if (!(false === is_null($response))) { goto Ddb75; } goto C1fbd; C889d: return $response; goto C4a5a; Fd7c8: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto d086b; d30e3: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\144\57\123\x69\x74\145\x2f\166\x61\162\156\151\163\x68\x2d\143\x61\143\150\x65\56\150\164\x6d\154\56\x74\x77\151\x67", ["\x73\151\164\145" => $site, "\x73\145\164\x74\x69\x6e\147\163\x46\x6f\x72\155" => $settingsForm->createView(), "\160\165\x72\147\x65\x43\x61\143\150\x65\106\x6f\162\155" => $purgeCacheForm->createView(), "\x66\x6f\x72\x6d\x45\x72\162\157\x72\x73" => $this->formErrors]); goto d46fe; Eb8e6: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto a1031; Fe227: D4532: goto Fd7c8; E19d9: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto acfb1; C0802: return $response; goto ee4eb; b7c1a: $site = $this->getSite($request); goto Cd105; ee4eb: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto df8b0; Ec706: return $form; goto f8412; Ec87f: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\141\x73\163" => "\x62\x74\x6e\40\142\x74\156\x2d\x62\154\165\x65\40\142\164\x6e\55\x6c\x67"], "\x6c\x61\142\x65\154" => "\123\x61\x76\x65"]); goto Ec706; df8b0: $form = $this->createForm("\101\160\x70\x5c\x46\157\x72\x6d\x5c\x53\x69\x74\x65\126\x61\x72\156\151\x73\x68\x43\141\143\150\x65\x53\x65\164\x74\151\156\147\x73\x54\171\x70\x65", $data, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\143\154\x70\137\x73\x69\164\145\x5f\166\141\x72\x6e\151\163\150\137\x63\141\x63\x68\x65", ["\144\157\x6d\141\151\156\116\x61\155\145" => $site->getDomainName()]), "\155\x65\164\150\157\144" => "\x50\x4f\123\124", "\141\x74\x74\x72" => []]); goto Ec87f; f8412: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto Fba55; abad4: return $form; goto A7c99; b9795: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\143\154\141\x73\x73" => "\x62\164\156\x20\x62\x74\x6e\x2d\x62\x6c\x75\x65\40\x62\x74\x6e\x2d\154\147"], "\154\141\x62\145\154" => "\120\165\162\147\145\40\x43\141\143\150\x65"]); goto abad4; Fba55: $form = $this->createForm("\101\x70\x70\134\x46\x6f\162\x6d\x5c\x53\151\164\145\126\141\162\156\x69\163\150\x43\141\x63\x68\x65\120\165\x72\x67\145\103\x61\143\x68\145\124\x79\160\x65", ["\163\151\164\x65" => $site], ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\137\x76\141\x72\x6e\x69\x73\150\x5f\143\x61\143\150\145", ["\x64\157\155\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\x68\x6f\x64" => "\x50\x4f\123\x54", "\x61\164\164\x72" => []]); goto b9795; A7c99: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto Bb7ce; c13fe: cd560: goto c74c4; E4cbb: try { goto B66ae; dfec4: $cacheLifetime = $form->get("\x63\x61\143\x68\145\114\x69\x66\x65\x74\x69\x6d\x65")->getData(); goto f794b; D1f97: if (false === is_null($siteEntity)) { goto d1f55; } goto D584f; f794b: $cacheTagPrefix = $form->get("\143\141\143\x68\145\x54\141\x67\120\162\145\146\x69\170")->getData(); goto f9e4d; Ad209: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\145\137\x76\x61\x72\156\151\163\150\x5f\x63\141\143\x68\145", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto F61f4; a8338: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto Ae2c6; fcc48: $site->setVarnishCacheSettings($varnishCacheSettings); goto C90e1; A04f3: $isEnabled = $form->get("\151\163\x45\156\141\x62\154\145\x64")->getData(); goto A0b16; dcb88: $siteUpdater->phpSettings(); goto C01d8; Eb3a9: d1f55: goto aeaf5; F61f4: bb788: goto b6c5f; F8555: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto dcb88; C01d8: $eventData = ["\163\x69\164\145" => $domainName, "\x76\141\x72\x6e\151\163\x68\x43\x61\x63\x68\x65\105\156\141\142\x6c\x65\144" => $isEnabled, "\163\145\162\166\145\x72" => $server, "\143\x61\x63\150\145\x54\141\147\120\162\x65\146\x69\x78" => $cacheTagPrefix, "\143\141\x63\150\x65\x4c\151\x66\145\164\151\x6d\145" => $cacheLifetime, "\x65\170\143\x6c\x75\x64\x65\x73" => $excludes, "\x65\x78\x63\154\165\x64\145\144\120\141\x72\141\x6d\163" => $excludedParams]; goto a8338; b6c5f: return $response; goto D85f2; aeaf5: $user = $this->getUser(); goto A04f3; d4494: $excludes = array_map("\x74\162\x69\155", array_filter(explode(PHP_EOL, trim($form->get("\145\x78\143\x6c\165\x64\145\163")->getData())))); goto B69cc; Ae2c6: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\x56\x61\162\156\x69\163\150\40\x43\141\143\150\145\x20\x53\x65\164\x74\x69\156\x67\163\x20\150\x61\x76\145\40\x62\x65\x65\156\40\x73\141\166\x65\x64\x2e")); goto Ad209; A0b16: $server = $form->get("\x73\x65\162\x76\145\x72")->getData(); goto dfec4; D6b34: goto bb788; goto Eb3a9; B69cc: $varnishCacheSettings = ["\x65\156\x61\x62\x6c\x65\144" => $isEnabled, "\x73\145\162\x76\145\x72" => $server, "\143\141\x63\x68\x65\124\x61\x67\120\162\145\146\x69\170" => $cacheTagPrefix, "\143\x61\x63\x68\x65\x4c\x69\x66\145\164\x69\x6d\145" => $cacheLifetime, "\145\170\143\x6c\165\144\x65\x73" => $excludes, "\x65\x78\x63\154\165\x64\x65\144\120\141\162\x61\x6d\x73" => $excludedParams]; goto fcc48; f9e4d: $excludedParams = array_map("\x74\x72\151\x6d", array_filter(explode("\x2c", trim($form->get("\x65\x78\143\x6c\x75\144\145\144\x50\x61\162\141\155\x73")->getData())))); goto d4494; D584f: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\163")); goto D6b34; C90e1: $siteUpdater = $this->getSiteUpdater($site); goto F8555; B66ae: $session = $request->getSession(); goto D93a0; D93a0: $domainName = $site->getDomainName(); goto d51cf; d51cf: $siteEntity = $this->getSiteEntity($domainName); goto D1f97; D85f2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\40\x68\x61\163\x20\x6f\x63\x63\x75\x72\162\145\x64\x2c\40\145\x72\162\157\x72\x20\155\x65\x73\x73\141\147\145\x3a\40\x25\145\x72\162\x6f\x72\115\145\163\x73\141\x67\145\x25", ["\x25\x65\162\162\157\162\115\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto c13fe; d92ae: e4aa1: goto E4cbb; C4a4e: goto cd560; goto d92ae; B991b: $this->formErrors = $this->getErrorMessages($form); goto C4a4e; Bb7ce: if (true === $form->isValid()) { goto e4aa1; } goto B991b; c74c4: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto bd368; Ce5f9: try { goto b29a9; b29a9: $session = $request->getSession(); goto a9ba0; b2cdf: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto F65cf; dc139: throw new \Exception("\x56\x61\x72\x6e\151\x73\x68\40\x43\x61\143\x68\145\x20\x53\145\x74\164\151\x6e\147\x73\40\143\141\156\156\x6f\164\40\x62\x65\x20\x65\x6d\x70\x74\171\56"); goto d8de5; c03cf: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\x76\x65\x72"]); goto A974a; Dd5ff: goto c6d89; goto d7779; E9162: return $response; goto e5ec7; d7779: E0788: goto B2308; B2308: $user = $this->getUser(); goto f5e64; E3f6e: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\x65\162\x76\x65\x72"]) && false === empty($varnishCacheSettings["\x73\145\x72\166\145\x72"])) { goto f2f3b; } goto dc139; f5e64: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto F49a8; Ee6bb: Dee09: goto f325c; d0633: f2f3b: goto C1f03; f325c: D339f: goto a2109; a92e4: $siteEntity = $this->getSiteEntity($domainName); goto Bd824; F49a8: $purgeValues = array_map("\164\162\x69\x6d", array_filter(explode("\54", trim($form->get("\166\x61\x6c\x75\x65")->getData())))); goto E3f6e; A974a: foreach ($purgeValues as $purgeValue) { goto ef331; C7a09: $varnishCacheClient->purgeUrl($purgeValue); goto Efc3f; e031c: $varnishCacheClient->purgeTag($purgeValue); goto B19f6; C84e8: if (true === str_starts_with($purgeValue, "\x68\x74\x74\x70")) { goto E3d4c; } goto e031c; Efc3f: Ed09b: goto fb310; f5f4d: D4d09: goto be044; E7a5a: E3d4c: goto C7a09; fb310: E9839: goto f5f4d; B19f6: goto Ed09b; goto E7a5a; daa3f: if (!(false === empty($purgeValue))) { goto E9839; } goto C84e8; ef331: $purgeValue = trim($purgeValue); goto daa3f; be044: } goto Ee6bb; a9ba0: $domainName = $site->getDomainName(); goto a92e4; a2109: $eventData = ["\x73\151\164\145" => $domainName, "\x76\x61\154\165\x65\x73" => implode("\54", $purgeValues)]; goto b2cdf; F65cf: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\163", $this->translator->trans("\126\141\162\156\151\x73\150\x20\x43\141\143\x68\x65\40\150\x61\163\x20\x62\145\145\156\x20\x70\x75\x72\147\145\144\56")); goto Eabf4; ef071: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x73")); goto Dd5ff; Eabf4: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\x65\137\x76\141\x72\x6e\151\x73\150\137\143\x61\x63\150\145", ["\x64\x6f\155\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto cf79f; Bd824: if (false === is_null($siteEntity)) { goto E0788; } goto ef071; C1f03: $varnishCacheClient = new VarnishCacheClient(); goto c03cf; d8de5: goto D339f; goto d0633; cf79f: c6d89: goto E9162; e5ec7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\x72\x72\157\162\x20\150\x61\x73\40\x6f\x63\x63\165\x72\162\145\144\54\40\x65\162\162\x6f\162\x20\155\x65\163\x73\141\147\x65\x3a\40\45\145\162\162\x6f\x72\115\x65\163\163\x61\x67\145\x25", ["\45\x65\x72\162\x6f\162\115\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto ba17d; bd368: if (true === $form->isValid()) { goto a20f1; } goto B46a1; c9f92: goto d6fe9; goto D82ee; B46a1: $this->formErrors = $this->getErrorMessages($form); goto c9f92; ba17d: d6fe9: goto ef918; D82ee: a20f1: goto Ce5f9; ef918: } public function purgeVarnishCache(Request $request) : Response { goto b41c8; ce4ba: Ce5a2: goto bde25; C0259: try { goto B01f4; f6557: $varnishCacheClient->purgeHost($domainName); goto ff0cb; F2bb0: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Ec6dc; F7bc0: $eventData = ["\163\x69\x74\x65" => $domainName, "\160\x75\162\147\x65" => "\x66\165\x6c\x6c"]; goto D876e; B4715: $session = $request->getSession(); goto C3f2c; A7f1c: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\x72\x76\145\162"]); goto bcd90; Ec6dc: if (!(true === isset($varnishCacheSettings["\163\x65\162\166\x65\x72"]) && true === isset($varnishCacheSettings["\143\141\143\150\x65\x54\141\x67\120\x72\145\x66\151\x78"]) && false === empty($varnishCacheSettings["\x63\x61\x63\150\x65\x54\x61\147\120\162\x65\146\x69\x78"]))) { goto B1eff; } goto daf77; B01f4: $user = $this->getUser(); goto B4715; bcd90: $varnishCacheClient->purgeTag($cacheTagPrefix); goto f6557; C3f2c: $domainName = $site->getDomainName(); goto F2bb0; Bead0: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\x73", $this->translator->trans("\126\141\x72\156\151\x73\150\x20\x43\x61\143\150\x65\x20\150\x61\x73\40\142\145\x65\156\x20\160\x75\x72\147\x65\x64\56")); goto e1a02; c3689: $varnishCacheClient = new VarnishCacheClient(); goto A7f1c; ff0cb: B1eff: goto F7bc0; daf77: $cacheTagPrefix = $varnishCacheSettings["\143\141\x63\x68\145\124\x61\x67\x50\162\x65\146\x69\x78"]; goto c3689; D876e: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto Bead0; e1a02: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\162", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\162\40\150\x61\x73\40\157\x63\143\165\162\162\x65\144\x2c\x20\145\162\162\157\162\x20\x6d\145\163\x73\141\x67\x65\x3a\40\45\145\162\162\157\162\x4d\145\x73\163\x61\x67\x65\x25", ["\x25\145\162\x72\157\x72\115\145\163\x73\141\147\x65\x25" => $e->getMessage()])); } goto Afdc5; cf5d3: d2412: goto C0259; b41c8: $site = $this->getSite($request); goto E786e; bde25: return $response; goto F9376; E786e: if (false === is_null($site)) { goto d2412; } goto Cd616; Cd616: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\145\163")); goto B9730; B9730: goto Ce5a2; goto cf5d3; d2510: return $response; goto ce4ba; Afdc5: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\137\166\141\x72\x6e\x69\x73\x68\137\x63\141\x63\x68\x65", ["\x64\x6f\155\x61\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto d2510; F9376: } public function vhost(Request $request) : Response { goto A5efe; aa0fd: D83d9: goto a4065; dfdb5: throw new InvalidCsrfTokenException("\124\150\x65\40\x43\123\x52\106\40\x74\x6f\153\145\156\40\151\x73\40\x69\156\166\x61\x6c\x69\144\x2e"); goto cb0bc; c7156: $siteEntity = $this->getSiteEntity($domainName); goto E16ed; C2a06: $response = $this->render("\106\162\157\156\x74\x65\156\144\x2f\123\x69\164\x65\57\x76\150\x6f\163\x74\x2e\x68\164\155\x6c\56\164\167\151\147", ["\163\x69\x74\x65" => $site]); goto aa0fd; b1f93: if (!(false === $isCsrfTokenValid)) { goto F00d6; } goto dfdb5; dc976: $vhostTemplate = trim($request->get("\166\150\x6f\x73\x74\x2d\164\x65\x6d\x70\154\141\164\x65")); goto Ae216; Aa8bb: c2e4f: goto B7397; e71b4: db79e: goto C2a06; a4065: return $response; goto ee190; E28bf: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\x73")); goto d8b93; Ebd5e: e1124: goto e71b4; cb0bc: F00d6: goto dc976; ee998: $isCsrfTokenValid = $this->isCsrfTokenValid("\x76\x68\157\163\x74\55\165\x70\144\141\x74\x65", (string) $request->get("\164\x6f\153\x65\x6e")); goto b1f93; F2cac: $domainName = $site->getDomainName(); goto c7156; E16ed: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto c0d2c; d8b93: goto D83d9; goto Aa8bb; B7397: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto db79e; } goto ee998; cb356: b113b: goto Ebd5e; A5efe: $site = $this->getSite($request); goto a606b; fd537: if (!(false === is_null($response))) { goto b113b; } goto Ad8e2; Ad8e2: return $response; goto cb356; c0d2c: $site->setVhostTemplate($vhostTemplate); goto c55e9; c55e9: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto fd537; Ae216: if (!(false === empty($vhostTemplate))) { goto e1124; } goto F2cac; a606b: if (false === is_null($site)) { goto c2e4f; } goto E28bf; ee190: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto F4fe5; b24b3: return $response; goto F5d2e; edb03: $vhostTemplate = $site->getVhostTemplate(); goto F0c3c; a6124: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\163", $this->translator->trans("\x56\150\x6f\x73\x74\40\150\141\x73\40\x62\145\145\x6e\x20\163\x61\x76\x65\144\x2e")); goto f17d1; e009e: $siteEntity->setVhostTemplate($vhostTemplate); goto d5ba5; a4082: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\x5f\x76\150\x6f\x73\x74", ["\x64\x6f\155\141\x69\156\116\141\x6d\x65" => $domainName])); goto b24b3; Bdc1e: $session = $request->getSession(); goto ec3b8; Ca2e9: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto a4082; F4fe5: $user = $this->getUser(); goto Bdc1e; Abbdc: F9b8f: goto d7a98; f17d1: $eventData = ["\163\151\164\x65" => $domainName, "\x76\150\x6f\x73\x74" => $vhostTemplate, "\x6f\x6c\x64\x56\x68\x6f\x73\164" => $oldVhostTemplate]; goto Ca2e9; ec3b8: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\163\141\x62\x6c\145\x5f\163\171\x6d\x6c\151\156\153\x73"))) { goto F9b8f; } goto B3a41; B3a41: throw new InvalidVhostException("\x64\x69\163\141\142\x6c\x65\x5f\x73\171\155\x6c\151\x6e\x6b\163\x20\x69\163\40\156\157\164\40\141\154\154\157\x77\x65\144\56"); goto Abbdc; d5ba5: $this->siteEntityManager->updateEntity($siteEntity); goto a6124; E2104: $siteUpdater->updateNginxVhostWithRollback(); goto e009e; d7a98: $domainName = $site->getDomainName(); goto edb03; F0c3c: $siteUpdater = $this->getSiteUpdater($site); goto E2104; F5d2e: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\x6e\147\145\162", $this->translator->trans("\126\x68\157\163\164\x20\151\x73\40\x6e\x6f\164\40\166\x61\154\x69\x64\54\40\x65\x72\162\x6f\x72\40\x6d\145\x73\x73\x61\x67\x65\x3a\40\45\145\162\x72\x6f\x72\x4d\145\x73\163\141\147\145\x25", ["\x25\145\162\x72\157\x72\x4d\145\163\163\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\162\40\150\141\163\40\157\143\143\165\162\162\145\x64\54\40\x65\x72\x72\x6f\162\x20\155\x65\163\163\x61\x67\x65\72\40\x25\x65\162\x72\x6f\x72\x4d\145\163\163\141\147\145\x25", ["\x25\145\162\162\x6f\162\x4d\x65\x73\163\141\147\145\x25" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto e2d8d; e781e: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto ad8a5; D5538: a212d: goto f49f3; Fe239: Dbd26: goto C8540; fbde3: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto f494a; a7ddd: if (!(true === $siteDeleteForm->isSubmitted())) { goto C0f08; } goto Dcb5e; Afae5: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto Ce8a4; e8823: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto c9d21; } goto Acbb4; d62f2: ea070: goto f6a05; b78d4: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto Adb4f; B1187: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto e781e; dbe83: $currentPhpSettings = clone $phpSettings; goto Aca9d; ae0f4: if (!(true === $phpSettingsForm->isSubmitted())) { goto a99a9; } goto d3339; D2634: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto Edc02; } goto dbe83; Ce7f7: $parameters["\160\x68\x70\123\x65\x74\164\151\x6e\147\x73\106\x6f\x72\155"] = $phpSettingsForm->createView(); goto Ef0f9; f49f3: $domainSettingsData = ["\x64\157\x6d\x61\151\x6e\116\141\155\x65" => $site->getDomainName(), "\162\157\x6f\x74\x44\151\162\145\x63\164\x6f\x72\171" => $site->getRootDirectory()]; goto Fa46b; Fb01f: $parameters["\146\x6f\x72\155\105\162\162\x6f\162\x73"] = $this->formErrors; goto E45e9; dec9e: C0f08: goto B1d84; f8958: E23db: goto E1d17; c484e: $pageSpeedSettingsForm->handleRequest($request); goto Fb29b; Fa46b: $siteUserSettingsData = ["\x73\x69\164\145\x55\163\x65\x72" => $site->getUser(), "\163\x73\x68\x4b\x65\x79\x73" => $site->getSshKeys()]; goto F1015; da06b: return $response; goto baafd; eea57: Aac6c: goto Aa0a8; Bd297: F9084: goto d13f5; Dca61: a99a9: goto b09b0; Db0dc: $parameters["\160\171\164\x68\157\156\x53\145\x74\x74\x69\x6e\x67\163\106\157\162\x6d"] = $pythonSettingsForm->createView(); goto C838b; d13f5: Da383: goto A7995; d95ac: $parameters["\162\145\x76\145\162\163\145\x50\162\x6f\170\x79\x53\x65\164\x74\151\156\147\x73\106\157\162\155"] = $reverseProxySettingsForm->createView(); goto a06df; c80ff: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto ea070; } goto b78d4; b29ce: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto Ac9c9; } goto c1047; E7674: return $response; goto aeecd; B1d84: if (!(false === is_null($response))) { goto E1ee3; } goto Ba21f; D39cf: $pythonSettingsForm->handleRequest($request); goto c80f5; Aca9d: $phpSettingsForm->handleRequest($request); goto ae0f4; e9780: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto F0d51; be051: if (!(true === $domainSettingsForm->isSubmitted())) { goto Aac6c; } goto e4e2b; ba06e: if (false === is_null($site)) { goto a212d; } goto A51c4; B093f: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto Da747; e0e14: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto b9378; } goto fc010; b09b0: Edc02: goto Ce7f7; ee495: $parameters["\x6e\x6f\144\145\152\x73\x53\145\x74\164\x69\156\147\163\x46\x6f\162\155"] = $nodejsSettingsForm->createView(); goto B3a1f; Adb4f: if (!(false === is_null($response))) { goto B7c3e; } goto D29b7; D2c03: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto B1187; F0481: if (!(false === is_null($response))) { goto c1cff; } goto E7674; c1047: $currentNodeSettings = clone $nodejsSettings; goto a3e98; a0acb: c9d21: goto Fb01f; c80f5: if (!(true === $pythonSettingsForm->isSubmitted())) { goto Da383; } goto fbde3; f494a: if (!(false === is_null($response))) { goto F9084; } goto De2e3; E45e9: $response = $this->render("\x46\162\157\x6e\x74\145\x6e\144\57\123\x69\164\x65\x2f\x73\x65\164\164\x69\156\x67\163\56\x68\164\155\x6c\56\164\167\151\147", $parameters); goto f8958; B9051: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto Fafd6; } goto b2b59; C8540: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto e6a25; } goto c68c3; e2d8d: $site = $this->getSite($request); goto ba06e; A7995: E4785: goto Db0dc; De2e3: return $response; goto Bd297; Ba21f: return $response; goto E5c60; a02a4: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto b29ce; a06df: unset($parameters["\x70\x61\x67\145\123\x70\x65\x65\144\123\145\x74\x74\151\156\147\163\x46\x6f\162\155"]); goto a0acb; Ef88c: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto D2634; e23e7: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Dbd26; } goto Efdd3; E93f7: Ac9c9: goto ee495; B345e: $parameters = ["\163\151\164\145" => $site, "\144\157\x6d\141\151\156\123\145\x74\164\151\x6e\147\x73\106\157\x72\155" => $domainSettingsForm->createView(), "\163\x69\164\x65\125\163\145\x72\123\x65\164\x74\151\x6e\x67\163\106\x6f\x72\155" => $siteUserSettingsForm->createView(), "\160\x61\x67\145\x53\x70\145\145\144\123\145\x74\164\151\156\x67\x73\x46\157\x72\x6d" => $pageSpeedSettingsForm->createView(), "\x73\x69\164\x65\104\x65\154\145\x74\145\106\157\162\x6d" => $siteDeleteForm->createView()]; goto e23e7; f6a05: Fafd6: goto d95ac; A51c4: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\x73")); goto D99cc; C838b: b9378: goto e8823; a3e98: $nodejsSettingsForm->handleRequest($request); goto f175e; eb0ef: B7c3e: goto d62f2; D29b7: return $response; goto eb0ef; bbf12: $domainSettingsForm->handleRequest($request); goto ee801; Acbb4: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto B9051; e43c1: $siteDeleteForm->handleRequest($request); goto c484e; Ce8a4: C2940: goto a7ddd; db82c: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto E4785; } goto D39cf; Ef0f9: e6a25: goto e0e14; d3339: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto F0481; a939f: $pageSpeedSettingsData = ["\151\163\105\x6e\x61\142\154\145\144" => $site->getPageSpeedEnabled(), "\x73\x65\x74\x74\x69\x6e\147\163" => $site->getPageSpeedSettings()]; goto da900; F0d51: if (!(false === is_null($response))) { goto Ddb49; } goto da06b; Fb29b: $response = null; goto be051; aeecd: c1cff: goto Dca61; D99cc: goto E23db; goto D5538; Efdd3: $nodejsSettings = $site->getNodejsSettings(); goto a02a4; e9a1e: Ee4d5: goto E93f7; c68c3: $phpSettings = $site->getPhpSettings(); goto Ef88c; baafd: Ddb49: goto e9a1e; E1d17: return $response; goto Cb597; E5c60: E1ee3: goto Af6ef; ee801: $siteUserSettingsForm->handleRequest($request); goto e43c1; Af6ef: Ff36b: goto B345e; Dcb5e: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto dec9e; F1015: $siteDeleteData = ["\x64\x6f\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]; goto a939f; Aa0a8: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto daa6a; } goto B093f; Da747: daa6a: goto f2d60; ad8a5: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto Ff36b; } goto bbf12; f175e: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto Ee4d5; } goto e9780; b2b59: $reverseProxySettingsForm->handleRequest($request); goto c80ff; f2d60: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto C2940; } goto Afae5; da900: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto D2c03; fc010: $pythonSettings = $site->getPythonSettings(); goto aa949; aa949: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto db82c; e4e2b: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto eea57; B3a1f: unset($parameters["\160\x61\x67\x65\x53\160\145\x65\x64\x53\x65\x74\x74\x69\x6e\x67\x73\x46\x6f\x72\155"]); goto Fe239; Cb597: } public function purgePageSpeedCache(Request $request) : Response { goto cbd40; Dac5c: e2df8: goto Ce949; Bbee8: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\163")); goto d384d; E7b3b: if (false === is_null($site)) { goto Dc2fc; } goto Bbee8; d384d: goto e2df8; goto C7613; b15f1: return $response; goto Dac5c; Ce949: return $response; goto D2b4f; C7613: Dc2fc: goto b8dd9; cbd40: $site = $this->getSite($request); goto E7b3b; b8dd9: try { goto D8658; A3d67: $siteUpdater->purgePageSpeedCache(); goto f742e; D8658: $user = $this->getUser(); goto A53a9; ba04d: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\x50\x61\147\145\40\x53\x70\x65\145\144\x20\103\141\x63\x68\145\x20\x68\x61\163\x20\x62\x65\145\156\40\x70\165\x72\x67\145\144\x2e")); goto Cbdbc; E81b5: $siteUpdater = $this->getSiteUpdater($site); goto A3d67; A53a9: $session = $request->getSession(); goto E81b5; f742e: $eventData = ["\163\151\164\145" => $site->getDomainName()]; goto a4311; a4311: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto ba04d; Cbdbc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\101\156\x20\145\x72\162\x6f\x72\x20\x68\x61\163\40\x6f\x63\143\165\x72\x72\145\144\54\40\145\162\162\157\x72\x20\x6d\145\163\x73\x61\147\x65\72\40\x25\145\162\162\157\x72\115\145\163\163\x61\147\145\x25", ["\x25\145\x72\162\157\x72\x4d\x65\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Bfc0a; Bfc0a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x5f\x73\145\x74\x74\x69\x6e\x67\x73", ["\x64\x6f\x6d\x61\151\156\116\x61\x6d\145" => $site->getDomainName()])); goto b15f1; D2b4f: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto bc529; c31d4: return $form; goto E3e18; bc529: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\155\134\x53\151\164\x65\104\157\155\x61\x69\x6e\x53\145\x74\164\x69\156\x67\163\124\171\x70\x65", $data, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\163\145\x74\x74\151\156\x67\x73", ["\144\x6f\x6d\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\144" => "\120\117\123\x54", "\141\x74\x74\x72" => []]); goto f76da; f76da: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\141\x73\163" => "\x62\164\x6e\x20\142\164\156\55\142\x6c\165\145\40\142\x74\x6e\x2d\x6c\x67"], "\x6c\141\x62\145\x6c" => "\123\x61\166\145"]); goto c31d4; E3e18: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto bd779; c19b1: return $form; goto edb56; bd779: $form = $this->createForm("\x41\160\x70\134\106\x6f\162\155\x5c\123\x69\164\145\125\163\x65\x72\123\x65\164\x74\151\156\x67\163\x54\x79\x70\145", $data, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\x5f\x73\x65\164\x74\x69\x6e\x67\163", ["\144\x6f\x6d\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\150\157\x64" => "\x50\117\x53\x54", "\141\x74\164\162" => []]); goto a2299; a2299: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\141\164\164\162" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\x6e\40\x62\x74\156\x2d\142\154\165\x65\x20\142\x74\156\55\x6c\147"], "\x6c\141\142\x65\154" => "\123\x61\166\x65"]); goto c19b1; edb56: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto df9f7; dbc75: return $form; goto de14d; df9f7: $form = $this->createForm("\x41\160\x70\134\106\157\162\155\x5c\x53\151\x74\145\120\141\147\x65\x53\160\x65\145\144\123\x65\x74\x74\151\156\x67\x73\124\171\160\145", $data, ["\141\x63\164\151\157\156" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\x5f\163\145\x74\x74\x69\x6e\147\x73", ["\144\157\155\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\x4f\x53\124", "\x61\164\x74\x72" => []]); goto E2c00; E2c00: $form->add("\163\x75\142\155\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\154\141\163\163" => "\x62\x74\x6e\40\142\164\x6e\x2d\x62\154\x75\145\x20\x62\164\x6e\x2d\154\x67"], "\x6c\141\x62\145\x6c" => "\x53\141\166\x65"]); goto dbc75; de14d: } private function createReverseProxySettingsForm(Site $site) : Form { goto F4fed; b466d: $form = $this->createForm("\101\x70\160\134\x46\157\162\155\x5c\x53\151\164\145\x52\x65\166\145\162\163\145\x50\162\157\x78\171\123\x65\164\164\151\x6e\x67\x73\x54\171\x70\145", $data, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\x5f\x73\x65\164\x74\x69\x6e\x67\x73", ["\144\157\x6d\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\157\x64" => "\120\117\x53\x54", "\x61\x74\x74\x72" => ["\x69\x64" => "\162\145\166\x65\162\163\x65\x2d\160\x72\x6f\x78\x79\x2d\x73\145\164\x74\x69\x6e\x67\163\x2d\x66\x6f\x72\x6d"]]); goto ec43a; f1b21: return $form; goto ad336; ec43a: $form->add("\163\165\142\x6d\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\x6c\141\x73\x73" => "\x62\164\156\40\x62\x74\156\x2d\142\x6c\165\x65\x20\x62\x74\156\x2d\x6c\x67"], "\154\141\x62\145\x6c" => "\123\x61\166\145"]); goto f1b21; F4fed: $data = ["\x72\145\x76\145\x72\163\x65\x50\x72\157\170\x79\x55\x72\154" => $site->getReverseProxyUrl()]; goto b466d; ad336: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto B5a06; B5a06: $form = $this->createForm("\x41\160\160\x5c\x46\157\x72\x6d\x5c\123\151\164\x65\x4e\157\x64\145\x6a\x73\123\x65\x74\164\x69\156\x67\x73\x54\x79\160\145", $nodejsSettings, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\143\154\x70\x5f\163\151\164\145\137\x73\x65\164\x74\151\156\147\x73", ["\x64\157\x6d\x61\151\156\x4e\141\155\x65" => $site->getDomainName()]), "\x6d\x65\164\x68\157\144" => "\120\117\123\124", "\x61\164\164\x72" => ["\151\144" => "\156\157\x64\x65\x6a\163\55\x73\x65\x74\164\151\x6e\x67\163\x2d\146\x6f\162\x6d"]]); goto A87f8; Cd27a: return $form; goto E426d; A87f8: $form->add("\x73\x75\142\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\x63\154\141\x73\x73" => "\142\x74\x6e\40\x62\164\156\55\142\x6c\165\x65\40\142\164\156\x2d\154\147"], "\x6c\141\x62\x65\x6c" => "\x53\x61\x76\x65"]); goto Cd27a; E426d: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto f098d; acc9f: return $form; goto Ceeef; f098d: $form = $this->createForm("\x41\x70\160\x5c\106\157\x72\155\134\x53\x69\x74\145\120\150\160\x53\145\x74\164\x69\156\147\163\124\171\160\145", $phpSettings, ["\x61\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\137\163\x69\x74\x65\137\163\145\x74\164\x69\x6e\147\x73", ["\x64\157\155\x61\151\156\116\x61\x6d\x65" => $site->getDomainName()]), "\155\145\x74\150\157\144" => "\x50\117\x53\x54", "\x61\164\164\x72" => []]); goto efc1d; efc1d: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\x73\x73" => "\x62\164\156\x20\x62\164\156\55\x62\x6c\165\145\40\142\x74\156\x2d\154\x67"], "\154\141\x62\x65\154" => "\x53\x61\166\145"]); goto acc9f; Ceeef: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto Cfbd1; C9571: $form->add("\x73\x75\142\155\151\x74", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\x61\163\163" => "\x62\164\156\x20\x62\164\x6e\x2d\142\154\x75\145\40\x62\164\x6e\55\x6c\147"], "\154\141\142\145\x6c" => "\x53\141\x76\145"]); goto Bbc1c; Cfbd1: $form = $this->createForm("\101\x70\160\x5c\x46\x6f\162\x6d\134\x53\151\x74\145\x50\171\x74\x68\157\156\123\x65\x74\164\x69\156\147\x73\124\171\160\145", $pythonSettings, ["\141\x63\x74\x69\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\x69\x74\145\137\163\x65\x74\164\151\x6e\x67\163", ["\x64\157\x6d\141\151\x6e\116\x61\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\x6f\144" => "\120\117\x53\x54", "\x61\164\164\162" => []]); goto C9571; Bbc1c: return $form; goto f5871; f5871: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto ac1b1; d1183: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\x73\163" => "\142\164\x6e\x20\x62\x74\x6e\55\142\x6c\165\145\x20\142\164\x6e\55\154\147", "\x64\x69\163\x61\142\x6c\145\144" => "\x64\151\163\x61\x62\154\145\x64"], "\154\141\x62\x65\x6c" => "\x44\145\x6c\x65\x74\145\x20\x53\x69\164\x65"]); goto ffb39; ac1b1: $form = $this->createForm("\101\x70\160\134\x46\x6f\162\x6d\x5c\123\151\164\x65\x44\145\154\x65\x74\x65\x54\171\x70\145", $data, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\x65\137\x73\x65\x74\164\151\x6e\x67\x73", ["\x64\157\x6d\x61\151\156\116\141\x6d\145" => $site->getDomainName()]), "\155\145\164\150\157\144" => "\x50\117\123\124", "\x61\164\164\162" => []]); goto d1183; ffb39: return $form; goto e2601; e2601: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto Dff75; d6fc8: c8462: goto e9c36; Dff75: if (true === $form->isValid()) { goto c8462; } goto D360d; F950a: goto a77a4; goto d6fc8; D360d: $this->formErrors = $this->getErrorMessages($form); goto F950a; e9c36: try { goto aa985; aa985: $user = $this->getUser(); goto f85cc; Dee3c: $eventData = ["\163\x69\164\x65" => $domainName, "\162\157\x6f\x74\104\151\162\145\x63\x74\x6f\x72\x79" => $rootDirectory]; goto Ccc50; c22b4: return $response; goto F902b; e65f2: if (!(false === is_null($siteEntity))) { goto e0e0f; } goto B3cbc; b37df: $site->setRootDirectory($rootDirectory); goto Ec088; f85cc: $session = $request->getSession(); goto c72d8; Ccc50: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto c911d; a4528: $this->siteEntityManager->updateEntity($siteEntity); goto B2a43; Ec088: $siteEntity->setRootDirectory($rootDirectory); goto a4528; B2a43: $siteUpdater = $this->getSiteUpdater($site); goto c1680; ea095: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\x65\x5f\163\145\164\164\x69\x6e\147\163", ["\144\x6f\155\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto c22b4; c911d: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\122\157\x6f\x74\40\104\x69\x72\x65\143\x74\157\162\x79\40\x68\x61\163\x20\142\145\x65\156\40\x73\141\166\145\x64\x2e")); goto Ad874; B3cbc: $rootDirectory = rtrim($form->get("\x72\x6f\x6f\x74\104\151\x72\145\143\x74\x6f\162\x79")->getData(), "\57"); goto b37df; c72d8: $domainName = $site->getDomainName(); goto Cfdac; c1680: $siteUpdater->domainSettings(); goto Dee3c; Ad874: e0e0f: goto ea095; Cfdac: $siteEntity = $this->getSiteEntity($domainName); goto e65f2; F902b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\101\x6e\40\x65\162\x72\x6f\162\x20\x68\141\163\x20\157\x63\143\x75\162\162\145\144\x2c\40\x65\162\162\157\162\x20\155\x65\x73\x73\x61\x67\x65\x3a\x20\45\x65\x72\162\x6f\x72\x4d\x65\163\x73\141\x67\145\45", ["\45\x65\162\x72\x6f\x72\x4d\145\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto b5d5a; b5d5a: a77a4: goto b4200; b4200: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto F103c; E4de3: try { goto c64c1; Cf6ba: $siteEntity->setSshKeys($sshKeys); goto d7885; D5817: De574: goto A9aa7; f88fb: $domainName = $site->getDomainName(); goto A4835; e5748: if (!(false === empty($password))) { goto edf73; } goto F3fd5; a6e66: $siteUser = $site->getUser(); goto dd040; D83ff: $siteUpdater = $this->getSiteUpdater($site); goto E968c; f2866: $password = trim($form->get("\x70\141\163\163\167\x6f\x72\x64")->getData()); goto Cf6ba; A9aa7: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\x65\x5f\163\145\x74\x74\151\x6e\x67\163", ["\144\x6f\x6d\x61\x69\156\116\x61\x6d\145" => $site->getDomainName()])); goto Eb3b4; f47c4: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\163", $this->translator->trans("\123\151\x74\x65\40\125\163\x65\x72\x20\123\145\164\164\151\156\x67\x73\x20\x68\x61\x76\145\x20\x62\x65\x65\156\x20\163\141\166\145\x64\56")); goto D5817; F3fd5: $siteUpdater->changeUserPassword($siteUser, $password); goto db746; db746: edf73: goto F3ce8; dd040: $sshKeys = trim($form->get("\x73\x73\150\113\145\x79\163")->getData()); goto f2866; A4835: $siteEntity = $this->getSiteEntity($domainName); goto c6643; Acf5a: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto f47c4; c6643: if (!(false === is_null($siteEntity))) { goto De574; } goto a6e66; F3ce8: $eventData = ["\x73\151\x74\145" => $domainName, "\163\x73\x68\x4b\145\x79\163" => $sshKeys]; goto Acf5a; c64c1: $user = $this->getUser(); goto A3a0d; Eb3b4: return $response; goto e1b8e; d7885: $this->siteEntityManager->updateEntity($siteEntity); goto D83ff; A3a0d: $session = $request->getSession(); goto f88fb; E968c: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto e5748; e1b8e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\x6f\x72\40\x68\x61\x73\40\157\x63\x63\x75\x72\162\145\144\x2c\40\x65\162\162\157\162\40\155\145\163\163\141\x67\145\x3a\40\x25\145\162\x72\157\x72\115\145\x73\163\x61\x67\145\x25", ["\45\145\162\162\x6f\x72\x4d\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto F22d8; b368f: goto da78d; goto bfcc4; F22d8: da78d: goto A2834; F103c: if (true === $form->isValid()) { goto f8f08; } goto Fa083; Fa083: $this->formErrors = $this->getErrorMessages($form); goto b368f; bfcc4: f8f08: goto E4de3; A2834: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto da217; C53f2: $this->formErrors = $this->getErrorMessages($form); goto a353f; a353f: goto Bc9a5; goto F7316; F7316: Ee425: goto D86ee; da217: if (true === $form->isValid()) { goto Ee425; } goto C53f2; ebaa1: Bc9a5: goto c0211; D86ee: try { goto Bc7d6; f3ebe: $siteUpdater->purgePageSpeedCache(); goto De7c5; f088f: $site->setPageSpeedSettings($settings); goto da2e6; Bc7d6: $user = $this->getUser(); goto E4237; De7c5: $siteEntity->setPageSpeedEnabled($isEnabled); goto A46ad; B8058: $siteUpdater->updateNginxVhostWithRollback(); goto f3ebe; fe0e9: $site->setPageSpeedEnabled($isEnabled); goto f088f; d50a5: $siteEntity = $this->getSiteEntity($domainName); goto dfc73; F1c06: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto fd0bf; B08f1: a84bb: goto F84ed; Bea60: $settings = trim($form->get("\163\145\164\164\x69\156\147\163")->getData()); goto fe0e9; E4237: $session = $request->getSession(); goto Be37e; F84ed: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x5f\x73\x65\x74\x74\151\x6e\x67\163", ["\144\157\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto Bc692; Ec3a4: $isEnabled = $form->get("\151\163\x45\x6e\x61\142\x6c\x65\x64")->getData(); goto Bea60; fa178: $eventData = ["\x73\151\164\145" => $domainName, "\x70\141\147\145\x53\x70\145\145\144\x45\x6e\x61\142\x6c\x65\x64" => $isEnabled, "\160\x61\x67\x65\123\160\x65\145\x64\123\x65\164\164\151\x6e\147\163" => $settings]; goto F1c06; dfc73: if (!(false === is_null($siteEntity))) { goto a84bb; } goto Ec3a4; Be37e: $domainName = $site->getDomainName(); goto d50a5; fd0bf: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\120\x61\x67\x65\40\x53\x70\x65\x65\x64\40\x53\145\x74\164\151\156\x67\163\x20\150\x61\x76\x65\x20\x62\x65\145\156\x20\163\x61\166\x65\144\x2e")); goto B08f1; da2e6: $siteUpdater = $this->getSiteUpdater($site); goto B8058; b20bf: $this->siteEntityManager->updateEntity($siteEntity); goto fa178; Bc692: return $response; goto a8841; A46ad: $siteEntity->setPageSpeedSettings($settings); goto b20bf; a8841: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\x6e\147\x65\x72", $this->translator->trans("\120\x61\147\145\x53\x70\x65\145\x64\x20\x53\x65\164\164\151\x6e\x67\40\x61\162\x65\40\156\x6f\x74\40\166\x61\x6c\x69\x64\x2c\40\x65\x72\162\157\162\40\155\x65\163\163\141\x67\145\72\40\45\145\x72\162\157\162\115\x65\163\163\141\x67\x65\45", ["\45\145\162\x72\x6f\162\x4d\x65\x73\x73\x61\147\145\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\101\156\x20\145\x72\162\157\162\x20\150\x61\163\40\157\x63\143\165\162\x72\145\144\x2c\40\x65\162\x72\157\x72\40\x6d\x65\x73\x73\x61\147\x65\x3a\x20\45\x65\162\162\157\x72\x4d\x65\163\163\x61\147\x65\45", ["\45\x65\x72\162\157\x72\x4d\x65\163\163\x61\x67\x65\x25" => $e->getMessage()])); } goto ebaa1; c0211: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto df39b; df39b: if (true === $form->isValid()) { goto a578b; } goto D738c; ba9f1: B28cd: goto E53c4; b668f: try { goto c37d3; c37d3: $user = $this->getUser(); goto De07e; E4d37: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto C3c55; E8493: $siteEntity = $this->getSiteEntity($domainName); goto Ab000; Aab4c: return $response; goto E2904; d8857: $siteDeleter->delete(); goto b6734; b6734: $this->siteEntityManager->deleteEntity($siteEntity); goto d241f; De07e: $session = $request->getSession(); goto C9736; C3c55: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\163", $this->translator->trans("\x53\151\x74\145\x20\x68\141\163\40\x62\145\145\156\40\x64\145\154\x65\x74\x65\144\x2e")); goto C93b3; e7a2f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\163")); goto Aab4c; d241f: $eventData = ["\x73\151\x74\145" => $domainName, "\x74\171\x70\x65" => $site->getType()]; goto E4d37; b4d88: $siteDeleter = $this->getSiteDeleter($site); goto d8857; C9736: $domainName = $site->getDomainName(); goto E8493; C93b3: dea05: goto e7a2f; Ab000: if (!(false === is_null($siteEntity))) { goto dea05; } goto b4d88; E2904: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\101\x6e\40\x65\x72\x72\157\162\x20\150\x61\163\x20\157\143\x63\x75\162\162\x65\144\x2c\40\x65\162\x72\157\x72\40\155\x65\163\163\x61\147\x65\x3a\40\x25\145\x72\162\157\162\x4d\145\x73\163\x61\147\x65\45", ["\x25\145\x72\162\157\x72\x4d\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto ba9f1; E2bfe: goto B28cd; goto f66ae; D738c: $this->formErrors = $this->getErrorMessages($form); goto E2bfe; f66ae: a578b: goto b668f; E53c4: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto d7bbc; Af649: try { goto ccb62; a4903: $nodejsSettings = $form->getData(); goto D5284; be9c1: if (!(false === is_null($siteEntity))) { goto Ec17a; } goto a4903; D5284: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto c0550; ef28b: return $response; goto ec430; aa758: $siteUpdater = $this->getSiteUpdater($site); goto c2c37; A4e4c: $session = $request->getSession(); goto C597e; b8ca9: $siteUpdater->nodejsSettings(); goto db607; c2c37: if (!(true === $hasNodejsVersionChanged)) { goto C179f; } goto f498c; Bb29d: $siteEntity = $this->getSiteEntity($domainName); goto be9c1; c382b: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto c67b0; e1a56: Ec17a: goto C9e32; c67b0: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\x73", $this->translator->trans("\116\157\144\x65\x2e\152\x73\40\123\145\x74\x74\151\156\x67\x73\40\x68\x61\x76\x65\x20\142\x65\145\x6e\x20\163\141\166\x65\x64\x2e")); goto e1a56; ccb62: $user = $this->getUser(); goto A4e4c; f498c: $siteUpdater->installNodejsVersion(); goto Ad15e; db607: $this->siteEntityManager->updateEntity($siteEntity); goto Ab313; C9e32: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\x73\145\164\x74\x69\x6e\147\x73", ["\x64\157\155\141\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto ef28b; Ab313: $eventData = ["\163\151\164\145" => $domainName, "\156\x6f\x64\x65\x6a\x73\x56\145\162\163\x69\x6f\x6e" => $nodejsVersion, "\x70\157\x72\164" => $nodejsSettings->getPort()]; goto c382b; c0550: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto aa758; C597e: $domainName = $site->getDomainName(); goto Bb29d; Ad15e: C179f: goto b8ca9; ec430: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\162\x6f\162\x20\x68\141\x73\x20\157\x63\143\x75\x72\x72\x65\144\54\x20\145\162\x72\x6f\162\40\x6d\x65\x73\163\141\147\x65\72\40\x25\x65\162\x72\x6f\162\115\x65\163\x73\x61\147\145\45", ["\x25\145\x72\x72\157\162\x4d\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto A4570; D9065: a6d02: goto Af649; A4570: df448: goto e01e5; C9234: goto df448; goto D9065; d7bbc: if (true === $form->isValid()) { goto a6d02; } goto E5781; E5781: $this->formErrors = $this->getErrorMessages($form); goto C9234; e01e5: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto aea8d; aea8d: if (true === $form->isValid()) { goto Dd1d8; } goto c6506; d3de0: try { goto A1434; C77f4: $pythonVersion = $pythonSettings->getPythonVersion(); goto F0a23; ff93f: if (!(false === is_null($siteEntity))) { goto f6706; } goto C584c; Bed11: $siteEntity = $this->getSiteEntity($domainName); goto ff93f; D5ff2: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\120\171\x74\150\x6f\x6e\x20\x53\145\164\x74\x69\156\x67\x73\40\150\141\x76\x65\40\x62\145\x65\156\x20\x73\141\166\x65\x64\56")); goto c3636; f8b49: $siteUpdater->pythonSettings(); goto d50ee; A1434: $user = $this->getUser(); goto E4197; cddd1: $siteUpdater->writePythonVersionFile(); goto f8b49; eee1d: return $response; goto A9f45; E4197: $session = $request->getSession(); goto bcf21; Fd5d1: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\137\x73\x65\x74\x74\x69\x6e\x67\163", ["\x64\x6f\155\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto eee1d; d50ee: $this->siteEntityManager->updateEntity($siteEntity); goto cc681; c3636: f6706: goto Fd5d1; F0a23: $siteUpdater = $this->getSiteUpdater($site); goto cddd1; bcf21: $domainName = $site->getDomainName(); goto Bed11; cc681: $eventData = ["\163\x69\x74\145" => $domainName, "\x70\171\x74\x68\157\156\126\145\x72\163\151\157\x6e" => $pythonVersion, "\160\157\162\164" => $pythonSettings->getPort()]; goto f63db; f63db: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto D5ff2; C584c: $pythonSettings = $form->getData(); goto C77f4; A9f45: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\x72\x20\x68\141\163\x20\x6f\143\x63\165\162\162\145\x64\54\40\x65\162\x72\x6f\162\40\155\x65\x73\x73\141\x67\x65\72\40\45\145\x72\x72\157\x72\x4d\x65\163\x73\141\147\145\45", ["\x25\145\162\162\157\162\115\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto Ff008; F970b: Dd1d8: goto d3de0; de9e6: goto ab7a3; goto F970b; Ff008: ab7a3: goto F4356; c6506: $this->formErrors = $this->getErrorMessages($form); goto de9e6; F4356: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto Fafc0; be507: try { goto Edc86; A90af: if (!(false === is_null($siteEntity))) { goto a1cf0; } goto c5580; d8d72: $siteUpdater->updateNginxVhostWithRollback(); goto cd727; c5580: $reverseProxyUrl = $form->get("\162\145\x76\145\162\x73\145\120\162\x6f\170\171\x55\x72\x6c")->getData(); goto cda20; Bc306: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\x74\x65\x5f\x73\x65\x74\164\151\156\147\x73", ["\x64\x6f\155\141\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto A8b03; ddf55: $siteUpdater = $this->getSiteUpdater($site); goto d8d72; Edc86: $user = $this->getUser(); goto Dadc9; A8b03: return $response; goto d9164; ebe72: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto B54b0; Fb5cf: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto ddf55; B54b0: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\x52\x65\x76\x65\162\163\x65\x20\x50\162\157\170\x79\40\x53\145\164\164\x69\156\147\x73\x20\150\x61\x76\x65\40\142\145\x65\x6e\x20\x73\141\x76\145\x64\x2e")); goto dc048; C8d24: $siteEntity = $this->getSiteEntity($domainName); goto A90af; cc31e: $eventData = ["\x73\151\x74\145" => $domainName, "\x72\x65\166\145\x72\163\145\x50\162\x6f\170\x79\125\162\x6c" => $reverseProxyUrl]; goto ebe72; dc048: a1cf0: goto Bc306; cda20: $site->setReverseProxyUrl($reverseProxyUrl); goto Fb5cf; Dadc9: $session = $request->getSession(); goto A4999; A4999: $domainName = $site->getDomainName(); goto C8d24; cd727: $this->siteEntityManager->updateEntity($siteEntity); goto cc31e; d9164: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\101\156\40\145\162\162\x6f\162\40\150\141\x73\40\x6f\143\143\x75\x72\x72\145\144\x2c\x20\x65\162\162\x6f\162\x20\x6d\145\x73\163\x61\147\145\x3a\40\45\x65\162\x72\157\162\x4d\x65\x73\x73\141\x67\145\x25", ["\45\x65\162\162\157\162\x4d\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto A4120; Fafc0: if (true === $form->isValid()) { goto d8836; } goto c551f; c551f: $this->formErrors = $this->getErrorMessages($form); goto f28ed; f28ed: goto Cd5af; goto E0bcb; E0bcb: d8836: goto be507; A4120: Cd5af: goto Ed524; Ed524: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto B4e4c; c2524: f73c7: goto A5159; e725c: cd51c: goto ef634; B4e4c: if (true === $form->isValid()) { goto f73c7; } goto de0f9; C2f83: goto cd51c; goto c2524; A5159: try { goto b869a; a4059: return $response; goto Fed16; b869a: $user = $this->getUser(); goto c026f; A0f89: if (!(true === $hasPhpVersionChanged)) { goto Ae776; } goto dd961; E7f53: $domainName = $site->getDomainName(); goto F30f5; f53b6: Aba06: goto B0d99; C7c8b: $this->siteEntityManager->updateEntity($siteEntity); goto d5a8b; Dc030: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\120\x48\x50\x20\x53\x65\x74\164\x69\x6e\147\x73\x20\150\141\x76\x65\40\142\x65\145\x6e\40\163\x61\166\145\x64\56")); goto f53b6; d8d57: $phpSettings = $form->getData(); goto Ea37a; c7062: if (!(false === is_null($siteEntity))) { goto Aba06; } goto d8d57; F30f5: $siteEntity = $this->getSiteEntity($domainName); goto c7062; Efec7: $siteUpdater->phpSettings(); goto C7c8b; f45a7: $siteUpdater = $this->getSiteUpdater($site); goto A0f89; ab01a: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Dc030; f109c: Ae776: goto Efec7; d5a8b: $eventData = ["\x73\151\164\x65" => $domainName, "\x70\x68\160\126\145\162\x73\151\157\x6e" => $phpSettings->getPhpVersion(), "\x6d\145\155\157\x72\171\x5f\154\x69\x6d\151\164" => $phpSettings->getMemoryLimit(), "\x6d\141\170\137\x65\x78\145\143\x75\x74\151\x6f\x6e\137\x74\x69\155\x65" => $phpSettings->getMaxExecutionTime(), "\155\x61\x78\x5f\x69\x6e\160\165\164\137\164\x69\155\x65" => $phpSettings->getMaxInputTime(), "\155\141\170\x5f\151\156\x70\165\164\137\166\x61\x72\163" => $phpSettings->getMaxInputVars(), "\x70\157\x73\x74\137\x6d\141\x78\x5f\163\151\x7a\x65" => $phpSettings->getPostMaxSize(), "\165\160\x6c\x6f\x61\x64\x5f\155\x61\170\x5f\146\x69\x6c\x65\163\151\172\x65" => $phpSettings->getUploadMaxFileSize()]; goto ab01a; dd961: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto f109c; Ea37a: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto f45a7; B0d99: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\145\x5f\x73\x65\x74\x74\x69\156\x67\x73", ["\x64\157\155\x61\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto a4059; c026f: $session = $request->getSession(); goto E7f53; Fed16: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\162\157\x72\40\150\x61\x73\x20\157\x63\x63\165\x72\x72\x65\x64\54\40\145\x72\162\157\162\40\155\x65\163\x73\141\x67\x65\72\40\45\145\162\162\x6f\162\x4d\x65\x73\163\141\x67\145\45", ["\45\145\x72\x72\157\x72\115\145\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto e725c; de0f9: $this->formErrors = $this->getErrorMessages($form); goto C2f83; ef634: } private function getSite(Request $request) : ?Site { goto De845; b48d5: cda66: goto F05fa; E4c8f: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto A023b; C201d: $site->setSubdomain($subdomain); goto E1225; F05fa: return $site; goto d1d49; e70e9: $site->setSshUsers($siteEntity->getSshUsers()); goto Ddffe; Ba0e3: C57a7: goto b48d5; acc04: if (!(false === is_null($siteEntity))) { goto cda66; } goto B1e0e; A2b91: return null; goto E7a7a; Aad0f: A9d1a: goto da8b2; B1e0e: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto a5f45; } goto A2b91; b90df: $site->setFtpUsers($siteEntity->getFtpUsers()); goto e70e9; E4719: $site->setBlockedBots($siteEntity->getBlockedBots()); goto eccd2; cbf1e: $site->setUser($siteEntity->getUser()); goto db3ba; E1225: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Ac714; ad08e: $domainName = $request->get("\x64\157\x6d\x61\151\156\x4e\141\155\145"); goto c577c; F73a1: $subdomain = false === empty($subdomain) ? $subdomain : null; goto cd874; A023b: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Ba0e3; E172a: $siteType = $siteEntity->getType(); goto aa7f2; A91b6: $site->setCronJobs($siteEntity->getCronJobs()); goto b90df; C98d8: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto e15f7; Ad976: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto e7b89; c1e9c: $site->setRegistrableDomain($registrableDomain); goto C201d; b7dcd: $site = null; goto acc04; F5ce5: $site->setDatabases($siteDatabases); goto A4e6e; aa7f2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto F6de0; Fe2f4: goto b71f6; goto Ce182; C00de: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto Fe2f4; F6de0: $site = new NodejsSite(); goto C00de; Ce182: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto b71f6; case SiteEntity::TYPE_PHP: goto bae79; Ab303: goto b71f6; goto ae8f6; bae79: $site = new PhpSite(); goto febac; f4d8f: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Ab303; febac: $site->setPhpSettings($siteEntity->getPhpSettings()); goto f4d8f; ae8f6: case SiteEntity::TYPE_PYTHON: goto f8d3d; fbd03: goto b71f6; goto f8aae; Fd402: $site->setPythonSettings($siteEntity->getPythonSettings()); goto fbd03; f8d3d: $site = new PythonSite(); goto Fd402; f8aae: case SiteEntity::TYPE_REVERSE_PROXY: goto b532b; B4678: goto b71f6; goto cb535; d823d: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto B4678; b532b: $site = new ReverseProxySite(); goto d823d; cb535: } goto Aad0f; Ac714: $site->setBasicAuth($siteEntity->getBasicAuth()); goto E4719; d0d60: $site->setCertificates($siteEntity->getCertificates()); goto A91b6; eccd2: $site->setBlockedIps($siteEntity->getBlockedIps()); goto F5ce5; cc860: if (!(false === is_null($site))) { goto C57a7; } goto Ad976; e15f7: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto E4c8f; De845: $user = $this->getUser(); goto ad08e; db3ba: $site->setDomainName($siteEntity->getDomainName()); goto c1e9c; e7b89: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto f70b2; c577c: $siteEntity = $this->getSiteEntity($domainName); goto b7dcd; cd874: $siteDatabases = $this->getSiteDatabases($siteEntity); goto cbf1e; da8b2: b71f6: goto cc860; f70b2: $subdomain = $resolvedDomainName->subDomain()->toString(); goto F73a1; A4e6e: $site->setCertificate($siteEntity->getCertificate()); goto d0d60; E7a7a: a5f45: goto E172a; Ddffe: $site->setSshKeys($siteEntity->getSshKeys()); goto C98d8; d1d49: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto be4bf; b41ef: B3b8d: goto d61b3; d1257: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E4dda; Cf0e1: foreach ($databaseEntities as $databaseEntity) { goto bb756; Ca25e: Ec52b: goto d898b; F050a: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto Ec52b; } goto Bb81d; Bb81d: $siteDatabases->add($databaseEntity); goto Ca25e; d898b: c0a78: goto F5f14; bb756: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto F050a; F5f14: } goto b41ef; be4bf: $siteDatabases = new ArrayCollection(); goto d1257; E4dda: $databaseEntities = $siteEntity->getDatabases(); goto Cf0e1; d61b3: return $siteDatabases; goto f6fc4; f6fc4: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto a12bd; D3e0f: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto d24a5; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto d24a5; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto d24a5; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto d24a5; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto d24a5; } goto Defc7; a12bd: $siteUpdater = null; goto ba31d; Defc7: d9086: goto a3c35; ba31d: $siteType = $site->getType(); goto D3e0f; A5bda: return $siteUpdater; goto cd363; a3c35: d24a5: goto A5bda; cd363: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto C281c; c6808: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto b623e; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto b623e; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto b623e; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto b623e; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto b623e; } goto f8847; A115a: b623e: goto E36f2; bf76e: $siteType = $site->getType(); goto c6808; E36f2: return $siteDeleter; goto B0d20; f8847: bd00d: goto A115a; C281c: $siteDeleter = null; goto bf76e; B0d20: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
