<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\164\x74\160\x73\72\x2f\x2f\144\x33\161\x6e\144\x35\x34\161\x38\147\x62\x33\x6a\145\56\x63\x6c\x6f\x75\x64\x66\x72\x6f\156\x74\56\x6e\145\x74\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto C2a57; Af1d6: $this->twig = $twig; goto B3967; b1fdc: $this->databaseServerManager = $databaseServerManager; goto F0a32; F0a32: $this->userManager = $userManager; goto C7f7c; C2a57: $this->configManager = $configManager; goto b1fdc; C7f7c: $this->cachePool = $cachePool; goto Af1d6; B3967: } public function onKernelRequest(RequestEvent $event) : void { goto a0663; F7f46: return; goto f001f; a0663: if (!(false === $event->isMainRequest())) { goto C860b; } goto F7f46; a0546: $this->initialize($event); goto B0609; f001f: C860b: goto a0546; B0609: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto e1ae6; B1348: $this->initialize($event); goto a3991; Fe233: if (!$command instanceof Command) { goto Ac07b; } goto B1348; e1ae6: $command = $event->getCommand(); goto Fe233; a3991: Ac07b: goto Cf6b8; Cf6b8: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto e41b6; F1732: $this->setInstanceUid(); goto e9860; fa91e: $this->setDatabaseServer($event); goto e90b6; a2c4a: $this->setLetsEncryptPrivateKey(); goto fa91e; A6eae: $this->setCloudPanelReleaseChannel(); goto a2c4a; e9860: $this->setCloudPanelVersion(); goto A6eae; e41b6: $this->setTimezone(); goto F1732; e90b6: $this->setEnvironment($event); goto A69e9; A69e9: } private function setTimezone() : void { goto Def94; a6f04: $this->configManager->set("\164\x69\x6d\x65\x7a\157\156\x65", "\x55\x54\103"); goto c5836; bdc79: if (!(true === is_null($timezone))) { goto f3f8b; } goto a6f04; c5836: f3f8b: goto f2ada; Def94: $timezone = $this->configManager->get("\x74\151\155\x65\x7a\x6f\156\x65"); goto bdc79; f2ada: } private function setInstanceUid() : void { goto e8022; ad3dc: e0389: goto ef418; b0ede: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto Ee546; Eecaa: if (!(true === is_null($instanceUid))) { goto e0389; } goto b0ede; Ee546: $this->configManager->set("\151\156\x73\164\x61\156\143\x65\137\165\151\144", $instanceUid); goto ad3dc; e8022: $instanceUid = $this->configManager->get("\x69\x6e\163\164\x61\156\143\x65\137\165\x69\x64"); goto Eecaa; ef418: } private function setCloudPanelVersion() : void { goto f977f; f977f: $appVersion = $_ENV["\x41\120\x50\137\x56\105\122\123\x49\117\x4e"] ?? null; goto e7dde; F9942: $this->configManager->set("\x61\x70\160\137\166\145\x72\163\x69\x6f\x6e", trim($appVersion)); goto C0a92; e7dde: if (!(false === is_null($appVersion))) { goto deef5; } goto F9942; C0a92: deef5: goto a8189; a8189: } private function setCloudPanelReleaseChannel() : void { goto ae34f; A7c4d: Fae89: goto a148d; E438c: $this->configManager->set("\162\145\154\x65\141\163\145\137\143\150\141\x6e\x6e\x65\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto A7c4d; ae34f: $releaseChannel = $this->configManager->get("\x72\x65\154\x65\x61\163\x65\x5f\x63\x68\141\156\156\x65\x6c"); goto d1c04; d1c04: if (!(true === is_null($releaseChannel))) { goto Fae89; } goto E438c; a148d: } private function setLetsEncryptPrivateKey() { goto ea60b; F9941: b173b: goto a1fce; Dbff4: if (!(true === is_null($letsEncryptPrivateKey))) { goto c0eaf; } goto be651; A2af8: c0eaf: goto F9941; e5397: if (!(0 < $numberOfUsers)) { goto b173b; } goto e844a; be651: $rsaKeyGenerator = new RsaKeyGenerator(); goto fe9fe; fe9fe: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Eaa66; e844a: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\137\160\x72\151\166\141\164\145\x5f\153\145\x79"); goto Dbff4; ea60b: $numberOfUsers = $this->userManager->countAll(); goto e5397; Eaa66: $this->configManager->set("\154\x65\137\x70\x72\x69\x76\141\x74\145\x5f\153\145\x79", $privateKey->getPEM()); goto A2af8; a1fce: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto f1c97; F5cd3: if (!("\x64\x65\x76" != $_ENV["\101\x50\120\137\105\116\x56"])) { goto e1193; } goto ccef3; D1820: $tmpDatabaseServer->setPassword("\162\157\157\x74"); goto dd552; a046c: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto E0b80; A2061: $databaseServer->setIsDefault(true); goto bd458; c716b: $databaseServer->setUserName("\x72\157\157\164"); goto f4af4; c12f6: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto b1e08; } goto baa1b; baa1b: if ("\144\x65\166" == $_ENV["\101\x50\120\137\x45\x4e\126"]) { goto F24f2; } goto Ef7fb; C1459: $this->databaseServerManager->updateEntity($databaseServer); goto aef20; e4042: $databaseServer->setIsActive(true); goto A2061; d933f: $password = "\x72\x6f\x6f\x74"; goto add5e; f1c97: $numberOfUsers = $this->userManager->countAll(); goto b5abb; abe13: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto e4042; aef20: b1e08: goto D304e; De9a6: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto F190c; b5abb: $databaseServers = $this->databaseServerManager->findAll(); goto c12f6; f4af4: $databaseServer->setPassword(Crypto::encrypt("\162\x6f\x6f\x74")); goto abe13; add5e: E3dcb: goto be166; be166: $encryptedPassword = Crypto::encrypt($password); goto F82f8; Ce632: $databaseServer->setPassword($encryptedPassword); goto F5cd3; D727c: $databaseServer->setEngine($databaseConnection->getEngine()); goto Db001; bd458: $databaseConnection = new DatabaseConnection($databaseServer); goto D727c; Db001: $databaseServer->setVersion($databaseConnection->getVersion()); goto Ce632; E0b80: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto edb4f; E36a8: goto E3dcb; goto E7264; F82f8: $databaseServer = $this->databaseServerManager->createEntity(); goto A2a0c; edb4f: e1193: goto C1459; A0b8c: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto a046c; ccef3: $tmpDatabaseServer = clone $databaseServer; goto D1820; dd552: $commandExecutor = new CommandExecutor(); goto De9a6; A2a0c: $databaseServer->setHost("\x31\x32\x37\x2e\x30\x2e\60\56\61"); goto c716b; F190c: $changeDatabaseUserPasswordCommand->setUserName("\x72\157\157\x74"); goto A0b8c; db468: $password = $passwordGenerator->generate(); goto E36a8; E7264: F24f2: goto d933f; Ef7fb: $passwordGenerator = new PasswordGenerator(); goto db468; D304e: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto f820d; b35d8: B48b4: goto e3548; a219d: $instance->setHostname($hostname); goto Bd288; a8bf7: if (!(false === is_null($instanceUid))) { goto B48b4; } goto d91c7; C39c7: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto A247d; E3cd7: if (!("\144\x65\166" == $_ENV["\101\x50\x50\137\x45\x4e\126"])) { goto e2e97; } goto f8611; b9e34: $region = $_ENV["\x44\105\x56\x5f\x41\127\123\137\122\105\x47\x49\x4f\116"] ?? ''; goto Ea7b2; fe193: $instance->setInstanceType("\164\63\56\170\x6c\141\162\147\x65"); goto D8bd0; Ea7b2: $instance->setInstanceId($instanceId); goto fe193; f8611: $instanceId = $_ENV["\x44\105\126\x5f\x41\x57\123\x5f\111\x4e\x53\124\x41\x4e\x43\x45\x5f\111\104"] ?? ''; goto b9e34; A247d: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto d1a1f; e40b7: e2e97: goto b27ca; b27ca: goto e6d6e; goto B660f; d1a1f: $instance = new AwsInstance(); goto E3cd7; D8bd0: $instance->setRegion($region); goto e40b7; B660f: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto Ed60f; e6ef8: $region = $_ENV["\104\x45\126\x5f\x44\x4f\137\x52\x45\107\111\117\116"] ?? ''; goto F3e9e; F0457: if (!("\144\145\x76" == $_ENV["\x41\x50\120\x5f\x45\116\x56"])) { goto a6343; } goto Bedbe; b1681: $instance->setRegion($region); goto ac785; F3e9e: $instance->setDropletId($dropletId); goto b1681; C2e97: a6343: goto ed6f9; F695e: e3770: goto c0c2c; c0c2c: $instance = new DoInstance($doClient); goto b9a72; dcd9c: $token = $this->configManager->get("\x64\157\x5f\141\x63\x63\145\163\x73\x5f\164\x6f\x6b\145\x6e"); goto a08c0; ed6f9: goto e6d6e; goto cbba9; Ed60f: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto d1a2e; d1a2e: $doClient = new DoClient(); goto dcd9c; b9a72: $doClient->setInstance($instance); goto F0457; ac785: $instance->setFloatingIp("\61\62\x37\x2e\60\56\60\56\61"); goto cfb57; cfb57: $instance->setIpv4PublicIp("\x31\62\67\56\60\x2e\60\x2e\61"); goto C2e97; a08c0: if (!(false === is_null($token))) { goto e3770; } goto C6e60; C6e60: $doClient->setToken($token); goto F695e; Bedbe: $dropletId = $_ENV["\104\x45\x56\137\104\x4f\137\x44\122\117\120\x4c\105\x54\x5f\111\x44"] ?? ''; goto e6ef8; cbba9: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto Dae19; b526d: goto e6d6e; goto Df4dd; E96a2: bba2a: goto b526d; C0fe1: $projectId = $_ENV["\x44\x45\126\x5f\x47\x43\105\137\x50\122\117\x4a\105\103\x54\137\x49\x44"] ?? ''; goto e2d7c; C39c3: $instance->setIpv4PublicIp("\x31\62\67\x2e\x30\56\x30\x2e\x31"); goto Ed979; a0e5e: $gceClient->setGceInstance($instance); goto c0db0; B392b: $instance->setZone($zone); goto E96a2; e2d7c: $instanceId = $_ENV["\x44\x45\x56\137\x47\103\105\137\x49\116\123\x54\x41\116\103\x45\137\x49\104"] ?? ''; goto Ceff5; E5733: $gceClient->setAuthConfig($serviceAccountKeys); goto ac8eb; Ceff5: $instanceName = $_ENV["\x44\x45\x56\x5f\x47\x43\105\x5f\x49\x4e\123\124\x41\x4e\x43\x45\137\116\x41\115\105"] ?? ''; goto a53dd; ad788: $gceClient = new GceClient(); goto e5d4a; Fde41: $instance->setInstanceName($instanceName); goto Bad73; Fe5a9: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto E5733; Ed979: $instance->setProjectId($projectId); goto c7777; c7777: $instance->setInstanceId($instanceId); goto Fde41; D422a: $instance = new GceInstance($gceClient); goto a0e5e; E7c62: if (!(false === is_null($serviceAccountKeys))) { goto D6462; } goto Fe5a9; d7854: $zone = $_ENV["\x44\105\x56\137\107\x43\105\137\132\x4f\116\105"] ?? ''; goto C39c3; ac8eb: D6462: goto D422a; e5d4a: $serviceAccountKeys = $this->configManager->get("\x67\143\x65\x5f\163\145\x72\166\x69\x63\x65\x5f\141\143\143\x6f\165\156\164\x5f\x6b\x65\171\x73"); goto E7c62; a53dd: $machineType = $_ENV["\104\x45\126\x5f\107\x43\x45\x5f\x4d\101\103\x48\111\x4e\x45\x5f\124\x59\120\x45"] ?? ''; goto d7854; c0db0: if (!("\x64\x65\166" == $_ENV["\101\120\120\137\x45\x4e\x56"])) { goto bba2a; } goto C0fe1; Dae19: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto ad788; Bad73: $instance->setMachineType($machineType); goto B392b; Df4dd: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto Ab411; F9601: $instanceId = $_ENV["\104\x45\126\x5f\x48\105\124\132\116\105\x52\x5f\111\x4e\x53\x54\x41\x4e\103\x45\x5f\x49\x44"] ?? ''; goto e7365; a6b5e: e5413: goto bdacb; fc497: f0ed7: goto C2543; de714: $instance->setInstanceId($instanceId); goto a6b5e; C2543: $instance = new HetznerInstance($hetznerClient); goto d60bb; bdacb: goto e6d6e; goto Ac293; Eff56: if (!("\144\145\x76" == $_ENV["\x41\x50\120\137\105\x4e\126"])) { goto e5413; } goto F9601; d60bb: $hetznerClient->setInstance($instance); goto Eff56; Ab411: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto d2d75; C48ea: $apiToken = $this->configManager->get("\x68\145\164\172\156\x65\x72\x5f\x61\x70\151\137\164\x6f\153\145\x6e"); goto F3c81; f241c: $hetznerClient->setToken($apiToken); goto fc497; e7365: $instance->setIpv4PublicIp("\61\x32\x37\56\60\56\x30\x2e\x31"); goto de714; F3c81: if (!(false === is_null($apiToken))) { goto f0ed7; } goto f241c; d2d75: $hetznerClient = new HetznerClient(); goto C48ea; Ac293: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto D7c74; D7c74: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto db00f; a9d3c: eb2bf: goto F9382; db00f: $vultrClient = new VultrClient(); goto Ee347; C4cff: $vultrClient->setApiKey($apiKey); goto Eba80; bb774: $instance = new VultrInstance($vultrClient); goto D1fe3; E18a3: if (!(false === is_null($apiKey))) { goto A82a4; } goto C4cff; E0f04: $instance->setInstanceId($instanceId); goto a9d3c; Ee347: $apiKey = $this->configManager->get("\x76\165\154\x74\x72\137\x61\160\151\x5f\153\145\x79"); goto E18a3; Eba80: A82a4: goto bb774; Ec8ed: $instance->setIpv4PublicIp($ipv4PublicIp); goto E0f04; Bec7a: $ipv4PublicIp = $_ENV["\104\x45\126\137\x56\125\x4c\124\122\x5f\x49\120\x5f\126\64\137\120\x55\x42\114\111\103"] ?? "\61\62\x37\x2e\x30\56\60\56\61"; goto Ec8ed; F9382: goto e6d6e; goto Bc3c6; a56ee: $instanceId = $_ENV["\104\105\x56\x5f\126\125\114\x54\122\x5f\111\116\x53\124\x41\x4e\x43\x45\x5f\111\x44"] ?? ''; goto Bec7a; D1fe3: $vultrClient->setVultrInstance($instance); goto Cf5fb; Cf5fb: if (!("\144\x65\x76" == $_ENV["\101\x50\120\x5f\x45\x4e\x56"])) { goto eb2bf; } goto a56ee; Bc3c6: default: $instance = new Instance(); goto e6d6e; } goto da944; Ab72d: $ipv4PublicIp = ''; goto bb16e; D4fa5: $command->setInstance($instance); goto f3dd3; F06dc: $request->attributes->set("\x69\163\104\141\162\x6b\x4d\157\x64\x65", $isDarkMode); goto c6d69; Bab24: $request = $event->getRequest(); goto Cd4bc; Cd0a7: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto d3f07; f3dd3: goto A848c; goto c9a53; c9a53: eda20: goto Bab24; dd51e: $this->twig->addGlobal("\x69\x73\x44\141\162\153\x4d\x6f\x64\145", $isDarkMode); goto A4dd5; da944: b951d: goto f7dcc; Dc5ab: $environment = new CloudPanelEnvironment(); goto C39c7; D80a9: $instanceUid = $this->configManager->get("\151\156\163\164\141\x6e\143\x65\x5f\165\151\144"); goto a8bf7; c6d69: $this->twig->addGlobal("\x69\x6e\x73\164\x61\156\x63\145", $instance); goto dd51e; A4dd5: A848c: goto b85e3; Cd4bc: $host = $request->getHost(); goto Ee29f; b4ef6: $request->attributes->set("\151\x6e\163\164\141\x6e\143\x65", $instance); goto F06dc; Dbdea: $hostname = gethostname(); goto a219d; f820d: $cloud = $this->configManager->get("\143\x6c\157\x75\144"); goto Dc5ab; f7dcc: e6d6e: goto D80a9; F26f8: $instance->setIpv4PublicIp($ipv4PublicIp); goto C897b; Ee29f: $isDarkMode = false === is_null($request->cookies->get("\164\150\145\x6d\145")) && "\144\x61\162\153" == $request->cookies->get("\x74\150\145\x6d\145") ? true : false; goto Cd0a7; C897b: F0cfd: goto b4ef6; bdb3e: $command = $event->getCommand(); goto D4fa5; d3f07: if (!(true === empty($ipv4PublicIp))) { goto F0cfd; } goto Ab72d; bb16e: try { $ipv4PublicIp = $this->cachePool->get("\x69\x70\x76\x34\137\x70\165\142\x6c\x69\x63\x5f\151\160", function (ItemInterface $item) { goto B8878; Df11b: return $ipv4PublicIp; goto bf24d; c6363: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto a855c; B0f20: $ipv4PublicIp = trim((string) $response->getBody()); goto Adc61; b8204: $config = ["\164\151\155\145\157\165\x74" => 5, "\166\x65\x72\151\x66\x79" => false, "\x68\145\x61\x64\145\x72\163" => ["\125\163\145\162\55\101\x67\x65\x6e\164" => "\x43\x6c\157\x75\144\120\x61\x6e\x65\154\x20\x76\62"]]; goto f2c63; cdae7: if (!(200 == $responseStatusCode)) { goto a660d; } goto B0f20; Cf132: $ipv4PublicIp = null; goto b8204; Adc61: a660d: goto Df11b; f2c63: $httpClient = new HttpClient($config); goto d57e2; a855c: $responseStatusCode = $response->getStatusCode(); goto cdae7; B8878: $item->expiresAfter(3600); goto Cf132; d57e2: $request = new Request("\107\105\x54", self::IP_REQUEST_URL); goto c6363; bf24d: }); } catch (\Exception $e) { } goto F26f8; e3548: $instance->setEnvironment($environment); goto Dbdea; Bd288: if ($event instanceof RequestEvent) { goto eda20; } goto bdb3e; d91c7: $instance->setUid($instanceUid); goto b35d8; b85e3: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\157\x6e\113\x65\x72\x6e\145\154\x52\145\161\x75\145\x73\x74", 25]], ConsoleEvents::COMMAND => [["\157\x6e\103\x6f\156\163\157\154\145\x43\x6f\x6d\x6d\141\156\144", 25]]]; } }
