<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto B6bdf; A6e92: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto C952e; Fc099: $this->addProcessor($redirectServerNameProcessor); goto B19e5; a47ce: $serverNameProcessor = new ServerNameProcessor(); goto B70a6; c6644: $this->addProcessor($serverNameProcessor); goto Fc099; cbea4: $redirectDomainProcessor = new RedirectDomainProcessor(); goto A6e92; B19e5: $this->addProcessor($redirectDomainProcessor); goto Af0a3; B6bdf: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto a47ce; badd1: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto Cd883; C952e: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto badd1; Cd883: $certificateProcessor = new NginxCertificateProcessor(); goto aeb64; B70a6: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto cbea4; C2beb: $this->addProcessor($settingsProcessor); goto d55b4; a96ad: $this->addProcessor($certificateKeyProcessor); goto C05dc; b5346: $this->addProcessor($nginxErrorLogProcessor); goto a96ad; C05dc: $this->addProcessor($certificateProcessor); goto C2beb; aeb64: $settingsProcessor = new SettingsProcessor(); goto f9985; f9985: $this->addProcessor($rootDirectoryProcessor); goto c6644; Af0a3: $this->addProcessor($nginxAccessLogProcessor); goto b5346; d55b4: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto c454c; b6495: C3307: goto c2b3b; e6300: $placeholders = $this->getPlaceholders(); goto ac8da; ac8da: foreach ($placeholders as $placeholder) { goto fdb1c; d93d0: if (!(true === $hasProcessor)) { goto dab94; } goto F3980; Ad879: $this->content = $processor->process($this->content); goto Aaac3; Bcd7a: $processor->setSite($this->site); goto Ad879; fdb1c: $hasProcessor = $this->hasProcessor($placeholder); goto d93d0; aa2eb: Db163: goto a1184; Dfe80: dab94: goto aa2eb; Aaac3: $this->removePlaceholder($placeholder); goto Dfe80; F3980: $processor = $processors[$placeholder]; goto Bcd7a; a1184: } goto b6495; c454c: $processors = $this->getProcessors(); goto e6300; c2b3b: } public function removeEmptyPlaceholders() : void { goto Ab380; Ab380: $placeholders = $this->getPlaceholders(); goto A0368; A0368: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); A6ff0: } goto c2c86; c2c86: bcd3d: goto b192e; b192e: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto ba08c; f6442: return $this->placeholders; goto Ff9f1; ce520: foreach ($placeholders as $placeholder) { goto F2de6; E5644: if (!(false === empty($placeholder))) { goto D929f; } goto b5bdb; F2de6: $placeholder = trim($placeholder); goto E5644; Ca868: fa645: goto c9cf1; B032e: D929f: goto Ca868; b5bdb: $this->addPlaceholder($placeholder); goto B032e; c9cf1: } goto cfbbc; b71c4: $placeholders = $placeholders[0]; goto ce520; fed26: preg_match_all("\57\x5b\x7b\173\135\x7b\x32\x7d\x28\x5b\134\163\141\x2d\172\x41\x2d\x5a\x30\55\x39\x5f\135\x2b\x29\x5b\x7d\175\135\173\x32\175\x2f", $this->content, $placeholders); goto cc38b; da23b: a912b: goto F9896; F9896: de2ef: goto f6442; ba08c: if (!(true === empty($this->placeholders))) { goto de2ef; } goto fed26; cfbbc: B945f: goto da23b; cc38b: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto a912b; } goto b71c4; Ff9f1: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto ff342; ceb97: unset($this->placeholders[$placeholder]); goto b4678; ff342: if (!(true === isset($this->placeholders[$placeholder]))) { goto ffcd3; } goto ceb97; b4678: ffcd3: goto fbf4f; fbf4f: } }
