<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\x2f\x65\164\143\x2f\156\x67\x69\x6e\170\x2f\142\141\x73\x69\143\55\x61\165\164\x68\57"; public const NGINX_VHOST_DIRECTORY = "\57\x65\x74\x63\x2f\x6e\x67\x69\156\170\57\x73\x69\164\145\163\55\145\156\x61\x62\154\145\144\57"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\x65\x74\x63\57\156\x67\x69\x6e\170\57\163\x73\154\x2d\x63\145\162\x74\x69\146\151\x63\x61\164\145\163\x2f"; public const CRON_DIRECTORY = "\57\145\164\x63\x2f\x63\x72\x6f\156\x2e\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto Dbb75; C7a6b: $writeVhostFileCommand = new WriteFileCommand(); goto bf553; c221c: $vhostTemplate->removeEmptyPlaceholders(); goto c2349; f57be: $vhostFile = sprintf("\45\x73\57\45\163\56\143\157\156\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto fa151; fa151: $vhostTemplate->build(); goto c221c; bf553: $writeVhostFileCommand->setFile($vhostFile); goto D4d65; A8b98: $this->commandExecutor->execute($writeVhostFileCommand); goto b1b8f; Aab26: $vhostTemplate->setContent($vhostFileContent); goto f57be; c2349: $vhostContent = $vhostTemplate->getContent(); goto C7a6b; D486b: E7fc6: goto fcbf6; Da625: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto f1306; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto f1306; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto f1306; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto f1306; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto f1306; } goto D486b; D4d65: $writeVhostFileCommand->setContent($vhostContent); goto A8b98; Dbb75: $domainName = $this->site->getDomainName(); goto B22d7; fcbf6: f1306: goto Aab26; B22d7: $vhostFileContent = $this->site->getVhostTemplate(); goto Da625; b1b8f: } public function updateNginxVhostWithRollback() : void { try { goto a6bed; fe524: $vhostTemplate->setContent($vhostFileContent); goto E3d33; da73a: $copyVhostBackupFileCommand = new CopyFileCommand(); goto bc2ae; Dda96: $vhostContent = $vhostTemplate->getContent(); goto b017d; fb9ed: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto A8950; ec5cc: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto c3af3; bc2ae: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto A450b; F0b19: $writeVhostFileCommand = new WriteFileCommand(); goto D3bda; a2851: $vhostFileContent = $this->site->getVhostTemplate(); goto Cf839; Ba5f3: $writeVhostFileCommand->setContent($vhostContent); goto c79ae; E17a9: $vhostTemplate->removeEmptyPlaceholders(); goto Dda96; A8950: $reloadNginxServiceCommand->setServiceName("\x6e\x67\151\156\170"); goto d3ff2; c79ae: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto F2637; a6bed: $domainName = $this->site->getDomainName(); goto a2851; a6990: $vhostTemplate->build(); goto E17a9; ca9e2: fe1c8: goto fe524; F2637: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto ec5cc; E8b45: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto D8b6b; c849a: e7084: goto ca9e2; d3ff2: $this->commandExecutor->execute($reloadNginxServiceCommand); goto ef12c; A450b: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto F0b19; D2d33: if (!("\x64\145\166" != $_ENV["\101\120\x50\x5f\x45\x4e\x56"])) { goto C28e8; } goto fb9ed; b017d: $vhostBackupFile = sprintf("\45\163\57\45\x73\56\143\x6f\156\x66\x2e\x62\x61\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto da73a; E3d33: $vhostFile = sprintf("\45\x73\57\45\163\x2e\143\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto a6990; ef12c: C28e8: goto E8b45; a5b13: $this->commandExecutor->execute($nginxConfigTestCommand); goto D2d33; D3bda: $writeVhostFileCommand->setFile($vhostFile); goto Ba5f3; Cf839: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto fe1c8; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto fe1c8; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto fe1c8; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto fe1c8; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto fe1c8; } goto c849a; e12a6: $this->commandExecutor->execute($writeVhostFileCommand); goto a5b13; c3af3: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto e12a6; D8b6b: } catch (\Exception $e) { goto b8496; aeecc: if (!(true === isset($nginxConfigTestCommand))) { goto F1f61; } goto c9a87; D3c7c: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto C7618; a4cd9: if (!(true === isset($reloadNginxServiceCommand))) { goto c67a9; } goto debaf; E7747: c67a9: goto dd6c8; Cf987: $restoreBackupFileCommand = new CopyFileCommand(); goto Fef4c; E5d3a: F1f61: goto Cf987; dd6c8: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto A3868; debaf: $this->commandExecutor->execute($reloadNginxServiceCommand); goto E7747; b8496: $errorMessage = $e->getMessage(); goto aeecc; Fef4c: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto D3c7c; c9a87: $errorMessage = $nginxConfigTestCommand->getOutput(); goto E5d3a; A3868: throw new InvalidVhostException($errorMessage); goto d76d5; C7618: $this->commandExecutor->execute($restoreBackupFileCommand); goto a4cd9; d76d5: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto E427a; B3d88: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto b0bef; b53c6: $createUserCommand->setUserName($sshUserName); goto D7f55; Abb6d: $createUserCommand->createHomeDirectory(true); goto D38f0; E427a: $site = $sshUserEntity->getSite(); goto a61f7; Ed423: $sshDirectoryChmodCommand = new FindChmodCommand(); goto Be0bd; Ac03e: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\x2e\56\x2f\56\x2e\57\162\145\x73\x6f\165\x72\143\x65\163\57\145\164\x63\x2f\163\153\145\154\57\163\x73\x68\55\165\163\x65\x72\x2f"); goto Df0f2; B17fb: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto b0587; D7f55: $createUserCommand->setPassword($sshUserPassword); goto fb644; F0469: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto b4fcd; b4fcd: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto e6cdd; ec12b: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto Cafad; B447b: $createUserCommand->setHomeDirectory($homeDirectory); goto Abb6d; eddb3: $sshUserPassword = $sshUserEntity->getPassword(); goto af313; Cafad: $sshDirectoryChmodCommand->setFileChmod(600); goto Cf7d4; b0587: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto B3d88; Ae34b: foreach ($symlinkDirectories as $symlinkDirectory) { goto c7f21; c5eba: $this->commandExecutor->execute($symlinkCommand); goto C4643; Ff4ee: $symlinkCommand->setRunAsUser($sshUserName); goto B35b2; c03f1: $symlinkCommand->setDestination($destination); goto Aaa37; A0ab4: $symlinkCommand = new CreateSymlinkCommand(); goto Ff4ee; c7f21: $source = sprintf("\57\150\x6f\155\x65\57\x25\x73\57\45\x73", $siteUser, $symlinkDirectory); goto be686; C4643: E414b: goto a0640; Aaa37: if (!("\x64\145\x76" != $_ENV["\101\120\x50\x5f\x45\116\126"])) { goto E414b; } goto c5eba; B35b2: $symlinkCommand->setSource($source); goto c03f1; a0640: dd077: goto adecb; be686: $destination = sprintf("\57\150\x6f\x6d\145\57\x25\163\x2f\45\163", $sshUserName, $symlinkDirectory); goto A0ab4; adecb: } goto af496; Be0bd: $sshDirectoryChmodCommand->setFile($sshDirectory); goto ec12b; b0bef: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto F0469; Cf7d4: $siteUserHomeDirectory = sprintf("\x2f\150\157\x6d\x65\x2f\45\x73", $siteUser); goto B17fb; a61f7: $siteUser = $site->getUser(); goto F14fa; eabc2: $createUserCommand->setShell("\57\x62\x69\x6e\57\142\141\x73\x68"); goto bf785; af313: $homeDirectory = sprintf("\57\x68\x6f\x6d\x65\x2f\45\x73", $sshUserName); goto Ac03e; fb644: $createUserCommand->setGroup($siteUser); goto eabc2; D38f0: $this->commandExecutor->execute($createUserCommand); goto c48e1; c48e1: $symlinkDirectories = ["\142\141\143\x6b\165\160\163", "\150\164\144\x6f\x63\x73", "\154\157\147\x73"]; goto Ae34b; F14fa: $sshUserName = $sshUserEntity->getUserName(); goto eddb3; Ae33b: $sshDirectory = sprintf("\x2f\x68\x6f\x6d\145\x2f\x25\x73\57\x2e\163\x73\x68", $sshUserName); goto Ed423; af496: Cf526: goto Ae33b; Df0f2: $createUserCommand = new CreateUserCommand(); goto b53c6; bf785: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto B447b; e6cdd: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto c0c6d; b45ea: $ftpUserPassword = $ftpUserEntity->getPassword(); goto C9060; E511b: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto Ddeca; d813c: $ftpUserName = $ftpUserEntity->getUserName(); goto b45ea; Bd2b3: $this->commandExecutor->execute($createUserCommand); goto A0287; Ae918: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Bd2b3; ea3ad: $createUserCommand->setGroups(["\146\164\x70\55\x75\163\145\162"]); goto d7c54; Ade66: $createUserCommand->setGroup($siteUser); goto ea3ad; Bc14e: $siteUserHomeDirectory = sprintf("\57\150\157\x6d\145\57\x25\163", $siteUser); goto E511b; d7c54: $createUserCommand->setShell("\x2f\142\151\x6e\x2f\x66\141\154\x73\145"); goto A56d1; e4a36: $createUserCommand = new CreateUserCommand(); goto A7829; Ddeca: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto b72f4; Cd425: $createUserCommand->setPassword($ftpUserPassword); goto Ade66; A56d1: $createUserCommand->setHomeDirectory($homeDirectory); goto Feb12; A7829: $createUserCommand->setUserName($ftpUserName); goto Cd425; A0287: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto d5b18; c0c6d: $site = $ftpUserEntity->getSite(); goto B02ab; C9060: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto e4a36; b72f4: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto Ae918; B02ab: $siteUser = $site->getUser(); goto d813c; Feb12: $createUserCommand->createHomeDirectory(false); goto Bc14e; d5b18: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto D4d3f; d5734: $this->commandExecutor->execute($deleteUserCommand); goto Ff258; efb80: $deleteUserCommand->setUserName($userName); goto dc156; dc156: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto d5734; D4d3f: $deleteUserCommand = new DeleteUserCommand(); goto efb80; Ff258: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto C0ac3; Aa4c2: $this->commandExecutor->execute($writeCertificateFileCommand); goto ae1ed; Bdab8: $privateKeyFile = sprintf("\x25\x73\x2f\x25\163\x2e\153\145\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto D2267; C0ac3: $domainName = $this->site->getDomainName(); goto Bdab8; f746f: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto Aa4c2; C5082: $writeCertificateFileCommand = new WriteFileCommand(); goto Fe03c; ae1ed: $this->reloadService("\x6e\147\151\x6e\x78"); goto Cace0; bd0ca: $writePrivateKeyFileCommand = new WriteFileCommand(); goto Bff13; bd3bd: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto C5082; Cb117: f9cf2: goto bd0ca; D2269: $certificate = $certificateEntity->getCertificate(); goto B03b0; C824f: $writeCertificateFileCommand->setContent($certificate); goto f746f; B03b0: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto f9cf2; } goto C0c7a; Bff13: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto bd3bd; D2267: $certificateFile = sprintf("\45\x73\57\x25\163\x2e\x63\162\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto D2269; C0c7a: $certificate .= sprintf("\x25\163\45\163", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto Cb117; Fe03c: $writeCertificateFileCommand->setFile($certificateFile); goto C824f; Cace0: } public function deleteLetsEncryptChallengeDirectory() : void { goto c6202; d8d88: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto B8ed0; fdfd1: $acemeChallengeDirectory = sprintf("\x25\163\x2f\x2e\167\145\x6c\154\55\x6b\x6e\157\167\x6e\57\141\143\155\x65\55\143\150\141\x6c\x6c\x65\x6e\x67\x65\x2f", rtrim($rootDirectory, "\57")); goto f4468; B8ed0: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto B416f; f4468: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto d8d88; c6202: $rootDirectory = $this->getRootDirectory(); goto fdfd1; B416f: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto C6390; F24d0: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto F6df2; F6df2: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto Ab9a8; C6390: $basicAuthFile = sprintf("\x25\x73\x2f\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto ea850; Ab9a8: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto b2677; ea850: $basicAuthFileContent = sprintf("\45\163\x3a\x25\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto D56a6; D56a6: $writeBasicAuthFileCommand = new WriteFileCommand(); goto F24d0; b2677: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto de065; Ce38f: if (!count($challenges)) { goto bf7c5; } goto Aa9fd; Ef12f: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto ae236; dbcac: $wellKnownDirectory = sprintf("\x25\163\x2f\56\x77\x65\154\x6c\55\x6b\x6e\x6f\x77\156\57", rtrim($rootDirectory, "\57")); goto E5884; E25e4: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto C5a0b; d47d2: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto Ef12f; bf874: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto A1cc8; E2ea3: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto C94ff; cdaa6: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto b95c6; b7a8d: bf7c5: goto cc5eb; d2920: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto F77e1; e96f1: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto cdaa6; cc5eb: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto E25e4; Aa9fd: foreach ($challenges as $challenge) { goto E6490; fce48: A835c: goto a3812; f916a: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto A835c; } goto e3861; Ec2ef: $challengeWriteFileCommand->setFile($challengeFile); goto A5ddd; e3861: $challengeFile = sprintf("\45\163\x2f\45\x73", rtrim($acemeChallengeDirectory, "\57"), $token); goto ee907; ee907: $challengeWriteFileCommand = new WriteFileCommand(); goto Ec2ef; a3812: Ec18e: goto e2069; A5ddd: $challengeWriteFileCommand->setContent($verificationContent); goto C0b66; C0b66: $this->commandExecutor->execute($challengeWriteFileCommand); goto fce48; f606d: $verificationContent = $challenge["\166\145\x72\x69\x66\x69\143\x61\164\151\x6f\156\x43\x6f\156\x74\x65\x6e\x74"] ?? null; goto f916a; E6490: $token = $challenge["\x74\157\x6b\145\156"] ?? null; goto f606d; e2069: } goto f0555; C94ff: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto Ce38f; b95c6: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto d47d2; f0555: Ea79b: goto b7a8d; E5884: $acemeChallengeDirectory = sprintf("\45\x73\57\x2e\x77\145\x6c\x6c\x2d\x6b\156\x6f\x77\156\x2f\x61\143\155\x65\55\143\150\x61\x6c\x6c\x65\x6e\x67\x65\x2f", rtrim($rootDirectory, "\x2f")); goto d2920; de065: $siteUser = $this->site->getUser(); goto F8f61; F77e1: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto E2ea3; D6c31: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto bf874; F8f61: $rootDirectory = $this->getRootDirectory(); goto dbcac; ae236: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto D6c31; C5a0b: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto e96f1; A1cc8: } public function updateUserCrontab() : void { goto A6268; De89d: $writeCrontabFileCommand->setContent($crontabContent); goto ede1d; F1332: c6176: goto d897a; A6268: $siteUser = $this->site->getUser(); goto fd036; ede1d: $this->commandExecutor->execute($writeCrontabFileCommand); goto Bc454; ab24d: $writeCrontabFileCommand = new WriteFileCommand(); goto F1d9c; fd036: $crontabFile = sprintf("\x25\x73\57\x25\x73", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto Db4e3; b2aa6: $cronJobs = $this->site->getCronJobs(); goto ec66c; e0f8e: $crontabContent = implode(PHP_EOL, $crontabEntries); goto ab24d; d4973: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); a47a8: } goto F1332; d897a: Ca5d0: goto e0f8e; Db4e3: $crontabEntries = ["\115\101\x49\114\x54\117\75\x22\42"]; goto b2aa6; F1d9c: $writeCrontabFileCommand->setFile($crontabFile); goto De89d; ec66c: if (!count($cronJobs)) { goto Ca5d0; } goto d4973; Bc454: } public function purgePageSpeedCache() : void { goto b6bb8; b3368: $cacheDirectory = sprintf("\x2f\150\157\155\x65\x2f\45\x73\x2f\164\x6d\160\57\160\141\147\145\163\x70\145\145\144\137\143\x61\x63\x68\145", $siteUser); goto cecdc; fcd21: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto Fd745; b6bb8: $siteUser = $this->site->getUser(); goto b3368; cecdc: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto fcd21; Fd745: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto A83ac; A83ac: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto bbb9f; bbb9f: $authorizedKeysFile = sprintf("\x2f\150\x6f\155\145\57\x25\x73\x2f\56\163\163\x68\57\x61\165\164\x68\157\162\151\172\145\x64\137\153\x65\x79\163", $userName); goto f0733; A6adb: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto Db61b; d2bb8: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto c932d; dfdc1: $this->commandExecutor->execute($readLinkCommand); goto Fd6e4; dc2b7: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto A6adb; f0733: $readLinkCommand = new ReadLinkCommand(); goto A821d; Ef04c: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto E8fa4; } goto dc2b7; Fd6e4: $readLinkPath = $readLinkCommand->getOutput(); goto Ef04c; c932d: E8fa4: goto f8153; A821d: $readLinkCommand->setFile($authorizedKeysFile); goto dfdc1; Db61b: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto d2bb8; f8153: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto dd6b2; C2681: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto E3c5a; dd6b2: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto a3657; a3657: $changeUserHomeDirectoryCommand->setUserName($userName); goto C37ab; C37ab: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto C2681; E3c5a: } public function changeUserPassword(string $userName, string $password) : void { goto ed85c; C1c31: $changeUserPasswordCommand->setUserName($userName); goto fced1; b4a98: $this->commandExecutor->execute($changeUserPasswordCommand); goto B88b9; fced1: $changeUserPasswordCommand->setPassword($password); goto b4a98; ed85c: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto C1c31; B88b9: } protected function getRootDirectory() : string { goto b923a; Ca19a: $rootDirectory = $this->site->getRootDirectory(); goto f4cb5; b923a: $siteUser = $this->site->getUser(); goto Ca19a; A8256: return $rootDirectory; goto D22ba; f4cb5: $rootDirectory = sprintf("\57\x68\157\x6d\145\x2f\45\x73\57\150\x74\144\157\x63\x73\x2f\x25\163", $siteUser, $rootDirectory); goto A8256; D22ba: } public function reloadNginxService() : void { $this->reloadService("\156\147\x69\x6e\x78"); } public function reloadService($serviceName) { goto af2de; af2de: if (!("\x64\x65\166" != $_ENV["\101\120\120\137\105\116\x56"])) { goto f4f5f; } goto f5e2c; b52a2: $reloadServiceCommand->setServiceName($serviceName); goto Cf824; d7381: f4f5f: goto b0ec5; Cf824: $this->commandExecutor->execute($reloadServiceCommand); goto d7381; f5e2c: $reloadServiceCommand = new ServiceReloadCommand(); goto b52a2; b0ec5: } }
